<div class="left">

<?php

if( exists() ) {

$item = the_item();
 
echo '<article class="array_item">

<div class="table" itemscope itemtype="http://data-vocabulary.org/Review-aggregate">

<div class="left">
<img src="' . store_avatar( ( !empty( $item->image2 ) ? $item->image2 : store_avatar( $item->store_img ) ) ) . '" alt="" itemprop="photo" />
<span class="rating"><span style="width:' . ( $item->stars * 16 ) . 'px;"></span></span>
<div itemprop="rating" itemscope itemtype="http://data-vocabulary.org/Rating">
<span itemprop="average" style="display: none;">' . number_format( $item->stars, 2 ) . '</span>
<span itemprop="best" style="display: none;">5</span>
</div>
<a href="' . $item->store_reviews_link . '"><span itemprop="votes">' . $item->reviews . '</span> reviews</a>
<div class="voting"><a href="#" class="tooltip" title="It doesn\'t work !" data-cid="' . $item->ID . '" data-vote="0"></a>' . coupon_votes( $item->votes_percent, $item->votes ) . '<a href="#" class="tooltip" title="It works !" data-cid="' . $item->ID . '" data-vote="1"></a></div>
</div>

<div class="right">
<div class="title">' . ( !empty( $item->cashback ) ? '<span class="tooltip reward" title="Great! Use it and you\'ll receive ' . $item->cashback . ' points.">' . $item->cashback . '</span> ' : '' ) . ( $item->is_verified ? '<span class="tooltip verified" title="This coupon has been verified on ' . date( dateFormat(), strtotime( $item->last_check ) ) . '"></span>' : '' ) . $item->title . '</div>
Coupons for <a href="' . $item->store_link . '"><span itemprop="itemreviewed">' . $item->store_name . '</span></a>
<div class="description">' . ( !empty( $item->description ) ? nl2br( $item->description ) : 'no description' ) . '</div>

<ul class="details" style="display: block;">
<li><span>Available Online:</span> <b>' . ( $item->is_available_online ? 'Yes' : 'No' ) . '</b></li>
<li><span>Coupon Added:</span> <b>' . timeago( strtotime( $item->date ), 'seconds' ) . ' ago</b></li>';
if( $item->is_expired ) echo '<li><span>Expired on:</span> <b class="expired">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else if( !$item->is_started ) echo '<li><span>Starts on:</span> <b class="notstarted">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else echo '<li><span>Expiration:</span> <b class="active">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
echo '</ul>';

if( !$item->is_printable ) {

if( $item->is_coupon ) {

echo '<div class="code">
<span>' . $item->code . ( $item->is_expired ? '' : '<a href="' . tlink( 'plugin/click', 'coupon=' . $item->ID ) . '" target="_blank" class="codeviewanim"  data-copy-this="" data-clipboard-text="' . $item->code . '" onclick="$(this).remove();"></a>' ) . '</span>
<div class="infos">

<a href="#">How to use this coupon?</a>
<ul><li><span>K</span> Copy the code</li>
<li><span>J</span> Open website (' . $item->store_name . ')</li>
<li><span>L</span> Apply code on the cart (when checkout)</li></ul>';

} else {

echo '<div class="code">
<span class="nocode">Activated ! No coupon needed.</span>
<div class="infos">

<a href="#">How to redeem this deal?</a>
<ul><li><span>J</span> Open website (' . $item->store_name . ')</li>
<li><span>L</span> No other action required, prices include discounts automatically</li></ul>';

}

echo '</div>
</div>';

}

echo '<div>';

if( !$item->is_expired ) {
  if( $item->is_printable )
  echo '<a href="' . tlink( 'plugin/click', 'coupon=' . $item->ID ) . '" target="_blank" class="btn-e">Print Coupon</a> ';
  else {
  if( $item->is_running ) {
  if( $item->is_coupon ) echo '<a href="' . tlink( 'plugin/click', 'coupon=' . $item->ID ) . '" target="_blank" class="btn-e" data-copy-this="" data-clipboard-text="' . $item->code . '">Copy and Use Now</a> ';
  else echo '<a href="' . tlink( 'plugin/click', 'coupon=' . $item->ID ) . '" target="_blank" class="btn-e">Redeem Deal</a> ';
  }
  }
}
if( !empty( $item->store_url ) ) {
  echo '<a href="' . tlink( 'plugin/click', 'id=' . $item->storeID ) . '" target="_blank" class="btn-e">Open Website</a>';
}
echo '</div>

</div>

</div>

<div class="share-coupon" style="display: block;">

Share on social networks or copy the link and share anywhere:

<div class="shareto">

<ul>
<li class="tooltip share-fb" title="Share this on Facebook"><a href="#" onclick="openwindow(\'https://www.facebook.com/sharer/sharer.php?u=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-tw" title="Share this on Twitter"><a href="#" onclick="openwindow(\'https://twitter.com/home?status=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-go" title="Share this on Google+"><a href="#" onclick="openwindow(\'https://plus.google.com/share?url=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-li" title="Share this on Linkedin"><a href="#" onclick="openwindow(\'https://www.linkedin.com/shareArticle?mini=true&amp;url=' . $item->link . '&amp;title=' . $item->title . '&amp;summary=&amp;source=\', 500, 500, \'yes\');"></a></li>
</ul>

<input type="text" value="' . $item->link . '" onclick="$(this).select();" />

</div>

</div>

</article>';

} else {

  echo '<div class="info_form">Oops. This coupon is no longer available !</div>';

}

echo '<div class="text-tit" style="margin-top: 15px;">See other coupons:</div>';

foreach( items_custom( array( 'show' => ',active', 'orderby' => 'rand', 'max' => option('items_per_page') ) ) as $item ) {

echo '<article class="array_item">

<div class="table">

<div class="left">
<img src="' . store_avatar( ( !empty( $item->image2 ) ? $item->image2 : store_avatar( $item->store_img ) ) ) . '" alt="">
<span class="rating"><span style="width:' . ( $item->stars * 16 ) . 'px;"></span></span>
<a href="' . $item->store_reviews_link . '">' . $item->reviews . ' reviews</a>
<div class="voting"><a href="#" class="tooltip" title="It doesn\'t work !" data-cid="' . $item->ID . '" data-vote="0"></a>' . coupon_votes( $item->votes_percent, $item->votes ) . '<a href="#" class="tooltip" title="It works !" data-cid="' . $item->ID . '" data-vote="1"></a></div>
</div>

<div class="right">
<a href="' . $item->link . '" class="title">' . ( !empty( $item->cashback ) ? '<span class="tooltip reward" title="Great! Use it and you\'ll receive ' . $item->cashback . ' points.">' . $item->cashback . '</span> ' : '' ) . ( $item->is_verified ? '<span class="tooltip verified" title="This coupon has been verified on ' . date( dateFormat(), strtotime( $item->last_check ) ) . '"></span>' : '' ) . $item->title . '</a>
Coupons for <a href="' . $item->store_link . '">' . $item->store_name . '</a>
<div class="description">' . ( !empty( $item->description ) ? nl2br( $item->description ) : 'no description' ) . '</div>

<ul class="details">
<li><span>Available Online:</span> <b>' . ( $item->is_available_online ? 'Yes' : 'No' ) . '</b></li>
<li><span>Coupon Added:</span> <b>' . timeago( strtotime( $item->date ), 'seconds' ) . ' ago</b></li>';
if( $item->is_expired ) echo '<li><span>Expired on:</span> <b class="expired">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else if( !$item->is_started ) echo '<li><span>Starts on:</span> <b class="notstarted">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else echo '<li><span>Expiration:</span> <b class="active">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
echo '</ul>

<div class="links">
<a href="' . $item->link . '" class="btn">View Coupon</a>
<a href="#" class="more_details">More details</a>
<a href="#" class="share">Share</a>
</div>

</div>

</div>

<div class="share-coupon">

Share on social networks or copy the link and share anywhere:

<div class="shareto">

<ul>
<li class="tooltip share-fb" title="Share this on Facebook"><a href="#" onclick="openwindow(\'https://www.facebook.com/sharer/sharer.php?u=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-tw" title="Share this on Twitter"><a href="#" onclick="openwindow(\'https://twitter.com/home?status=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-go" title="Share this on Google+"><a href="#" onclick="openwindow(\'https://plus.google.com/share?url=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-li" title="Share this on Linkedin"><a href="#" onclick="openwindow(\'https://www.linkedin.com/shareArticle?mini=true&amp;url=' . $item->link . '&amp;title=' . $item->title . '&amp;summary=&amp;source=\', 500, 500, \'yes\');"></a></li>
</ul>

<input type="text" value="' . $item->link . '" onclick="$(this).select();" />

</div>

</div>

</article>';

}

?>

</div>

<div class="right">

<?php show_widgets( 'right' ); ?>

</div>