<?php

/** DATE / TIME **/

$LANG['second'] = 'Second';
$LANG['seconds'] = 'Seconds';
$LANG['minute'] = 'Minute';
$LANG['minutes'] = 'Minutes';
$LANG['hour'] = 'Hour';
$LANG['hours'] = 'Hours';
$LANG['day'] = 'Day';
$LANG['days'] = 'Days';
$LANG['week'] = 'Week';
$LANG['weeks'] = 'Weeks';
$LANG['month'] = 'Month';
$LANG['months'] = 'Months';
$LANG['year'] = 'Year';
$LANG['years'] = 'Years';
$LANG['today'] = 'Today';
$LANG['yesterday'] = 'Yesterday';
$LANG['this_week'] = 'This week';
$LANG['this_month'] = 'This month';
$LANG['sunday'] = 'Sunday';
$LANG['monday'] = 'Monday';
$LANG['tuesday'] = 'Tuesday';
$LANG['wednesday'] = 'Wednesday';
$LANG['thursday'] = 'Thursday';
$LANG['friday'] = 'Friday';;
$LANG['saturday'] = 'Saturday';

/** ADMIN MISC */

$LANG['server_time'] = 'Server time';
$LANG['first_msg_v'] = 'CouponsCMS version <b>%s</b> runing theme <b>%s</b>.'; // first %s will replace script version, second %s will replace current theme name
$LANG['operatesfrom'] = 'Operates from %s'; // %s will replace the date

/** ADMIN NAVIGATOR */

$LANG['dashboard'] = 'Dashboard';
$LANG['stores'] = 'Stores';
$LANG['stores_add'] = 'Add Store';
$LANG['stores_view'] = 'View Stores';
$LANG['coupons'] = 'Coupons';
$LANG['coupons_add'] = 'Add Coupon';
$LANG['coupons_view'] = 'View Coupons';
$LANG['products'] = 'Products';
$LANG['products_add'] = 'Add Product';
$LANG['products_view'] = 'View Products';
$LANG['locations'] = 'Locations';
$LANG['locations_country_add'] = 'Add Country';
$LANG['locations_country_view'] = 'View Countries';
$LANG['locations_state_add'] = 'Add State';
$LANG['locations_state_view'] = 'View States';
$LANG['locations_city_add'] = 'Add City';
$LANG['locations_city_view'] = 'View Cities';
$LANG['pages'] = 'Pages';
$LANG['pages_add'] = 'Add Page';
$LANG['pages_view'] = 'View Pages';
$LANG['suggestions_view'] = 'View Suggestions';
$LANG['users'] = 'Users';
$LANG['users_add'] = 'Add User';
$LANG['users_view'] = 'View Users';
$LANG['payments'] = 'Payments';
$LANG['payments_plan_add'] = 'Add Plan';
$LANG['payments_plan_view'] = 'View Plans';
$LANG['payments_invoices'] = 'Invoices';
$LANG['subscribers_view'] = 'View Subscribers';
$LANG['users_subscribers'] = 'Subscribers';
$LANG['users_sessions'] = 'Active Sessions';
$LANG['reviews'] = 'Reviews';
$LANG['reviews_add'] = 'Add Review';
$LANG['reviews_view'] = 'View Reviews';
$LANG['suggestions'] = 'Suggestions';
$LANG['feed'] = 'Feed';
$LANG['rewards'] = 'Rewards';
$LANG['rewards_add'] = 'Add Reward';
$LANG['rewards_view'] = 'View Rewards';
$LANG['rewards_claimr'] = 'Claim Requests';
$LANG['ratings'] = 'Reports';
$LANG['ratings_clicks'] = 'Clicks';
$LANG['themes'] = 'Themes';
$LANG['themes_upload'] = 'Upload Theme';
$LANG['themes_editor'] = 'Theme Editor';
$LANG['themes_view'] = 'View Themes';
$LANG['widgets'] = 'Widgets';
$LANG['plugins'] = 'Plugins';
$LANG['plugins_install'] = 'Install';
$LANG['plugins_uninstall'] = 'Uninstall';
$LANG['plugins_view'] = 'View Plugins';
$LANG['settings'] = 'Settings';
$LANG['settings_general'] = 'General';
$LANG['settings_metatags'] = 'Meta Tags';
$LANG['settings_seolinks'] = 'SEO Links';
$LANG['settings_prices'] = 'Prices';
$LANG['settings_default'] = 'Default Info';
$LANG['settings_theme'] = 'Theme';
$LANG['settings_banned'] = 'Banned IPs';
$LANG['settings_socialnet'] = 'Social Networks';
$LANG['settings_security'] = 'Security';
$LANG['settings_api'] = 'API / External Accounts';
$LANG['settings_feed'] = 'Feed';
$LANG['settings_cron'] = 'Cron';
$LANG['top_menu'] = 'MENU';
$LANG['visit_site'] = 'Visit %s';
$LANG['logout'] = 'Logout';
$LANG['result'] = '<b>%s</b> result'; // %s will replace the result
$LANG['results'] = '<b>%s</b> results'; // %s will replace the results
$LANG['pageofpages'] = 'Page <b>%s</b> of <b>%s</b>'; // %s will be replaced by a number
$LANG['prev_page'] = '← Prev';
$LANG['next_page'] = 'Next →';
$LANG['reset_view'] = 'Reset view';
$LANG['go'] = 'Go';
$LANG['yes'] = 'Yes';
$LANG['no'] = 'No';
$LANG['never'] = 'Never';
$LANG['unlimited'] = 'Unlimited';
$LANG['banned'] = 'Banned';
$LANG['others'] = 'Others';
$LANG['more'] = 'More';
$LANG['information'] = 'Information';

/** GENERAL BUTTONS AND MESASAGES*/

$LANG['add'] = 'Add';
$LANG['edit'] = 'Edit';
$LANG['delete'] = 'Delete';
$LANG['cancel'] = 'Cancel';
$LANG['open'] = 'Open';
$LANG['print_coupon'] = 'Print Coupon';
$LANG['send_email'] = 'Send Email';
$LANG['delete_msg'] = 'Are you sure that you want to delete this?';
$LANG['delete_store'] = 'Attention*: With stores will be deleted and their associated coupons ! Are you sure that you want tot delete this?';
$LANG['delete_plugin'] = 'After confirmation these files and information will be permanently deleted.';
$LANG['view'] = 'View';
$LANG['import'] = 'Import';
$LANG['export'] = 'Export';
$LANG['preview_import'] = 'Preview & Import';
$LANG['categories'] = 'Categories';
$LANG['options'] = 'Options';
$LANG['search'] = 'Search';
$LANG['subscribe'] = 'Subscribe';
$LANG['save'] = 'Save';
$LANG['send'] = 'Send';
$LANG['login'] = 'Login';
$LANG['register'] = 'Register';
$LANG['recovery'] = 'Recovery';
$LANG['forgot_password'] = 'Forgot your password?';
$LANG['none'] = 'None';
$LANG['extension'] = 'Extension';
$LANG['activate'] = 'Activate';
$LANG['phone_no'] = 'Phone Number';
$LANG['votes'] = 'Votes';
$LANG['votes_average'] = 'Votes Average';
$LANG['verified'] = 'Verified';
$LANG['last_verification'] = 'Last Verification';
$LANG['editor'] = 'Editor';
$LANG['post_review'] = 'Post review';
$LANG['delete_all'] = 'Delete All';
$LANG['uninstall_all'] = 'Uninstall All';
$LANG['move_all'] = 'Move All';
$LANG['set_all'] = 'Set to All';
$LANG['import_all'] = 'Import All';
$LANG['set_as_read'] = 'Set as Read';
$LANG['set_as_unread'] = 'Set as Unread';
$LANG['set_as_paid'] = 'Set as Paid';
$LANG['set_as_unpaid'] = 'Set as Unpaid';
$LANG['set_as_delivered'] = 'Set as Delivered';
$LANG['set_as_undelivered'] = 'Set as Undelivered';
$LANG['data_import_advanced'] = 'Data Import Advanced';
$LANG['msg_deleted'] = 'Deleted!';
$LANG['msg_added'] = 'Added!';
$LANG['msg_saved'] = 'Saved!';
$LANG['msg_mailssent'] = '%s emails sent, %s errors.'; // first %s will be replaced with the number of successfully sent emails, the second one with number of errors which occurred.
$LANG['msg_storesimported'] = '%s stores imported, %s errors.';
$LANG['msg_couponsimported'] = '%s coupons imported, %s errors.';
$LANG['msg_productsimported'] = '%s products imported, %s errors.';
$LANG['msg_upload_dleave'] = 'Please do not leave this page during the import!';
$LANG['msg_changed'] = 'Changed!';
$LANG['msg_error'] = 'Error!';
$LANG['msg_invalidcaptcha'] = 'Wrong security code.';
$LANG['msg_dnrl'] = 'Please do not reload the page, try again.';
$LANG['msg_invalid_theme'] = 'Sorry, but this theme seems to be invalid.';
$LANG['msg_keep_log'] = 'Keep me logged!';
$LANG['msg_banned'] = 'Sorry, but this action isn\'t permitted for you at this time.';
$LANG['msg_subscribe'] = 'Subscribe to our newsletter.';
$LANG['msg_banned_until'] = 'Banned until %s'; // %s will be replaced by date until user is banned
$LANG['msg_import_stores'] = 'To import stores correctly, fields from the CSV file should be exactly in this order: Name*, Link/Website*, Description, Tags, Image, Type, Sell Online, Hours, Locations, Phone no.';
$LANG['msg_import_coupons'] = 'To import coupons correctly, fields from the CSV file should be exactly in this order: Title*, Link(URL), Description, Tags, Image, Code, Start Date, Expiration Date, Store Link/Website*, Printable, Available Online, Source(URL).';
$LANG['msg_import_coupons_n'] = 'Note*: You are able to import coupons only for existing stores, the coupons are imported to stores with same domain name. Practically, stores must be imported before coupons.';
$LANG['msg_import_products'] = 'To import products correctly, fields from the CSV file should be exactly in this order: Title*, Link(URL), Description, Tags, Image, Price, Old Price, Currency, Start Date, Expiration Date, Store Link/Website*.';
$LANG['msg_import_products_n'] = 'Note*: You are able to import products only for existing stores, the products are imported to stores with same domain name. Practically, stores must be imported before products.';
$LANG['msg_strcaselocal'] = 'You will be able to add locations after adding the store.';
$LANG['msg_strcaseonline'] = '<strong>Note:*</strong> Some information about this store as a physical store will be erased (e.g.: locations).';
$LANG['msg_physicalfirst'] = 'Save it as a physical store before being able to add locations.';
$LANG['msg_no_locations'] = 'No locations yet.';
$LANG['msg_blankinfo'] = 'Blank information';
$LANG['msg_cant_print_sd'] = 'To print this coupon please visit us from a larger device.'; 
$LANG['order_by'] = 'Order by';
$LANG['category'] = 'Category';
$LANG['action'] = 'Action';
$LANG['all_categories'] = 'All categories';
$LANG['all_users'] = 'All users';
$LANG['all_reviews'] = 'All reviews';
$LANG['all_suggestions'] = 'All suggestions';
$LANG['all_requests'] = 'All requests';
$LANG['all_subscribers'] = 'All subscribers';
$LANG['all_plugins'] = 'All plugins';
$LANG['all_invoices'] = 'All invoices';
$LANG['view_subadmins'] = 'Sub-Administrators';
$LANG['view_admins'] = 'Administrators';
$LANG['view_verified'] = 'Verified';
$LANG['view_notverified'] = 'Unverified';
$LANG['view_banned'] = 'Banned';
$LANG['view_published'] = 'Published';
$LANG['view_notpublished'] = 'Not published';
$LANG['view_claimed'] = 'Claimed';
$LANG['view_unclaimed'] = 'Unclaimed';
$LANG['view_read'] = 'Read';
$LANG['view_unread'] = 'Unread';
$LANG['view_paid'] = 'Paid';
$LANG['view_unpaid'] = 'Unpaid';
$LANG['view_delivered'] = 'Delivered';
$LANG['view_undelivered'] = 'Undelivered';
$LANG['view_paidandundelivered'] = 'Paid&Undeliv.';
$LANG['view_languages'] = 'Languages';
$LANG['view_payment_gateways'] = 'Payment Gateways';
$LANG['view_feed_servers'] = 'Feed Servers';
$LANG['view_applications'] = 'Applications';
$LANG['order_random'] = 'Random';
$LANG['order_date'] = 'Date';
$LANG['order_date_desc'] = 'Date DESC';
$LANG['order_name'] = 'Name';
$LANG['order_name_desc'] = 'Name DESC';
$LANG['order_votes'] = 'Votes';
$LANG['order_votes_desc'] = 'Votes DESC';
$LANG['order_rating'] = 'Rating';
$LANG['order_rating_desc'] = 'Rating DESC';
$LANG['order_last_update'] = 'Last update';
$LANG['order_last_update_desc'] = 'Last update DESC';
$LANG['order_points'] = 'Points';
$LANG['order_points_desc'] = 'Points DESC';
$LANG['order_views'] = 'Views';
$LANG['order_views_desc'] = 'Views DESC';
$LANG['order_clicks'] = 'Clicks';
$LANG['order_clicks_desc'] = 'Clicks DESC';
$LANG['order_visits'] = 'Visits';
$LANG['order_visits_desc'] = 'Visits DESC';
$LANG['order_email'] = 'Email';
$LANG['order_email_desc'] = 'Email DESC';
$LANG['order_price'] = 'Price';
$LANG['order_price_desc'] = 'Price DESC';
$LANG['order_action'] = 'Action';
$LANG['order_action_desc'] = 'Action DESC';
$LANG['order_expiration'] = 'Expiration date';
$LANG['order_expiration_desc'] = 'Expiration date DESC';
$LANG['show_all'] = 'All';
$LANG['show_active'] = 'Active';
$LANG['show_popular'] = 'Popular';
$LANG['show_exclusive'] = 'Exclusive';
$LANG['views'] = 'Views';
$LANG['clicks'] = 'Clicks';
$LANG['visits'] = 'Visits';
$LANG['reffered'] = 'Referred';
$LANG['referrers'] = 'Referrers';
$LANG['page_url'] = 'Page URL';
$LANG['added_by'] = 'Added by';
$LANG['added_on'] = 'Added on';
$LANG['last_update_by'] = 'Last update by';
$LANG['last_update_on'] = 'Last update on';
$LANG['reviews'] = 'Reviews';
$LANG['store_name'] = 'Store name';
$LANG['owner'] = 'Owner';
$LANG['uploader'] = 'Uploader';
$LANG['registered_on'] = 'Registered on';
$LANG['last_visit'] = 'Last visit';
$LANG['last_action'] = 'Last action';
$LANG['invalid_id'] = 'Invalid ID';
$LANG['can_edit_infos'] = 'Sorry ! You can\'t edit this.';
$LANG['published'] = 'Published';
$LANG['notpublished'] = 'Not Published';
$LANG['publish'] = 'Publish';
$LANG['unpublish'] = 'Unpublish';
$LANG['setverifnow'] = 'Set as verified now';
$LANG['claimed'] = 'Claimed';
$LANG['notclaimed'] = 'Unclaimed';
$LANG['claim'] = 'Claim';
$LANG['unclaim'] = 'Unclaim';
$LANG['verified'] = 'Verified';
$LANG['notverified'] = 'Unverified';
$LANG['verify'] = 'Verify';
$LANG['unverify'] = 'Unverify';
$LANG['active'] = 'Active';
$LANG['expired'] = 'Expired';
$LANG['read'] = 'Read';
$LANG['unread'] = 'Unread';
$LANG['paid'] = 'Paid';
$LANG['unpaid'] = 'Unpaid';
$LANG['delivered'] = 'Delivered';
$LANG['undelivered'] = 'Undelivered';
$LANG['email'] = 'Email';
$LANG['name'] = 'Name';
$LANG['tags'] = 'Tags';
$LANG['link'] = 'Link';
$LANG['image'] = 'Image';
$LANG['description'] = 'Description';
$LANG['code'] = 'Code';
$LANG['price'] = 'Price';
$LANG['old_price'] = 'Old price';
$LANG['currency'] = 'Currency';
$LANG['start_date'] = 'Start date';
$LANG['end_date'] = 'End date';
$LANG['store_name'] = 'Store name';
$LANG['store_url'] = 'Store URL';
$LANG['back'] = 'Back';
$LANG['ban'] = 'Ban';
$LANG['option_no_category'] = 'No category';
$LANG['button_import'] = 'Import';
$LANG['onlinestore'] = 'Online Store';
$LANG['physicalstore'] = 'Physical Store';
$LANG['dealnrprint'] = 'Deal (not require printing)';
$LANG['printhtml'] = 'Printable (HTML version)';
$LANG['printsource'] = 'Printable (using source)';

/** FORM TITLES */

$LANG['form_name'] = 'Name';
$LANG['form_email'] = 'Email Address';
$LANG['form_emails'] = 'Email Addresses';
$LANG['form_points'] = 'Points';
$LANG['form_title'] = 'Title';
$LANG['form_orderby'] = 'Order by';
$LANG['form_position'] = 'Position';
$LANG['form_limit'] = 'Limit';
$LANG['form_text'] = 'Text';
$LANG['form_mobilev'] = 'Mobile View';
$LANG['form_publish'] = 'Publish';
$LANG['form_category'] = 'Category';
$LANG['form_subcategoryfor'] = 'Subcategory for';
$LANG['form_description'] = 'Description';
$LANG['form_code'] = 'Code'; // code for coupons
$LANG['form_start_date'] = 'Start Date';
$LANG['form_end_date'] = 'End Date';
$LANG['form_expiration_date'] = 'Expiration Date';
$LANG['form_store_url'] = 'Store URL';
$LANG['form_coupon_url'] = 'Coupon URL';
$LANG['form_product_url'] = 'Product URL';
$LANG['form_message_for_us'] = 'Message For Us';
$LANG['form_stars'] = 'Rating';
$LANG['form_logo'] = 'Logo';
$LANG['form_avatar'] = 'Avatar';
$LANG['form_image'] = 'Image';
$LANG['form_password'] = 'Password';
$LANG['form_new_password'] = 'New Password';
$LANG['form_password_again'] = 'Confirm Password';
$LANG['form_role'] = 'Role';
$LANG['form_role_member'] = 'Member';
$LANG['form_role_subadmin'] = 'Sub-Administrator';
$LANG['form_role_admin'] = 'Administrator';
$LANG['form_subscriber'] = 'Subscribe';
$LANG['form_confirm'] = 'Confirm';
$LANG['form_store_id'] = 'Store ID';
$LANG['form_store'] = 'Store';
$LANG['form_user_id'] = 'User ID';
$LANG['form_addto'] = 'Add to';
$LANG['form_show_only'] = 'Show Only';
$LANG['form_ip'] = 'IP Address';
$LANG['form_tags'] = 'Tags';
$LANG['form_reward_points'] = 'Reward Points';
$LANG['form_message'] = 'Message';
$LANG['form_format'] = 'Format';
$LANG['form_datefrom'] = 'Date from';
$LANG['from_dateto'] = 'Date to';
$LANG['form_fastchoice'] = 'Fast Choice';
$LANG['form_price'] = 'Price';
$LANG['form_old_price'] = 'Old Price';
$LANG['form_currency'] = 'Currency';
$LANG['form_credits'] = 'Credits';
$LANG['form_csv_file'] = 'CSV File';
$LANG['form_in_category'] = 'In Category';
$LANG['form_plan'] = 'Plan';
$LANG['form_amount'] = 'Amount';
$LANG['form_details'] = 'Details';
$LANG['form_map'] = 'Map';
$LANG['form_status'] = 'Status';
$LANG['form_timezone'] = 'Timezone';
$LANG['form_contact'] = 'Contact';
$LANG['form_website'] = 'Website';
$LANG['form_type'] = 'Type';
$LANG['form_avabonline'] = 'Available Online';
$LANG['form_locations'] = 'Locations';
$LANG['form_hours'] = 'Hours';
$LANG['form_sell_online'] = 'Sell Online';
$LANG['form_address'] = 'Address';
$LANG['form_source'] = 'Source';
$LANG['form_field'] = 'Field';
$LANG['form_fields'] = 'Fields';
$LANG['form_error'] = 'Error';
$LANG['form_securitycheck'] = 'Security Check';
$LANG['form_securitycheck_ph'] = 'Enter the characters from the image';
$LANG['form_accessibility'] = 'Accessibility';

/** ADMIN MESSAGES */

$LANG['msg_setsub'] = 'Set this user as subscriber to newsletter';
$LANG['msg_setconf'] = 'Set this user as confirmed by email';
$LANG['msg_setconfe'] = 'Set this as confirmed by email';
$LANG['msg_setallconf'] = 'Set all as confirmed by email';
$LANG['msg_sendcacc'] = 'Send to this email address a copy of the new account';
$LANG['msg_pubreview'] = 'Publish this review';
$LANG['msg_pubpage'] = 'Publish this page';
$LANG['msg_publoc'] = 'Publish this location';
$LANG['msg_pubcoupon'] = 'Publish this coupon';
$LANG['msg_pubproduct'] = 'Publish this product';
$LANG['msg_pubstore'] = 'Publish this store';
$LANG['msg_pubreward'] = 'Publish this reward';
$LANG['msg_setcouponverif'] = 'Set this coupon as verified manually';
$LANG['msg_csvomitfirst'] = 'Omit first line';
$LANG['msg_useexternal'] = 'Use an external source';
$LANG['msg_loggiout'] = 'Logging out ...';
$LANG['msg_require_user_conf'] = 'Require email confirmation for new accounts';
$LANG['msg_require_subscr_conf'] = 'Require email confirmation for new subscribers';
$LANG['msg_require_unsubscr_conf'] = 'Require email confirmation to unsubscribe';
$LANG['msg_feed_upload_imgs'] = 'Upload images on my server';
$LANG['msg_feed_cpnpref_impexp'] = 'Import expired coupons';
$LANG['msg_feed_ppnpref_impexp'] = 'Import expired products';
$LANG['msg_feed_cpnpref_moddt'] = 'Allow the source to modify information';
$LANG['msg_feed_upload_timg'] = 'Upload on my server'; // "upload this image"
$LANG['msg_feed_simported'] = 'This store is already imported.';
$LANG['msg_feed_cimported'] = 'This coupon is already imported.';
$LANG['msg_feed_pimported'] = 'This product is already imported.';
$LANG['msg_feed_snotimp'] = 'You must import the store before importing coupons/products for it.';
$LANG['msg_feed_seltoimp'] = 'Select the items that you want to import.';
$LANG['msg_category_dontexist'] = 'This category doesn\'t exists.';
$LANG['msg_feed_finished'] = 'Import procedure has been successfully finished.';
$LANG['msg_asearchengines'] = 'Allow search engines to index and follow this website.';
$LANG['msg_loginform'] = 'Login form';
$LANG['msg_registerform'] = 'Register form';
$LANG['msg_contactform'] = 'Contact form';
$LANG['msg_suggestform'] = 'Suggestion form';
$LANG['msg_notset'] = 'Not set';

/** ADMIN CATEGORIES */

$LANG['categories_title'] = 'Categories';
$LANG['categories_subtitle'] = 'Categories list';
$LANG['categories_add'] = 'Add Category';
$LANG['subcategories_add'] = 'Add Subcategory';
$LANG['no_categories_yet'] = 'No categories yet.';
$LANG['categories_add_title'] = 'Add New Category';
$LANG['categories_add_subtitle'] = 'Add a new category';
$LANG['subcategories_add_title'] = 'Add New Subcategory';
$LANG['subcategories_add_subtitle'] = 'Add a new subcategory';
$LANG['categories_view'] = 'View Categories';
$LANG['categories_edit_title'] = 'Edit Category';
$LANG['categories_edit_subtitle'] = 'Edit category';
$LANG['categories_infos_title'] = 'Information About This Category';
$LANG['categories_add_button'] = 'Add Category';
$LANG['subcategories_add_button'] = 'Add Subcategory';
$LANG['categories_edit_button'] = 'Edit Category';
$LANG['no_category_select'] = 'No category';

/** ADMIN SETTINGS */

$LANG['settings_general_title'] = 'Modify Site Settings';
$LANG['settings_general_subtitle'] = 'Modify general settings';
$LANG['settings_meta_subtitle'] = 'Modify meta tags';
$LANG['settings_seolinks_subtitle'] = 'Modify SEO links';
$LANG['settings_api_subtitle'] = 'Modify APIs / Accounts';
$LANG['settings_feed_subtitle'] = 'Modify settings for Feed';
$LANG['settings_prices_subtitle'] = 'Modify and set prices';
$LANG['settings_theme_subtitle'] = 'Modify theme settings and visualization';
$LANG['settings_default_subtitle'] = 'Modify site\'s default dates';
$LANG['settings_socnet_subtitle'] = 'Modify social network profiles';
$LANG['settings_security_subtitle'] = 'Modify security preferences';
$LANG['settings_cron_subtitle'] = 'Tasks for Cron';
$LANG['settings_meta_pcoupon'] = 'Coupon Page';
$LANG['settings_meta_pproduct'] = 'Product Page';
$LANG['settings_meta_pstore'] = 'Store Page';
$LANG['settings_meta_previews'] = 'Reviews Page';
$LANG['settings_meta_pcategory'] = 'Category Page';
$LANG['settings_cron_d'] = 'In UNIX, Cron it\'s a job scheduler which allows to execute some actions at some point in time. In our case, we use Cron to clear information and import coupons automatically.';
$LANG['settings_cron_clrdat'] = 'Clear Data';
$LANG['settings_cron_clrdat_d'] = 'The following line will check to clear expired information every 5 minutes.';
$LANG['settings_cron_feedi'] = 'Feed Import';
$LANG['settings_cron_feedi_d'] = 'The following line will fetch information from the Feed source every 6 hours. (import coupons, update coupons in case you allow that).';
$LANG['settings_cron_sec_d'] = 'The links above can be also accessed in any browser. To not be used by unauthorized persons these are protected by a \'secret\' parameter. This parameter can be changed as many times you want. Old parameter will be automatically deleted by generating the next one.';
$LANG['settings_cron_sec_cbtn'] = 'Change \'Secret\'';
$LANG['settings_save_error'] = 'One or more options can\'t be saved.';
$LANG['settings_save_button'] = 'Save Settings';
$LANG['settings_form_sitename'] = 'Site Name';
$LANG['settings_form_siteurl'] = 'Site URL';
$LANG['settings_form_sitedesc'] = 'Site Description';
$LANG['settings_form_itemspp'] = 'Items Per Page';
$LANG['settings_form_userregs'] = 'User Registrations';
$LANG['settings_form_allowrev'] = 'Allow New Reviews';
$LANG['settings_option_onlyvalid'] = 'Only by verified members';
$LANG['settings_form_allowvotes'] = 'Allow New Votes';
$LANG['settings_option_onlymembers'] = 'Only by members';
$LANG['settings_form_autovalrev'] = 'Autovalidate Reviews';
$LANG['settings_form_allowsto'] = 'Allow New Stores';
$LANG['settings_form_autovalsto'] = 'Autovalidate Stores';
$LANG['settings_form_allowcou'] = 'Allow New Coupons';
$LANG['settings_form_autovalcou'] = 'Autovalidate Coupons';
$LANG['settings_form_allowprod'] = 'Allow New Products';
$LANG['settings_form_autovalprod'] = 'Autovalidate Products';
$LANG['settings_form_accpip'] = 'Accounts Per IP';
$LANG['settings_form_deleteoldc'] = 'Delete Expired Coupons';
$LANG['settings_form_deleteoldp'] = 'Delete Expired Products';
$LANG['settings_form_deleteoldv'] = 'Delete Old Votes';
$LANG['settings_form_sitelang'] = 'Site Language';
$LANG['settings_form_adminlang'] = 'Admin Panel Language';
$LANG['settings_form_adminthm'] = 'Admin Panel Theme';
$LANG['settings_form_emailfn'] = 'Name Email';
$LANG['settings_form_iemailfn'] = 'All sent emails appear as being sent by this name.';
$LANG['settings_form_emailas'] = 'Answer Email';
$LANG['settings_form_iemailas'] = 'All sent emails appear as being sent from this email address.';
$LANG['settings_form_emailcntct'] = 'Contact Email';
$LANG['settings_form_iemailcntct'] = 'On this email address you will receive emails from the contact form.';
$LANG['settings_form_mailmeth'] = 'Mail Method';
$LANG['settings_from_smtpauth'] = 'SMTP Authentication';
$LANG['settings_from_smtphost'] = 'SMTP Server';
$LANG['settings_from_smtpport'] = 'SMTP Port';
$LANG['settings_from_smtpuser'] = 'SMTP Username';
$LANG['settings_from_smtppass'] = 'SMTP Password';
$LANG['settings_from_snmapath'] = 'Path to sendmail';
$LANG['settings_form_mailsign'] = 'Emails Signature';
$LANG['settings_form_metatitle'] = 'Title';
$LANG['settings_form_imetatitle'] = 'Supported shortcodes: %s'; // %s will replace shortcodes
$LANG['settings_form_metakeywords'] = 'Keywords';
$LANG['settings_form_metadesc'] = 'Description';
$LANG['settings_form_defua'] = 'User Avatar';
$LANG['settings_form_defsa'] = 'Store Avatar';
$LANG['settings_form_defra'] = 'Reward Avatar';
$LANG['settings_userrew_title'] = 'Rewards for User Activity';
$LANG['settings_form_defup'] = 'User Points';
$LANG['settings_form_idefup'] = 'The number of points that a user receives when sign up.';
$LANG['settings_form_defcr'] = 'Users Confirmation';
$LANG['settings_form_defsubscr'] = 'Subscribe Confirmation';
$LANG['settings_form_defunsubscr'] = 'Unsubscribe Confirmation';
$LANG['settings_form_defusml'] = 'Use Smilies For';
$LANG['settings_form_pprev'] = 'Points per Review';
$LANG['settings_form_ppdv'] = 'Daily Points';
$LANG['settings_form_ippdv'] = 'The number of points that a user receives daily for at least one visit of this website.';
$LANG['settings_form_ppref'] = 'Points per Refer';
$LANG['settings_form_ippref'] = 'The number of points that a user receives when refer a friend on website.';
$LANG['settings_form_cokref'] = 'Cookie Duration';
$LANG['settings_form_fimimg'] = 'Upload Images';
$LANG['settings_form_prefc'] = 'Coupons Preferences';
$LANG['settings_form_prefp'] = 'Products Preferences';
$LANG['settings_select_opened'] = 'Anyone can register';
$LANG['settings_select_closed'] = 'Nobody can register';
$LANG['settings_select_getparam'] = 'GET Parameter';
$LANG['settings_select_httpauth'] = 'HTTP Authentication';
$LANG['settings_timezone'] = 'Timezone';
$LANG['settings_hour_format'] = 'Hour Format';
$LANG['settings_form_lcoupon'] = 'Coupon Link';
$LANG['settings_form_lproduct'] = 'Product Link';
$LANG['settings_form_lstore'] = 'Store Link';
$LANG['settings_form_lreviews'] = 'Reviews Link';
$LANG['settings_form_lcategory'] = 'Category Link';
$LANG['settings_form_lstores'] = 'Stores Link';
$LANG['settings_form_lsearch'] = 'Search Link';
$LANG['settings_form_luser'] = 'User Link';
$LANG['settings_form_lplugin'] = 'Plugin Link';
$LANG['settings_form_fbid'] = 'Facebook AppID';
$LANG['settings_form_fbsecret'] = 'Facebook Secret';
$LANG['settings_form_ggclid'] = 'Google ClientID';
$LANG['settings_form_ggsec'] = 'Google Secret';
$LANG['settings_form_ggruri'] = 'Google Request URI';
$LANG['settings_form_ggkey'] = 'Google Key';
$LANG['settings_form_paypmode'] = 'Mode';
$LANG['settings_form_paypid'] = 'PayPal ClientID';
$LANG['settings_form_paypsecret'] = 'PayPal Secret';
$LANG['settings_form_feedserver'] = 'Server';
$LANG['settings_form_feedauth'] = 'Authentication';
$LANG['settings_form_ggid'] = 'User ID';
$LANG['settings_form_ggsecret'] = 'User Secret';
$LANG['settings_from_pricstore'] = 'Store (credits)';
$LANG['settings_from_ipricstore'] = 'One time fee. Will be paid only when a new store is added.';
$LANG['settings_from_priccoupon'] = 'Coupon (credits)';
$LANG['settings_from_ipriccoupon'] = 'The price for every coupon added. If expiration date isn\'t greater than maximum days.';
$LANG['settings_from_priccouponmd'] = 'Coupon (max. days)';
$LANG['settings_from_ipriccouponmd'] = 'Ex.: If you set this to 10 (days) and the price for every coupon (1 credit), an user will pay 1 credit for every 10 days. For a coupon with expiration date after 56 days, the user will pay 6 credits.';
$LANG['settings_from_pricproduct'] = 'Product (credits)';
$LANG['settings_from_ipricproduct'] = 'The price for every product added. If expiration date isn\'t greater than maximum days.';
$LANG['settings_from_pricproductmd'] = 'Product (max. days)';
$LANG['settings_from_ipricproductmd'] = 'Ex.: If you set this to 10 (days) and the price for every product (1 credit), an user will pay 1 credit for every 10 days. For a product with expiration date after 56 days, the user will pay 6 credits.';
$LANG['settings_form_captcha'] = 'Use captcha for';
$LANG['settings_from_favicon'] = 'Favicon';
$LANG['settings_from_logo'] = 'Site Logo';
$LANG['settings_from_searchengines'] = 'Search Engines';
$LANG['settings_from_isearchengines'] = 'If you uncheck the option, this website will not be indexed or followed by search engines.';

/** ADMIN BANNED IPs */

$LANG['banned_title'] = 'Banned List';
$LANG['banned_subtitle'] = 'List of blocked IPs';
$LANG['banned_add'] = 'Add Entry';
$LANG['no_banned_yet'] = 'No IPs banned yet.';
$LANG['banned_add_title'] = 'Add New Entry';
$LANG['banned_add_subtitle'] = 'Add new entry';
$LANG['banned_view'] = 'View List';
$LANG['banned_edit_title'] = 'Edit Entry';
$LANG['banned_edit_subtitle'] = 'Edit entry';
$LANG['banned_add_button'] = 'Add Entry';
$LANG['banned_edit_button'] = 'Edit Entry';
$LANG['bann_ip'] = 'Ban IP?';
$LANG['bann_registrations'] = 'Registrations';
$LANG['bann_neverexp'] = 'Never';
$LANG['bann_login'] = 'Login';
$LANG['bann_site'] = 'Entire site';
$LANG['bann_form_block'] = 'Block';
$LANG['bann_form_expiration'] = 'Expiration';
$LANG['bann_form_redirect'] = 'Redirect to';
$LANG['bann_search_input'] = 'Search IP';

/** ADMIN WIDGETS */

$LANG['widgets_title'] = 'Widgets';
$LANG['widgets_subtitle'] = 'Install widgets on this theme!';
$LANG['widgets_available'] = 'Available Widgets';
$LANG['widgets_view'] = 'View Widgets';
$LANG['widgets_zones'] = 'Zones';
$LANG['widgets_viewzone'] = 'View Zone';
$LANG['widgets_edit_title'] = 'Edit Widget';
$LANG['widgets_edit_subtitle'] = 'Edit widget';
$LANG['widgets_edit_button'] = 'Edit Widget';
$LANG['widgets_no_widgets'] = 'No widgets in this zone.';
$LANG['widgets_no_description'] = 'No description for this zone.';
$LANG['widget_search_box'] = 'Search box';
$LANG['widget_newsletter'] = 'Newsletter';
$LANG['widget_fb_like_box'] = 'Facebook Like Box';
$LANG['widget_fb_like_box_msg'] = 'Put your Facebook page address here !';
$LANG['widget_suggest'] = 'Send suggestion form';
$LANG['widget_suggest_msg'] = 'Did we missed your favorite store? Please suggest it here.';
$LANG['widget_contact'] = 'Contact form';
$LANG['widget_contact_msg'] = 'Send us a message';
$LANG['widget_categories'] = 'Categories';
$LANG['widget_coupons'] = 'Coupons';
$LANG['widget_products'] = 'Products';
$LANG['widget_reviews'] = 'Reviews';
$LANG['widget_pages'] = 'Pages';
$LANG['widget_stores'] = 'Stores';
$LANG['widget_history'] = 'View History';
$LANG['widget_text_box'] = 'Text Box';
$LANG['widget_allow_html'] = 'Allow HTML';
$LANG['widget_text_box_deftext'] = 'Write some text here ...';
$LANG['widget_text_newsletter'] = 'Subscribe to our newsletter!';
$LANG['widget_users'] = 'Users';
$LANG['msg_widget_mobilev'] = 'Make this widget visible on mobile devices';

/** ADMIN PAGES */

$LANG['pages_title'] = 'Pages';
$LANG['pages_subtitle'] = 'Pages list';
$LANG['no_pages_yet'] = 'No pages yet.';
$LANG['pages_add_title'] = 'Add New Page';
$LANG['pages_add_subtitle'] = 'Add new page';
$LANG['pages_edit_title'] = 'Edit Page';
$LANG['pages_edit_subtitle'] = 'Edit page';
$LANG['pages_infos_title'] = 'Information About This Page';
$LANG['pages_add_button'] = 'Add Page';
$LANG['pages_edit_button'] = 'Edit Page';
$LANG['pages_editmt_button'] = 'Meta Tags';
$LANG['pages_search_input'] = 'Search pages';
$LANG['pages_title_meta'] = 'Modify Personalized Meta-Tags';

/** ADMIN COUPONS */

$LANG['coupons_title'] = 'Coupons';
$LANG['coupons_subtitle'] = 'Coupons list';
$LANG['no_coupons_yet'] = 'No coupons yet.';
$LANG['coupons_add_title'] = 'Add New Coupon';
$LANG['coupons_add_subtitle'] = 'Add new coupon';
$LANG['coupons_edit_title'] = 'Edit Coupon';
$LANG['coupons_edit_subtitle'] = 'Edit coupon';
$LANG['coupons_infos_title'] = 'Information About This Coupon';
$LANG['coupons_export_title'] = 'Export Coupons';
$LANG['coupons_export_subtitle'] = 'Export coupons';
$LANG['coupons_option_all'] = 'All'; // `All` categories
$LANG['coupons_import_title'] = 'Import Coupons';
$LANG['coupons_import_subtitle'] = 'Import coupons';
$LANG['coupons_add_button'] = 'Add Coupon';
$LANG['coupons_edit_button'] = 'Edit Coupon';
$LANG['coupons_search_input'] = 'Search coupons';
$LANG['coupons_addpopular'] = 'Populars';
$LANG['coupons_addexclusive'] = 'Exclusive';
$LANG['coupons_avabonline'] = 'This coupon is available online';
$LANG['coupons_use_link'] = 'Use store address';
$LANG['coupons_form_ireward_points'] = 'Make sure that you can track the sales for this coupon.';

/** ADMIN PRODUCTS */

$LANG['products_title'] = 'Products';
$LANG['products_subtitle'] = 'Products list';
$LANG['no_products_yet'] = 'No products yet.';
$LANG['products_add_title'] = 'Add New Product';
$LANG['products_add_subtitle'] = 'Add new product';
$LANG['products_edit_title'] = 'Edit Product';
$LANG['products_edit_subtitle'] = 'Edit product';
$LANG['products_infos_title'] = 'Information About This Product';
$LANG['products_export_title'] = 'Export Products';
$LANG['products_export_subtitle'] = 'Export products';
$LANG['products_option_all'] = 'All'; // `All` categories
$LANG['products_import_title'] = 'Import Products';
$LANG['products_import_subtitle'] = 'Import products';
$LANG['products_add_button'] = 'Add Product';
$LANG['products_edit_button'] = 'Edit Product';
$LANG['products_search_input'] = 'Search products';
$LANG['products_addpopular'] = 'Populars';
$LANG['products_use_link'] = 'Use store address';
$LANG['products_form_ireward_points'] = 'Make sure that you can track the sales for this product.';

/** ADMIN LOCATIONS */

$LANG['loc_cou_title'] = 'Countries';
$LANG['loc_cou_subtitle'] = 'List of available countries';
$LANG['no_countries_yet'] = 'No countries yet.';
$LANG['loc_cou_search_input'] = 'Search countries';
$LANG['loc_state_title'] = 'States';
$LANG['loc_state_subtitle'] = 'List of available states';
$LANG['no_states_yet'] = 'No states yet.';
$LANG['loc_state_search_input'] = 'Search states';
$LANG['loc_city_title'] = 'Cities';
$LANG['loc_city_subtitle'] = 'List of available cities';
$LANG['no_cities_yet'] = 'No cities yet.';
$LANG['loc_city_search_input'] = 'Search cities';
$LANG['loc_form_country'] = 'Country';
$LANG['loc_form_state'] = 'State';
$LANG['loc_form_city'] = 'City';
$LANG['loc_form_zip'] = 'ZIP';

/** ADMIN LOCATIONS: ADD */

$LANG['loc_cou_add_title'] = 'Add Country';
$LANG['loc_cou_add_subtitle'] = 'Add a country';
$LANG['loc_state_add_title'] = 'Add State';
$LANG['loc_state_add_subtitle'] = 'Add a state';
$LANG['loc_city_add_title'] = 'Add City';
$LANG['loc_city_add_subtitle'] = 'Add a city';
$LANG['loc_cou_add_button'] = 'Add Country';
$LANG['loc_state_add_button'] = 'Add State';
$LANG['loc_city_add_button'] = 'Add City';

/** ADMIN LOCATIONS: EDIT */

$LANG['loc_cou_edit_title'] = 'Edit Country';
$LANG['loc_cou_edit_subtitle'] = 'Edit country';
$LANG['loc_cou_infos_title'] = 'Information About This Country';
$LANG['loc_state_edit_title'] = 'Edit State';
$LANG['loc_state_edit_subtitle'] = 'Edit state';
$LANG['loc_state_infos_title'] = 'Information About This State';
$LANG['loc_city_edit_title'] = 'Edit City';
$LANG['loc_city_edit_subtitle'] = 'Edit city';
$LANG['loc_city_infos_title'] = 'Information About This City';
$LANG['loc_cou_edit_button'] = 'Edit Country';
$LANG['loc_state_edit_button'] = 'Edit State';
$LANG['loc_city_edit_button'] = 'Edit City';

/** ADMIN STORE LOCATION: ADD */

$LANG['store_loc_add_title'] = 'Add Store Address';
$LANG['store_loc_add_subtitle'] = 'Add store address';
$LANG['store_loc_add_button'] = 'Add Address';

/** ADMIN STORE LOCATION: EDIT */

$LANG['store_loc_edit_title'] = 'Edit Store Address';
$LANG['store_loc_edit_subtitle'] = 'Edit store address';
$LANG['store_loc_edit_infos_title'] = 'Information About This Location';
$LANG['store_loc_edit_button'] = 'Edit Address';

/** ADMIN STORES */

$LANG['stores_title'] = 'Stores';
$LANG['stores_subtitle'] = 'Stores list';
$LANG['no_stores_yet'] = 'No stores yet.';
$LANG['stores_add_title'] = 'Add New Store';
$LANG['stores_add_subtitle'] = 'Add new store';
$LANG['stores_edit_title'] = 'Edit Store';
$LANG['stores_edit_subtitle'] = 'Edit store';
$LANG['stores_infos_title'] = 'Information About This Store';
$LANG['stores_export_title'] = 'Export Stores';
$LANG['stores_export_subtitle'] = 'Export stores';
$LANG['stores_option_all'] = 'All'; // `All` categories
$LANG['stores_import_title'] = 'Import Stores';
$LANG['stores_import_subtitle'] = 'Import stores';
$LANG['stores_add_button'] = 'Add Store';
$LANG['stores_edit_button'] = 'Edit Store';
$LANG['stores_search_input'] = 'Search stores';
$LANG['stores_addpopular'] = 'Populars';
$LANG['no_coupons_store'] = 'No coupons yet';
$LANG['no_products_store'] = 'No products yet';
$LANG['nr_coupons_store'] = '%s coupons'; // %s will replace number of coupons
$LANG['nr_products_store'] = '%s products'; // %s will replace number of products

/** ADMIN USERS */

$LANG['users_title'] = 'Users';
$LANG['users_subtitle'] = 'Users list';
$LANG['no_users_yet'] = 'No users yet.'; // not important
$LANG['users_add_title'] = 'Add New User';
$LANG['users_add_subtitle'] = 'Add a new user';
$LANG['users_edit_title'] = 'Edit User';
$LANG['users_edit_subtitle'] = 'Edit user';
$LANG['users_cp_title'] = 'Change Password';
$LANG['users_ban_title'] = 'Ban User';
$LANG['users_infos_title'] = 'Information About This User';
$LANG['users_add_button'] = 'Add User';
$LANG['users_edit_button'] = 'Edit User';
$LANG['users_cp_button'] = 'Change Password';
$LANG['users_ban_button'] = 'Ban User';
$LANG['users_ban_updatebutton'] = 'Update Ban';
$LANG['users_unban_button'] = 'Unban';
$LANG['users_search_input'] = 'Search users';

/** ADMIN PAYMENTS */

$LANG['pmts_invoices_title'] = 'Invoices';
$LANG['pmts_invoices_subtitle'] = 'List of invoices generated by users';
$LANG['no_pmtstrans_yet'] = 'No invoices yet.';
$LANG['pmts_plans_title'] = 'Payment Plans';
$LANG['pmts_plans_subtitle'] = 'List of payment plans';
$LANG['no_pmtsplans_yet'] = 'No payment plans yet.';
$LANG['msg_pubpplan'] = 'Publish this plan';
$LANG['pmts_addplan_title'] = 'Add New Plan';
$LANG['pmts_addplan_subtitle'] = 'Add a new payment plan';
$LANG['pmts_viewinv_title'] = 'View Invoice';
$LANG['pmts_viewinv_subtitle'] = 'View invoice details';
$LANG['pmts_editplan_title'] = 'Edit Plan';
$LANG['pmts_editplan_subtitle'] = 'Edit payment plan';
$LANG['pmts_plan_infos_title'] = 'Information About This Plan';
$LANG['pmts_plans_add'] = 'Add Plan';
$LANG['pmts_editplan_button'] = 'Edit Plan';
$LANG['pmts_plans_search_input'] = 'Search plans';
$LANG['pmts_trans_search_input'] = 'Search invoices';
$LANG['pmts_form_transid'] = 'Transaction ID';
$LANG['pmts_form_gateway'] = 'Gateway';
$LANG['pmts_form_state'] = 'State';
$LANG['pmts_form_paid'] = 'Paid';
$LANG['pmts_form_delivered'] = 'Delivered';
$LANG['pmts_form_items'] = 'Items';

/** ADMIN PLUGINS */

$LANG['plugins_title'] = 'Plugins';
$LANG['plugins_subtitle'] = 'List of installed plugins';
$LANG['no_plugins_yet'] = 'No plugins yet.';
$LANG['plugins_istl_title'] = 'Install Plugin';
$LANG['plugins_istl_subtitle'] = 'Install a new plugin';
$LANG['msg_pubplugin'] = 'Publish this plugin';
$LANG['msg_pubplugmenu'] = 'Publish this plugin in menu';
$LANG['plugins_edit_title'] = 'Edit Plugin';
$LANG['plugins_edit_subtitle'] = 'Edit plugin';
$LANG['plugin_infos_title'] = 'Information About This Plugin';
$LANG['plugins_uninstall_title'] = 'Uninstalling ...';
$LANG['plugins_unist_files'] = 'Files and directories';
$LANG['plugins_unist_tables'] = 'Database tables';
$LANG['plugins_unist_columns'] = 'Database columns';
$LANG['plugins_unist_options'] = 'Options';
$LANG['plugins_unist_confq'] = 'Are you sure that you want to uninstall %s?'; // %s will replace the plugin name
$LANG['plugins_cuinstall_button'] = 'Confirm'; // confirm uninstallation
$LANG['plugins_install_button'] = 'Install';
$LANG['plugins_upload_button'] = 'Upload';
$LANG['plugins_edit_button'] = 'Edit Plugin';
$LANG['plugins_search_input'] = 'Search plugins';
$LANG['plugin_editor_title'] = 'Edit plugin: %s'; // %s will replace theme name
$LANG['plugins_install_msg'] = 'Big attention! It\'s a risk everytime when you upload plugins from unofficial sources. You can check for new plugins at <a href="http://couponscms.com/plugins.html" class="link" target="_blank">CouponsCMS.com</a>';
$LANG['plugins_select_plugin'] = 'Select Plugin';
$LANG['plugins_orviaurl'] = 'Download via URL';
$LANG['plugins_url_plugin'] = 'Plugin URL';
$LANG['plugins_urlph'] = 'example: http://couponscms.com/plugins/newplugin.zip';
$LANG['plugins_upload_dleave'] = 'Please do not leave this page during the upload!';
$LANG['plugins_installed'] = 'The plugin has been installed.';
$LANG['plugins_plugin_exists'] = '%s directory already exists. The plugin exists?'; // %s will replace directory
$LANG['plugins_extracting_error'] = 'Sorry, but this plugin can\'t be unziped.';
$LANG['plugins_only_zip'] = 'Please upload only plugins in ZIP format.';
$LANG['plugins_wrongurl'] = 'Sorry, but this URL seems to be invalid.';
$LANG['plugins_cantunzip'] = 'Sorry, but your plugin could not be unzipped.';
$LANG['plugins_err_installmiss'] = 'install.xml is missing.';
$LANG['plugins_err_cntreadxml'] = 'File XML can\'t be read.';
$LANG['plugins_err_mainmiss'] = 'Main file is missing.';
$LANG['plugins_err_paraiss'] = 'Some parameters are missing in the XML file or they are invalid..';
$LANG['plugins_err_mainlanmiss'] = 'Is missing configuration file for the language.';
$LANG['plugins_err_mainpgatmiss'] = 'Is missing configuration file for the payment gateway.';
$LANG['plugins_err_mainfeedsmiss'] = 'Is missing configuration file for the Feed server.';
$LANG['plugins_err_inconpat'] = 'Sorry, this plugin isn\'t compatible with your version.';
$LANG['plugins_err_dirmiss'] = 'Plugin directory is missing.';
$LANG['plugins_err_manydirs'] = 'Too many directories in this archive.';

/** ADMIN SEND EMAIL */

$LANG['users_sendmail_title'] = 'Send Email';
$LANG['users_sendmail_subtitle'] = 'Send a new email to one or more email addresses';
$LANG['users_sendmail_fname'] = 'From Name';
$LANG['users_sendmail_femail'] = 'From Email';
$LANG['users_sendmail_temails'] = 'To Emails';
$LANG['users_sendmail_itemails'] = 'You can send to multiple email addresses, separate them with comma.';
$LANG['users_sendmail_subject'] = 'Subject';
$LANG['users_sendmail_text'] = 'Message';
$LANG['users_sendmail_button'] = 'Send Email';

/** ADMIN SUGGESTIONS */

$LANG['suggestions_title'] = 'Suggestions';
$LANG['suggestions_subtitle'] = 'List with users suggestions';
$LANG['no_suggestions_yet'] = 'No suggestions yet.'; // not important
$LANG['suggestions_view_title'] = 'View Suggestion';
$LANG['suggestions_view_subtitle'] = 'View suggestion';
$LANG['suggestions_infos_title'] = 'Information About This User';
$LANG['suggestions_search_input'] = 'Search in suggestions';

/** ADMIN REVIEWS */

$LANG['reviews_title'] = 'Reviews';
$LANG['reviews_subtitle'] = 'Reviews list';
$LANG['reviews_add'] = 'Add Review';
$LANG['no_reviews_yet'] = 'No reviews yet.';
$LANG['reviews_add_title'] = 'Add Review';
$LANG['reviews_add_subtitle'] = 'Add new review';
$LANG['reviews_view'] = 'View Reviews';
$LANG['reviews_edit_title'] = 'Edit Review';
$LANG['reviews_edit_subtitle'] = 'Edit review';
$LANG['reviews_infos_title'] = 'Information About This Review';
$LANG['reviews_add_button'] = 'Add Review';
$LANG['reviews_edit_button'] = 'Edit Review';
$LANG['reviews_search_input'] = 'Search reviews';
$LANG['reviews_byto'] = 'By %s to %s'; // First %s will replace user name, second %s will replace store name

/** FEED */

$LANG['added_through_feed'] = 'Imported';
$LANG['notadded_through_feed'] = 'Not Imported';
$LANG['added_through_feed_msg'] = 'Added through feed.';
$LANG['feed_coupons_link'] = 'Feed Coupons';
$LANG['feed_products_link'] = 'Feed Products';
$LANG['feed_coupons_subtitle'] = 'Coupons through API from Feed Server';
$LANG['feed_products_subtitle'] = 'Products through API from Feed Server';
$LANG['feed_stores_subtitle'] = 'Stores through API from Feed Server';
$LANG['feed_pistore_title'] = 'Preview & Import';
$LANG['feed_pistore_subtitle'] = 'Here you can edit the details of this store before the import';
$LANG['feed_picoupon_title'] = 'Preview & Import';
$LANG['feed_picoupon_subtitle'] = 'Here you can edit the details of this coupon before the import';
$LANG['feed_piproduct_title'] = 'Preview & Import';
$LANG['feed_piproduct_subtitle'] = 'Here you can edit the details of this product before the import';
$LANG['feed_istores_title'] = 'Import Coupons';
$LANG['feed_istores_subtitle'] = 'Import coupons automatically';
$LANG['feed_information_title'] = 'Information About Server';
$LANG['feed_importnr_stores'] = 'Fetch data for %s stores that you have imported through API.'; // First %s will replace the number of stores
$LANG['feed_importe1'] = 'At this moment you have no stores or brands imported, you are able to import coupons automatically only for stores that have assigned a feed ID. Feeds ID are assigned when imported through API.';
$LANG['feed_icoupons'] = 'Check/Update';
$LANG['feed_icouponstoo'] = 'Import their coupons';
$LANG['feed_iproductstoo'] = 'Import their products';
$LANG['feed_import_dleave'] = 'Please do not leave this page during the import!';
$LANG['feed_icoupons_button'] = 'Start Importing';
$LANG['feed_stores_sucimp'] = 'Stores imported';
$LANG['feed_stores_errimp'] = 'Stores not imported';
$LANG['feed_coupons_sucimp'] = 'Coupons imported';
$LANG['feed_coupons_sucupt'] = 'Coupons updated';
$LANG['feed_products_sucimp'] = 'Products imported';
$LANG['feed_products_sucupt'] = 'Products updated';
$LANG['feed_form_addfrom'] = 'Added from';
$LANG['feed_form_import'] = 'Import';

/** FEED ERROR MESSAGES */

$LANG['feed_e_serverr'] = 'Wrong configuration. This Server cannot be used.';
$LANG['feed_e_servtout'] = 'Connection to server timed out';
$LANG['feed_e_invalid'] = 'This Feed Server doesn\'t exists.';
$LANG['feed_e_configmiss'] = 'Server configuration is missing.';

/** ADMIN REWARDS */

$LANG['rewards_title'] = 'Rewards';
$LANG['rewards_subtitle'] = 'Rewards list';
$LANG['rewards_add'] = 'Add Reward';
$LANG['no_rewards_yet'] = 'No rewards yet.';
$LANG['rewards_add_title'] = 'Add New Reward';
$LANG['rewards_add_subtitle'] = 'Add a new reward';
$LANG['rewards_view'] = 'View Rewards';
$LANG['rewards_edit_title'] = 'Edit Reward';
$LANG['rewards_edit_subtitle'] = 'Edit reward';
$LANG['rewards_infos_title'] = 'Information About This Reward';
$LANG['rewards_add_button'] = 'Add Reward';
$LANG['rewards_edit_button'] = 'Edit Reward';
$LANG['rewards_viewcr_button'] = 'Claim Requests';
$LANG['rewards_viewcr_title'] = 'View Claim Request';
$LANG['rewards_viewcr_subtitle'] = 'View claim request';
$LANG['rewards_search_input'] = 'Search rewards';
$LANG['rewards_req_title'] = 'Claim Requests';
$LANG['no_claimreq_yet'] = 'No claim requests yet.';
$LANG['rewards_req_form_pused'] = 'Points used';
$LANG['rewards_req_subtitle'] = 'List of claim requests';
$LANG['rewards_req_search_input'] = 'Search claim requests';
$LANG['rewards_form_reward'] = 'Reward';
$LANG['rewards_form_points'] = 'Points';
$LANG['rewards_form_ipoints'] = 'The number of points which an user must  have to redeem this reward.';
$LANG['rewards_form_fields'] = 'Fields';
$LANG['rewards_form_ifields'] = 'To reward an user you may require some more information such as home address or PayPal account.';
$LANG['rewards_addfield_button'] = 'Add field';
$LANG['rewards_table_name'] = 'Name';
$LANG['rewards_table_type'] = 'Type';
$LANG['rewards_table_value'] = 'Value';
$LANG['rewards_type_text'] = 'Text';
$LANG['rewards_type_number'] = 'Number';
$LANG['rewards_type_email'] = 'Email';
$LANG['rewards_type_hidden'] = 'Hidden';
$LANG['rewards_required'] = 'Required';
$LANG['rewards_notrequired'] = 'Not Required';

/** NEWSLETTER */

$LANG['newsletter_title'] = 'Subscribers';
$LANG['newsletter_subtitle'] = 'List with all subscribers';
$LANG['no_subsribers_yet'] = 'No subscribers yet.';
$LANG['subscribers_edit_title'] = 'Edit Subscriber';
$LANG['subscribers_edit_subtitle'] = 'Edit subscriber';
$LANG['subscribers_infos_title'] = 'Information About This Subscriber';
$LANG['subscribers_edit_button'] = 'Edit Subscriber';
$LANG['subscribers_import_title'] = 'Import Subscribers';
$LANG['subscribers_import_subtitle'] = 'Import subscribers';
$LANG['subscribers_export_title'] = 'Export Subscribers';
$LANG['subscribers_export_subtitle'] = 'Export subscribers';
$LANG['subscribers_export_button'] = 'Export';
$LANG['newsletter_usevalide'] = 'Please use a valid email address.';
$LANG['newsletter_reqconfirm'] = 'Please check your inbox (%s) and confirm your subscription. (please check Spam directory also)'; // %s will be replaced by the email address
$LANG['newsletter_success'] = 'You had been successfully subscribed, thank you!';
$LANG['newsletter_subscribed'] = 'You are already subscribed to our newsletter!';
$LANG['subscribers_search_input'] = 'Search subscribers';
$LANG['subscribers_form_exportfields'] = 'Export the Fields';
$LANG['subscribers_form_exporttype'] = 'Export Subscribers';
$LANG['subscribers_option_all'] = 'All';
$LANG['subscribers_option_verified'] = 'Verified';
$LANG['subscribers_option_unverified'] = 'Unverified';

/** SUBMIT CONTACT */

$LANG['sendcontact_success'] = 'Your message has been sent. Thank you!';
$LANG['sendcontact_usevalide'] = 'Please use a valid email address.';
$LANG['sendcontact_complete_name'] = 'Please fill the name.';
$LANG['sendcontact_writemsg'] = 'Please fill a short message for us.';

/** ADMIN THEMES */

$LANG['themes_title'] = 'Themes';
$LANG['themes_subtitle'] = 'Themes list';
$LANG['themes_upload'] = 'Upload Theme';
$LANG['no_themes_yet'] = 'No themes yet.';
$LANG['themes_upload_title'] = 'Upload Theme';
$LANG['themes_upload_subtitle'] = 'Upload new theme';
$LANG['themes_common'] = 'Common Content';
$LANG['themes_common_title'] = 'Common Content';
$LANG['themes_common_subtitle'] = 'The content that can be accessed from any theme. Can be accessed through PHP functions. Ideal to keep the Google Analytics tracking code when switch themes.';
$LANG['themes_edit_title'] = 'Theme Editor';
$LANG['themes_edit_subtitle'] = 'Theme editor';
$LANG['themes_version'] = 'Version';
$LANG['themes_description'] = 'Description';
$LANG['themes_published_by'] = 'Published by';
$LANG['themes_publisher_url'] = 'URL Publisher';
$LANG['themes_used'] = 'Used';
$LANG['themes_no_infos'] = 'No information about this theme.';
$LANG['theme_edit_title'] = 'Edit theme: %s'; // %s will replace theme name
$LANG['themes_upload_msg'] = 'Big attention! It\'s a risk everytime when you upload themes from unofficial sources. You can check for new themes at <a href="http://couponscms.com/themes.html" class="link" target="_blank">CouponsCMS.com</a>';
$LANG['themes_select_theme'] = 'Select Theme';
$LANG['themes_upload_button'] = 'Upload Theme';
$LANG['themes_orviaurl'] = 'Download via URL';
$LANG['themes_url_theme'] = 'Theme URL';
$LANG['themes_urlph'] = 'example: http://couponscms.com/themes/newtheme.zip';
$LANG['themes_install_button'] = 'Install Theme';
$LANG['themes_upload_dleave'] = 'Please do not leave this page during the upload!';
$LANG['themes_installed'] = 'The theme has been installed.';
$LANG['themes_theme_exists'] = '%s directory already exists. The theme exists?'; // %s will replace directory
$LANG['themes_extracting_error'] = 'Sorry, but this theme can\'t be unziped.';
$LANG['themes_only_zip'] = 'Please upload only themes in ZIP format.';
$LANG['themes_wrongurl'] = 'Sorry, but this URL seems to be invalid.';
$LANG['themes_cantunzip'] = 'Sorry, but your theme could not be unzipped.';

/** ADMIN ALERTS */

$LANG['news_alerts'] = 'Alerts';
$LANG['alerts_suggestions'] = '%s unread suggestions'; // %s will replace the number of suggestions unread
$LANG['alerts_reviews'] = '%s unpublished reviews'; // %s will replace the number of reviews unpublished
$LANG['alerts_rewardreq'] = '%s unclaimed rewards'; // %s will replace the number of claim reward requests
$LANG['alerts_unpubcoupons'] = '%s unpublished coupons'; // %s will replace the number of unpublished coupons
$LANG['alerts_unpubproducts'] = '%s unpublished products'; // %s will replace the number of unpublished products
$LANG['alerts_unpubstores'] = '%s unpublished stores'; // %s will replace the number of unpublished stores
$LANG['alerts_undelipay'] = '%s invoices undelivered'; // %s will replace the number of undelivered items

/** ADMIN CHAT/NOTES */

$LANG['chat_title'] = 'Chat / Notes';
$LANG['chat_subtitle'] = 'List of messages';
$LANG['no_chat_yet'] = 'There are no messages for the moment.';
$LANG['chat_search_input'] = 'Search in messages';
$LANG['chat_write_input'] = 'Message here ...';
$LANG['chat_write_button'] = 'Write';
$LANG['chat_list'] = 'View full list →';

/** ADMIN NEWS */

$LANG['news_title'] = 'News & Tutorials';
$LANG['news_subtitle'] = 'Latest news and tutorials';
$LANG['no_news_yet'] = 'There are no news or tutorials for the moment.';
$LANG['news_read_view'] = 'Read/View';
$LANG['news_search_input'] = 'Search in news/tutorials';
$LANG['news_list'] = 'View list →';

/** ADMIN USER SESSIONS */

$LANG['sessions_title'] = 'Active Sessions';
$LANG['sessions_subtitle'] = 'All active user sessions. By deleting them, users will be disconnected from their accounts.';
$LANG['no_sessions_yet'] = 'No sessions yet.';  // not important
$LANG['sessions_edit_user'] = 'Edit User';

/** ADMIN CLICKS REPORT */

$LANG['clicksr_title'] = 'Clicks Report';
$LANG['clicksr_subtitle'] = 'Report of valid clicks on stores.';
$LANG['no_clicks_yet'] = 'No clicks yet.';
$LANG['clicksr_graport'] = 'Graph Report';
$LANG['clicksr_edit_user'] = 'Edit User';
$LANG['clicksr_edit_store'] = 'Edit Store';
$LANG['clicksr_search_input'] = 'Search in report';
$LANG['clicksr_couponid'] = 'Coupon ID';
$LANG['clicksr_productid'] = 'Product ID'; 
$LANG['clicksr_list'] = 'View list →';

/** ADMIN IMPORT/EXPORT NAME FIELDS */

$LANG['field_omit'] = '-- Omit this field --';
$LANG['field_name'] = 'Name';
$LANG['field_title'] = 'Title';
$LANG['field_link'] = 'Link/Website';
$LANG['field_description'] = 'Description';
$LANG['field_tags'] = 'Tags';
$LANG['field_image'] = 'Image';
$LANG['field_store_type'] = 'Store Type';
$LANG['field_store_sellonline'] = 'Store Sell Online';
$LANG['field_store_hours'] = 'Store Hours';
$LANG['field_store_locations'] = 'Store Locations';
$LANG['field_code'] = 'Code';
$LANG['field_store_name'] = 'Store Name';
$LANG['field_store_url'] = 'Store Website';
$LANG['field_start_date'] = 'Start Date';
$LANG['field_end_date'] = 'End Date';
$LANG['field_printable'] = 'Printable';
$LANG['field_available_online'] = 'Available Online';
$LANG['field_source_url'] = 'Source(URL)';
$LANG['field_price'] = 'Price';
$LANG['field_oldprice'] = 'Old Price';
$LANG['field_currency'] = 'Currency';

/**

USER INTERFACE

*/

$LANG['unavailable_form'] = 'This form it\'s only for logged members!';
$LANG['unavailable_form2'] = 'This form it\'s only for store/brand owners.';
$LANG['msg_notenoughpoints'] = 'You need %s credits for this. Now you have only %s credits.'; // first %s will replace the cost, the second one user balance

/** SEND SUGGESTION */

$LANG['suggestion_store_owner'] = 'I\'m owner of this store/brand';
$LANG['suggestion_just_suggestion'] = 'I just want to make a suggestion';
$LANG['suggestion_sent'] = 'Your suggestion has been sent.';
$LANG['suggestion_name_ph'] = 'Store/brand name';
$LANG['suggestion_pwn'] = 'Please fill a name for this store/brand.';
$LANG['suggestion_wrong_url'] = 'Website address seems to be invalid.';
$LANG['suggestion_shdesc'] = 'Please fill a short description about the store/brand you want to suggest.';

/** WRITE REVIEW */

$LANG['review_sent'] = 'Thank you! Your review has been sent.';
$LANG['review_not_allowed'] = 'New reviews are not allowed at this time.';
$LANG['review_write_text'] = 'Please fill a message.';
$LANG['review_write_notv'] = 'Your account isn\'t confirmed, you can\'t write reviews.';

/** LOGIN */

$LANG['login_success'] = 'You have successfully logged in.';
$LANG['login_invalid'] = 'Login details are invalid.';
$LANG['login_banaccount'] = 'Your account it\'s banned for security reasons, often for failed login attempts. Please try later.';

/** REGISTER */

$LANG['register_success'] = 'You have successfully registered.';
$LANG['register_not_allowed'] = 'Registrations are not allowed at this time.';
$LANG['register_usevalide'] = 'Please use a valid email address.';
$LANG['register_complete_name'] = 'Please fill the name.';
$LANG['register_invalid_name'] = 'The name should not contain special characters, not less than 3 and no more than 25 characters.';
$LANG['register_paswdreq'] = 'Both passwords are required.';
$LANG['register_invalid_paswd'] = 'Password should not contain special characters, not less than 5 and no more than 40 characters.';
$LANG['register_passwdnm'] = 'Passwords do not match!';
$LANG['register_accexists'] = 'This email address already exists.';
$LANG['fp_unkwacc'] = 'Sorry, we couldn\'t find this account in our database.';
$LANG['fp_success'] = 'An email has been sent, please check your inbox!';

/** UPDATE PROFILE */

$LANG['profile_success'] = 'Your profile has been updated.';
$LANG['profile_complete_name'] = 'Please fill the name.';
$LANG['profile_invalid_name'] = 'The name should not contain special characters, not less than 3 and no more than 25 characters.';
$LANG['profile_button'] = 'Edit Profile';

/** CHANGE PASSWORD */

$LANG['change_pwd_success'] = 'Your password has been changed.';
$LANG['change_pwd_form_old'] = 'Old Password';
$LANG['change_pwd_form_new'] = 'New Password';
$LANG['change_pwd_form_new2'] = 'Confirm New Password';
$LANG['change_pwd_wrong_np'] = 'Password should not contain special characters, not less than 5 and no more than 40 characters.';
$LANG['change_pwd_pwddm'] = 'Passwords do not match!';
$LANG['change_pwd_wrongpwd'] = 'Your current password it\'s wrong!';
$LANG['change_pwd_button'] = 'Change Password';

/** RESET PASSWORD */

$LANG['reset_pwd_success'] = 'Your password has been set, you can login now.';
$LANG['reset_pwd_wrong_np'] = 'Password should not contain special characters, not less than 5 and no more than 40 characters.';
$LANG['reset_pwd_pwddm'] = 'Passwords do not match!';
$LANG['reset_pwd_button'] = 'Reset Password';

/** SUBMIT COUPON */

$LANG['submit_cou_success'] = 'The coupon has been added.';
$LANG['submit_cou_not_allowed'] = 'New coupons are not allowed at this time.';
$LANG['submit_cou_addto'] = 'Add to';
$LANG['submit_cou_name_ph'] = 'Coupon name';
$LANG['submit_cou_code_ph'] = 'Coupon code, please leave it blank if not necessary.';
$LANG['submit_cou_url_ph'] = 'Optional. Leave it blank if it is not a special page for this offer.';
$LANG['submit_cou_writename'] = 'Please fill a name for this coupon.';
$LANG['submit_cou_writeurl'] = 'Please fill a good URL for this coupon/deal or leave it blank.';
$LANG['submit_cou_writedesc'] = 'Please fill a short description about the coupon that you want to submit.';
$LANG['submit_cou_wrong_ed'] = 'End date must be greater than today.';
$LANG['submit_cou_button'] = 'Add Coupon';

/** EDIT COUPON */

$LANG['edit_cou_success'] = 'The coupon has been updated.';
$LANG['edit_cou_cant'] = 'You don\'t own this coupon.';
$LANG['edit_cou_writename'] = 'Please fill a name for this coupon.';
$LANG['edit_cou_writeurl'] = 'Please fill a good URL for this coupon/deal or leave it blank.';
$LANG['edit_cou_writedesc'] = 'Please fill a short description about the coupon you want to edit.';
$LANG['edit_cou_button'] = 'Edit Coupon';

/** SUBMIT PRODUCT */

$LANG['submit_prod_success'] = 'The product has been added.';
$LANG['submit_prod_not_allowed'] = 'New products are not allowed at this time.';
$LANG['submit_prod_addto'] = 'Add to';
$LANG['submit_prod_name_ph'] = 'Product name';
$LANG['submit_prod_price_ph'] = 'Selling price now, with discount.';
$LANG['submit_prod_oldprice_ph'] = 'Last price without discount.';
$LANG['submit_prod_writename'] = 'Please fill a name for this product.';
$LANG['submit_prod_writeurl'] = 'Please fill a good URL for this product.';
$LANG['submit_prod_writedesc'] = 'Please fill a short description about the product that you want to submit.';
$LANG['submit_prod_wrong_ed'] = 'End date must be greater than today.';
$LANG['submit_prod_button'] = 'Add Product';

/** EDIT PRODUCT */

$LANG['edit_prod_success'] = 'The product has been updated.';
$LANG['edit_prod_cant'] = 'You don\'t own this product.';
$LANG['edit_prod_writename'] = 'Please fill a name for this product.';
$LANG['edit_prod_writeurl'] = 'Please fill a good URL for this product.';
$LANG['edit_prod_writedesc'] = 'Please fill a short description about the product that you want to edit.';
$LANG['edit_prod_button'] = 'Edit Product';

/** SUBMIT STORE */

$LANG['submit_store_success'] = 'The store/brand has been added.';
$LANG['submit_store_not_allowed'] = 'New stores are not allowed at this time.';
$LANG['submit_store_name_ph'] = 'Store/brand name';
$LANG['submit_store_writename'] = 'Please fill a name for this store/brand.';
$LANG['submit_store_wrongweb'] = 'Website address seems to be invalid.';
$LANG['submit_store_writedesc'] = 'Please fill a short description about the store/brand you want to edit.';
$LANG['submit_store_button'] = 'Add Store/Brand';

/** EDIT STORE */

$LANG['edit_store_success'] = 'The store/brand has been updated.';
$LANG['edit_store_cant'] = 'You don\'t own this store/brand.';
$LANG['edit_store_name_ph'] = 'Store/brand name';
$LANG['edit_store_writename'] = 'Please fill a name for this store/brand.';
$LANG['edit_store_wrongweb'] = 'Website address seems to be invalid.';
$LANG['edit_store_writedesc'] = 'Please fill a short description about the store/brand you want to edit.';
$LANG['edit_store_button'] = 'Edit Store/Brand';

/** SUBMIT STORE LOCATION */

$LANG['submit_store_loc_success'] = 'The store/brand location has been added.';
$LANG['submit_store_loc_button'] = 'Add Store/Brand Location';

/** EDIT STORE LOCATION */

$LANG['edit_store_loc_success'] = 'The store/brand location has been updated.';
$LANG['edit_store_loc_button'] = 'Edit Store/Brand Location';

/** CLAIM REWARD */

$LANG['claim_reward_success'] = 'The request has been successfully sent.';
$LANG['claim_reward_dontexist'] = 'This reward doesn\'t exists.';
$LANG['claim_reward_mrepts'] = 'You don\'t have enough points to redeem this.';
$LANG['claim_reward_reqinv'] = 'Some of required fields are incomplete.';

/** PAYMENTS */

$LANG['payments_metatitle'] = 'Buy Credits';
$LANG['payments_title_infos'] = 'Information';
$LANG['payments_paywith'] = 'Pay now with';
$LANG['payments_choosetopay'] = 'Choose to pay with';
$LANG['payments_msg_confirmed'] = 'Payment confirmed, thank you !';
$LANG['payments_msg_error_cc'] = 'We couldn\'t complete the transaction, verify the information, then try again.'; // error when pay with credit card
$LANG['payments_paynow_button'] = 'Pay now';
$LANG['payments_msg_invseltype'] = 'Please select the type of credit card.';
$LANG['payments_msg_invnamecard'] = 'Please fill the name on credit card';
$LANG['payments_msg_invnumber'] = 'Please fill the credit card number.';
$LANG['payments_msg_invexp'] = 'Please select the expiration date for this credit card.';
$LANG['payments_msg_invcvv'] = 'The CVV is the 3(4)-digit number on the back of your credit card.';
$LANG['payments_form_cardtype'] = 'Card Type';
$LANG['payments_form_nameoncard'] = 'Name on Card';
$LANG['payments_nameoncard_ph'] = 'FirstName LastName';
$LANG['payments_form_cardnumber'] = 'Card Number';
$LANG['payments_form_cardexp'] = 'Expiration';
$LANG['payments_form_cvv'] = 'CVV2';

/**

USER VERIFICATION ACTIONS

*/

$LANG['verify_clickhere'] = 'click here'; // "click here" to redirect on index

// Account verified

$LANG['uverify_metatitle'] = 'Account Verified';
$LANG['uverify_title'] = 'Thank you'; // Or "Account verified" are the most used titles
$LANG['uverify_body'] = 'Your account had been successfully verified, you will be redirected in %s seconds.'; // %s will be replaced by the number of seconds remained until the redirect on index

// User subscribed

$LANG['usubscr_metatitle'] = 'Subscribed';
$LANG['usubscr_title'] = 'Thank you!'; // Or "You has been subscribed" are the most used titles
$LANG['usubscr_body'] = 'You had been successfully subscribed, you will be redirected in %s seconds.'; // %s will be replaced by the number of seconds remained until the redirect on index

// User unsubscrib

$LANG['uunsubscr_metatitle'] = 'Unsubscribe';
$LANG['uunsubscr_title'] = 'Unsubscribe';
$LANG['uunsubscr_button'] = 'Unsubscribe me';
$LANG['uunsubscr_body'] = 'If you are subscribed to our newsletter and you wish to unsubscribe, please insert your email address and then click on "Unsubscribe me".';
$LANG['uunsubscr_reqsent'] = 'Please check your inbox (%s) and confirm the unsubscription.'; // %s will be replaced by the email address
$LANG['uunsubscr_notsubscr'] = 'You are not subscribed to our newsletter.';
$LANG['uunsubscr_ok'] = 'You had been unsubscribed.';

// User unsubscribed

$LANG['uunsubscr2_metatitle'] = 'Unsubscribed';
$LANG['uunsubscr2_title'] = 'You are now unsubscribed';
$LANG['uunsubscr2_body'] = 'You had been successfully unsubscribed, you will be redirected in %s seconds.'; // %s will be replaced by the number of seconds remained until the redirect on index

/**

EMAIL TEMPLATES

*/

$LANG['email_text_hello'] = 'Hello %s';

// reset password

$LANG['email_reset_title'] = 'Reset your password';
$LANG['email_reset_maintext'] = 'Click on the link bellow to reset your password.';
$LANG['email_reset_button'] = 'Reset password!';

// confirm account

$LANG['email_acc_title'] = 'Activate account';
$LANG['email_acc_maintext'] = 'Click on the link bellow to confirm your account.';
$LANG['email_acc_button'] = 'Activate account!';

// confirm subscribtion

$LANG['email_sub_title'] = 'Confirm subscription';
$LANG['email_sub_maintext'] = 'One more step left! Thank you for subscription to our newsletter, please confirm your subscription by clicking the link below.';
$LANG['email_sub_button'] = 'Confirm subscription!';

// confirm unsubscribtion

$LANG['email_unsub_title'] = 'Confirm unsubscription';
$LANG['email_unsub_maintext'] = 'You are not unsubscribed now. You can unsubscribe by clicking the link below, but please be sure you don\'t want to receive messages from us anymore.';
$LANG['email_unsub_button'] = 'Confirm unsubscription!';

// account creation

$LANG['email_ac_title'] = 'Account created';
$LANG['email_ac_maintext'] = 'Your account on %s has been created.';
$LANG['email_ac_email'] = 'Email';
$LANG['email_ac_password'] = 'Password';

// send contact

$LANG['email_sec_title'] = 'Contact';
$LANG['email_sec_name'] = 'Name';
$LANG['email_sec_email'] = 'Email';