<?php

namespace main;

/** */

class template {

protected $template = 'default';

protected function template_header() {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'functions.php' ) ) {
    include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'functions.php';
  }

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'site_header.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'site_header.php';

}

protected function template_footer() {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'site_footer.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'site_footer.php';

}

protected function template_tpage( $id ) {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . $id . '.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . $id . '.php';
  else
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . '404.php';

}

protected function template_plugin( $id ) {

  global $db, $LANG;

  if( file_exists( PDIR . DIRECTORY_SEPARATOR . $id . '.php' ) )
  include PDIR . DIRECTORY_SEPARATOR . $id . '.php';

}

protected function template_ajax( $id ) {

  global $db, $LANG;

  if( file_exists( AJAX_LOCATION . DIRECTORY_SEPARATOR . $id . '.php' ) )
  include AJAX_LOCATION . DIRECTORY_SEPARATOR . $id . '.php';

}

protected function template_cron( $id ) {

  global $db, $LANG;

  if( file_exists( CRONDIR . DIRECTORY_SEPARATOR . 'tasks' . DIRECTORY_SEPARATOR . ( $name = strtok( $id, '.' ) ) . '.php' ) )
  include CRONDIR . DIRECTORY_SEPARATOR . 'tasks' . DIRECTORY_SEPARATOR . $name . '.php';

}

protected function template_page() {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'page.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'page.php';
  else
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . '404.php';

}

protected function template_single() {

  if( file_exists( THEMES_LOC . '/' . $this->template . DIRECTORY_SEPARATOR . 'single.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'single.php';
  else
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . '404.php';

}

protected function template_product() {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'product.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'product.php';
  else
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . '404.php';

}

protected function template_category() {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'category.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'category.php';
  else
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . '404.php';

}

protected function template_search() {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'search.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'search.php';
  else
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . '404.php';

}

protected function template_user( $id ) {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'user' . DIRECTORY_SEPARATOR . $id . '.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'user' . DIRECTORY_SEPARATOR . $id . '.php';
  else
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . '404.php';

}

protected function template_store() {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'store.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'store.php';
  else
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . '404.php';

}

protected function template_stores() {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'stores.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'stores.php';
  else
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . '404.php';

}

protected function template_reviews() {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'reviews.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'reviews.php';
  else
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . '404.php';

}

protected function template_index() {

  if( file_exists( THEMES_LOC . DIRECTORY_SEPARATOR   . $this->template . DIRECTORY_SEPARATOR . 'index.php' ) )
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . 'index.php';
  else
  include THEMES_LOC . DIRECTORY_SEPARATOR . $this->template . DIRECTORY_SEPARATOR . '404.php';

}

}