<?php

/** DATE / TIME **/

$LANG['second'] = 'Secundă';
$LANG['seconds'] = 'Secunde';
$LANG['minute'] = 'Minut';
$LANG['minutes'] = 'Minute';
$LANG['hour'] = 'Oră';
$LANG['hours'] = 'Ore';
$LANG['day'] = 'Zi';
$LANG['days'] = 'Zile';
$LANG['week'] = 'Săptămână';
$LANG['weeks'] = 'Săptămâni';
$LANG['month'] = 'Lună';
$LANG['months'] = 'Luni';
$LANG['year'] = 'An';
$LANG['years'] = 'Ani';
$LANG['today'] = 'Astăzi';
$LANG['yesterday'] = 'Ieri';
$LANG['this_week'] = 'Această săptămână';
$LANG['this_month'] = 'Această lună';
$LANG['sunday'] = 'Duminică';
$LANG['monday'] = 'Luni';
$LANG['tuesday'] = 'Marţi';
$LANG['wednesday'] = 'Miercuri';
$LANG['thursday'] = 'Joi';
$LANG['friday'] = 'Vineri';
$LANG['saturday'] = 'Sâmbătă';

/** ADMIN MISC */

$LANG['server_time'] = 'Timp pe server';
$LANG['first_msg_v'] = 'CouponsCMS versiune <b>%s</b> rulează tema <b>%s</b>.'; // first %s will replace script version, second %s will replace current theme name
$LANG['operatesfrom'] = 'Funcționează din %s'; // %s will replace the date

/** ADMIN NAVIGATOR */

$LANG['dashboard'] = 'Panou de bord';
$LANG['stores'] = 'Magazine';
$LANG['stores_add'] = 'Adaugă Magazin';
$LANG['stores_view'] = 'Vezi Magazine';
$LANG['coupons'] = 'Cupoane';
$LANG['coupons_add'] = 'Adaugă Cupon';
$LANG['coupons_view'] = 'Vezi Cupoane';
$LANG['products'] = 'Produse';
$LANG['products_add'] = 'Adaugă Produs';
$LANG['products_view'] = 'Vezi Produse';
$LANG['locations'] = 'Locatii';
$LANG['locations_country_add'] = 'Adaugă Țară';
$LANG['locations_country_view'] = 'Vezi Țări';
$LANG['locations_state_add'] = 'Adaugă Județ';
$LANG['locations_state_view'] = 'Vezi Județe';
$LANG['locations_city_add'] = 'Adaugă Oraș';
$LANG['locations_city_view'] = 'Vezi Orașe';
$LANG['pages'] = 'Pagini';
$LANG['pages_add'] = 'Adaugă Pagină';
$LANG['pages_view'] = 'Vezi Pagini';
$LANG['suggestions_view'] = 'Vezi Sugestii';
$LANG['users'] = 'Utilizatori';
$LANG['users_add'] = 'Adaugă Utilizator';
$LANG['users_view'] = 'Vezi Utilizatori';
$LANG['payments'] = 'Plăţi';
$LANG['payments_plan_add'] = 'Adaugă Plan';
$LANG['payments_plan_view'] = 'Vezi Planuri';
$LANG['payments_invoices'] = 'Facturi';
$LANG['subscribers_view'] = 'Vizi Abonați';
$LANG['users_subscribers'] = 'Abonați';
$LANG['users_sessions'] = 'Sesiuni Active';
$LANG['reviews'] = 'Recenzii';
$LANG['reviews_add'] = 'Adaugă Recenzie';
$LANG['reviews_view'] = 'Vezi Recenzii';
$LANG['suggestions'] = 'Sugestii';
$LANG['feed'] = 'Feed';
$LANG['rewards'] = 'Recompense';
$LANG['rewards_add'] = 'Adaugă Recompensă';
$LANG['rewards_view'] = 'Vezi Recompense';
$LANG['rewards_claimr'] = 'Cereri Revendicare';
$LANG['ratings'] = 'Raporturi';
$LANG['ratings_clicks'] = 'Click-uri';
$LANG['themes'] = 'Teme';
$LANG['themes_upload'] = 'Încarcă Temă';
$LANG['themes_editor'] = 'Editor de Temă';
$LANG['themes_view'] = 'Vezi Temele';
$LANG['widgets'] = 'Widget-uri';
$LANG['plugins'] = 'Plugin-uri';
$LANG['plugins_install'] = 'Instalează';
$LANG['plugins_uninstall'] = 'Dezinstalează';
$LANG['plugins_view'] = 'Vezi Plugin-uri';
$LANG['settings'] = 'Setări';
$LANG['settings_general'] = 'Generale';
$LANG['settings_metatags'] = 'Meta Tag-uri';
$LANG['settings_seolinks'] = 'Link-uri SEO';
$LANG['settings_prices'] = 'Prețuri';
$LANG['settings_default'] = 'Informații Implicite';
$LANG['settings_banned'] = 'IP-uri Blocate';
$LANG['settings_socialnet'] = 'Retele de socializare';
$LANG['settings_security'] = 'Securitate';
$LANG['settings_api'] = 'API / Conturi Externe';
$LANG['settings_feed'] = 'Feed';
$LANG['settings_cron'] = 'Cron';
$LANG['top_menu'] = 'MENIU';
$LANG['visit_site'] = 'Vizitează %s';
$LANG['logout'] = 'Deconectare';
$LANG['result'] = '<b>%s</b> rezultat'; // %s will replace the result
$LANG['results'] = '<b>%s</b> rezultate'; // %s will replace the results
$LANG['pageofpages'] = 'Pagina <b>%s</b> din <b>%s</b>'; // %s will be replaced by a number
$LANG['prev_page'] = '← Anterioara';
$LANG['next_page'] = 'Următoarea →';
$LANG['reset_view'] = 'Resetează vizualizarea';
$LANG['go'] = 'Du-te';
$LANG['yes'] = 'Da';
$LANG['no'] = 'Nu';
$LANG['never'] = 'Niciodată';
$LANG['unlimited'] = 'Nelimitat';
$LANG['banned'] = 'Banat';
$LANG['others'] = 'Altele';
$LANG['more'] = 'Mai multe';
$LANG['information'] = 'Informații';

/** GENERAL BUTTONS AND MESASAGES*/

$LANG['add'] = 'Adaugă';
$LANG['edit'] = 'Editează';
$LANG['delete'] = 'Șterge';
$LANG['cancel'] = 'Anulează';
$LANG['open'] = 'Deschide';
$LANG['print_coupon'] = 'Imprimă Cupon';
$LANG['send_email'] = 'Trimite Email';
$LANG['delete_msg'] = 'Ești sigur că vrei să ștergi asta?';
$LANG['delete_store'] = 'Atenție*: Odată cu magazinele vor fi șterse și cupoane asociate acestora ! Ești sigur că vrei să ștergi asta?';
$LANG['delete_plugin'] = 'După confirmarea acestor fișiere și informațiile vor fi șterse definitiv.';
$LANG['view'] = 'Vizualizează';
$LANG['import'] = 'Importă';
$LANG['export'] = 'Exportă';
$LANG['preview_import'] = 'Previzualizează & Importă';
$LANG['categories'] = 'Categorii';
$LANG['options'] = 'Opțiuni';
$LANG['search'] = 'Caută';
$LANG['subscribe'] = 'Abonează-te';
$LANG['save'] = 'Salvează';
$LANG['send'] = 'Trimite';
$LANG['login'] = 'Loghează-te';
$LANG['register'] = 'Înregistrează-te';
$LANG['recovery'] = 'Recuperează';
$LANG['forgot_password'] = 'Ți-ai uitat parola?';
$LANG['activate'] = 'Activează';
$LANG['editor'] = 'Editor';
$LANG['post_review'] = 'Postează Recenzie';
$LANG['delete_all'] = 'Șterge tot';
$LANG['uninstall_all'] = 'Dezinstalează tot';
$LANG['move_all'] = 'Mută tot';
$LANG['set_all'] = 'Setează la tot';
$LANG['import_all'] = 'Importă tot';
$LANG['set_as_read'] = 'Setează ca citit';
$LANG['set_as_unread'] = 'Setează ca necitit';
$LANG['set_as_paid'] = 'Setează ca Citit';
$LANG['set_as_unpaid'] = 'Setează ca Necitit';
$LANG['set_as_delivered'] = 'Setează ca Livrat';
$LANG['set_as_undelivered'] = 'Setează ca Nelivrat';
$LANG['data_import_advanced'] = 'Importare Date Avansat';
$LANG['msg_deleted'] = 'Șters!';
$LANG['msg_added'] = 'Adăugat!';
$LANG['msg_saved'] = 'Salvat!';
$LANG['msg_mailssent'] = '%s email-uri trimise, %s erori.'; // first %s will be replaced with the number of successfully sent emails, the second one with number of errors which occurred.
$LANG['msg_storesimported'] = '%s magazine importate, %s erori.';
$LANG['msg_couponsimported'] = '%s cupoane importate, %s erori.';
$LANG['msg_productsimported'] = '%s produse importate, %s erori.';
$LANG['msg_import_dleave'] = 'Te rugăm să nu părăsi această pagină în timpul importului!';
$LANG['msg_changed'] = 'Schimbat!';
$LANG['msg_error'] = 'Eroare!';
$LANG['msg_invalidcaptcha'] = 'Codul de securitate greșit.';
$LANG['msg_dnrl'] = 'Vă rugăm nu reîncărcați pagina.';
$LANG['msg_invalid_theme'] = 'Ne pare rău, însă această temă pare ca fiind invalidă.';
$LANG['msg_keep_log'] = 'Ține-mă logat!';
$LANG['msg_banned'] = 'Ne pare rău, însă această acțiune nu iți este permisă pentru moment.';
$LANG['msg_subscribe'] = 'Abonează-te la newsletter-ul nostru.';
$LANG['msg_banned_until'] = 'Banat până la %s'; // %s will be replaced by date until user is banned
$LANG['msg_import_stores'] = 'Pentru a import magazine corect, câmpurile din fişierul CSV trebuie să fie exact în acestă ordine: Nume*, Link/Website*, Descriere, Tag-uri, Imagine, Tip, Vinde Online, Orar, Locații.';
$LANG['msg_import_coupons'] = 'Pentru a importa cupoane corect, câmpurile din fişierul CSV trebui să fie exact în această ordine: Titlu*, Link(URL), Descriere, Tag-uri, Cod, Data Începerii, Data Expirării, Link/Website Magazin*, Imprimabil, Disponibil Online, Sursă(URL).';
$LANG['msg_import_coupons_n'] = 'Notă *: Poţi importa cupoane doar pentru magazinele existente, cupoanele sunt importate la magazinele cu același domeniu de internet. Practic, magazinele ar trebui importate înaintea cupoanelor.';
$LANG['msg_import_products'] = 'Pentru a importa produse corect, câmpurile din fişierul CSV trebui să fie exact în această ordine: Titlu*, Link(URL), Descriere, Tag-uri, Imagine, Preţ, Preţ Vechi, Monedă, Data Începerii, Data Expirării, Link/Website Magazin*.';
$LANG['msg_import_products_n'] = 'Notă *: Poţi importa produse doar pentru magazinele existente, produsele sunt importate la magazinele cu același domeniu de internet. Practic, magazinele ar trebui importate înaintea produselor.';
$LANG['msg_strcaselocal'] = 'Vei putea adăuga locații după adăugarea magazinului.';
$LANG['msg_strcaseonline'] = '<strong>Notă:*</strong> Unele informații despre acest magazin ca un magazin fizic vor fi șterse (ex.: locații).';
$LANG['msg_physicalfirst'] = 'Salvează-l ca magazin fizic pentru a putea adăuga locații.';
$LANG['msg_no_locations'] = 'Încă nicio locație.';
$LANG['msg_blankinfo'] = 'Informație necompletată';
$LANG['msg_cant_print_sd'] = 'Pentru a imprima acest cupon te rugăm să ne vizitezi de pe un dispozitiv mai mare.';
$LANG['order_by'] = 'Ordonează după';
$LANG['category'] = 'Categorie';
$LANG['action'] = 'Acțiune';
$LANG['all_categories'] = 'Toate categoriile';
$LANG['all_users'] = 'Toți utilizatorii';
$LANG['all_reviews'] = 'Toate recenziile';
$LANG['all_suggestions'] = 'Toate sugestiile';
$LANG['all_requests'] = 'Toate cererile';
$LANG['all_subscribers'] = 'Toți abonații';
$LANG['all_plugins'] = 'Toate plugin-urile';
$LANG['all_invoices'] = 'Toate facturile';
$LANG['view_subadmins'] = 'Sub-Administratori';
$LANG['view_admins'] = 'Administratori';
$LANG['view_verified'] = 'Verificați';
$LANG['view_notverified'] = 'Neverificați';
$LANG['view_banned'] = 'Banați/Interziși';
$LANG['view_read'] = 'Citite';
$LANG['view_unread'] = 'Necitite';
$LANG['view_published'] = 'Publicate';
$LANG['view_notpublished'] = 'Nepublicate';
$LANG['view_claimed'] = 'Revendicate';
$LANG['view_unclaimed'] = 'Nerevendicate';
$LANG['view_paid'] = 'Plătite';
$LANG['view_unpaid'] = 'Neplătite';
$LANG['view_delivered'] = 'Livrate';
$LANG['view_undelivered'] = 'Nelivrate';
$LANG['view_paidandundelivered'] = 'Plătite&Nelivr.';
$LANG['view_languages'] = 'Limbi';
$LANG['view_payment_gateways'] = 'Gateway-uri plăți';
$LANG['view_feed_servers'] = 'Servere Feed';
$LANG['view_applications'] = 'Aplicații';
$LANG['order_random'] = 'Aleatoriu';
$LANG['order_date'] = 'Data';
$LANG['order_date_desc'] = 'Data DESC';
$LANG['order_name'] = 'Nume';
$LANG['order_name_desc'] = 'Nume DESC';
$LANG['order_votes'] = 'Voturi';
$LANG['order_votes_desc'] = 'Voturi DESC';
$LANG['order_rating'] = 'Rating';
$LANG['order_rating_desc'] = 'Rating DESC';
$LANG['order_last_update'] = 'Ultimul update';
$LANG['order_last_update_desc'] = 'Ultimul update DESC';
$LANG['order_points'] = 'Puncte';
$LANG['order_points_desc'] = 'Puncte DESC';
$LANG['order_views'] = 'Vizualizări';
$LANG['order_views_desc'] = 'Vizualizări DESC';
$LANG['order_visits'] = 'Vizite';
$LANG['order_visits_desc'] = 'Vizite DESC';
$LANG['order_email'] = 'Email';
$LANG['order_email_desc'] = 'Email DESC';
$LANG['order_price'] = 'Preț';
$LANG['order_price_desc'] = 'Preț DESC';
$LANG['order_action'] = 'Acțiune';
$LANG['order_action_desc'] = 'Acțiune DESC';
$LANG['order_expiration'] = 'Data expirării';
$LANG['order_expiration_desc'] = 'Data expirării DESC';
$LANG['show_all'] = 'Toate';
$LANG['show_active'] = 'Active';
$LANG['show_popular'] = 'Populare';
$LANG['show_exclusive'] = 'Exclusive';
$LANG['views'] = 'Vizualizări';
$LANG['visits'] = 'Vizite';
$LANG['reffered'] = 'Referent';
$LANG['referrers'] = 'Referenți';
$LANG['page_url'] = 'URL Pagină';
$LANG['added_by'] = 'Adăugat de';
$LANG['added_on'] = 'Adăugat în';
$LANG['last_update_by'] = 'Ultimul update de';
$LANG['last_update_on'] = 'Ultimul update în';
$LANG['reviews'] = 'Recenzii';
$LANG['store_name'] = 'Nume magazin';
$LANG['owner'] = 'Proprietar';
$LANG['uploader'] = 'Uploader';
$LANG['registered_on'] = 'Înregistrat în';
$LANG['last_visit'] = 'Ultima vizită';
$LANG['last_action'] = 'Ultima acțiune';
$LANG['invalid_id'] = 'ID invalid.';
$LANG['can_edit_infos'] = 'Ne pare rău ! Dar nu poți edita asta.';
$LANG['published'] = 'Publicat';
$LANG['notpublished'] = 'Nepublicat';
$LANG['publish'] = 'Publică';
$LANG['unpublish'] = 'Nepublică';
$LANG['claimed'] = 'Revendicat';
$LANG['notclaimed'] = 'Nerevendicat';
$LANG['claim'] = 'Revendicat';
$LANG['unclaim'] = 'Nerevendicat';
$LANG['verified'] = 'Verificat';
$LANG['notverified'] = 'Neverificat';
$LANG['verify'] = 'Verifică';
$LANG['unverify'] = 'Neverifică';
$LANG['active'] = 'Activ';
$LANG['expired'] = 'Expirat';
$LANG['read'] = 'Citit';
$LANG['unread'] = 'Necitit';
$LANG['paid'] = 'Plătit';
$LANG['unpaid'] = 'Neplătit';
$LANG['delivered'] = 'Livrat';
$LANG['undelivered'] = 'Nelivrat';
$LANG['email'] = 'Email';
$LANG['name'] = 'Nume';
$LANG['tags'] = 'Tag-uri';
$LANG['link'] = 'Link';
$LANG['image'] = 'Imagine';
$LANG['description'] = 'Descriere';
$LANG['code'] = 'Code';
$LANG['price'] = 'Preţ';
$LANG['old_price'] = 'Preţ vechi';
$LANG['currency'] = 'Monedă';
$LANG['start_date'] = 'Data încerii';
$LANG['end_date'] = 'Data expirării';
$LANG['store_name'] = 'Nume magazin';
$LANG['store_url'] = 'URL Magazin';
$LANG['back'] = 'Înapoi';
$LANG['ban'] = 'Banează';
$LANG['option_no_category'] = 'Fără categorie';
$LANG['button_import'] = 'Importă';
$LANG['onlinestore'] = 'Magazin Online';
$LANG['physicalstore'] = 'Magazin Fizic';
$LANG['dealnrprint'] = 'Deal (nu necesită imprimare)';
$LANG['printhtml'] = 'Imprimabil (versiune HTML)';
$LANG['printsource'] = 'Imprimabil (folosind sursa)';

/** FORM TITLES */

$LANG['form_name'] = 'Nume';
$LANG['form_email'] = 'Adresă de Email';
$LANG['form_emails'] = 'Adrese de Email';
$LANG['form_points'] = 'Puncte';
$LANG['form_title'] = 'Titlu';
$LANG['form_orderby'] = 'Ordonează după';
$LANG['form_position'] = 'Poziție';
$LANG['form_limit'] = 'Limită';
$LANG['form_text'] = 'Text';
$LANG['form_mobilev'] = 'Vizualizare Mobil';
$LANG['form_publish'] = 'Publică';
$LANG['form_category'] = 'Categorie';
$LANG['form_subcategoryfor'] = 'Subcategorie pentru';
$LANG['form_description'] = 'Descriere';
$LANG['form_code'] = 'Cod'; // code for coupons
$LANG['form_start_date'] = 'Data Începerii';
$LANG['form_end_date'] = 'Data Încheierii';
$LANG['form_expiration_date'] = 'Data Expirării';
$LANG['form_store_url'] = 'URL Magazin';
$LANG['form_coupon_url'] = 'URL Cupon';
$LANG['form_product_url'] = 'URL Produs';
$LANG['form_message_for_us'] = 'Mesaj Pentru Noi';
$LANG['form_stars'] = 'Nota';
$LANG['form_logo'] = 'Logo';
$LANG['form_avatar'] = 'Avatar';
$LANG['form_image'] = 'Imagine';
$LANG['form_password'] = 'Parolă';
$LANG['form_new_password'] = 'Parolă Nouă';
$LANG['form_password_again'] = 'Confirmă Parola';
$LANG['form_role'] = 'Rol';
$LANG['form_role_member'] = 'Membru';
$LANG['form_role_subadmin'] = 'Sub-Administrator';
$LANG['form_role_admin'] = 'Administrator';
$LANG['form_subscriber'] = 'Abonat';
$LANG['form_confirm'] = 'Confirmat';
$LANG['form_store_id'] = 'ID Magazin';
$LANG['form_store'] = 'Magazin';
$LANG['form_user_id'] = 'ID Utilizator';
$LANG['form_addto'] = 'Adaugă la';
$LANG['form_show_only'] = 'Arată Doar';
$LANG['form_ip'] = 'Adresă IP';
$LANG['form_tags'] = 'Tag-uri';
$LANG['form_reward_points'] = 'Puncte Recompensă';
$LANG['form_message'] = 'Mesaj';
$LANG['form_format'] = 'Format';
$LANG['form_datefrom'] = 'Data de la';
$LANG['from_dateto'] = 'Date pana la';
$LANG['form_fastchoice'] = 'Alegere Rapidă';
$LANG['form_price'] = 'Preţ';
$LANG['form_old_price'] = 'Preţ Vechi';
$LANG['form_currency'] = 'Monedă';
$LANG['form_credits'] = 'Credite';
$LANG['form_csv_file'] = 'Fişier CSV';
$LANG['form_in_category'] = 'În Categoria';
$LANG['form_plan'] = 'Plan';
$LANG['form_amount'] = 'Sumă';
$LANG['form_details'] = 'Detalii';
$LANG['form_map'] = 'Hartă';
$LANG['form_status'] = 'Status';
$LANG['form_timezone'] = 'Timezone';
$LANG['form_contact'] = 'Contact';
$LANG['form_website'] = 'Website';
$LANG['form_type'] = 'Tip';
$LANG['form_avabonline'] = 'Disponibil Online';
$LANG['form_locations'] = 'Locații';
$LANG['form_hours'] = 'Orar';
$LANG['form_sell_online'] = 'Vinde Online';
$LANG['form_address'] = 'Adresă';
$LANG['form_source'] = 'Sursă';
$LANG['form_field'] = 'Câmp';
$LANG['form_fields'] = 'Câmpuri';
$LANG['form_error'] = 'Eroare';
$LANG['form_securitycheck'] = 'Verificare de Securitate';
$LANG['form_securitycheck_ph'] = 'Introdu caracterele din imagine';

/** ADMIN MESSAGES */

$LANG['msg_setsub'] = 'Setează acest utilizator ca abonat la newsletter';
$LANG['msg_setconf'] = 'Setează acest utilizator ca fiind confirmat prin email';
$LANG['msg_setconfe'] = 'Setează ca fiind confirmat prin email';
$LANG['msg_setallconf'] = 'Setează tot ca fiind confirmat prin email';
$LANG['msg_sendcacc'] = 'Trimite la această adresă de email o copie a noului cont';
$LANG['msg_pubreview'] = 'Publică această recenzie';
$LANG['msg_pubpage'] = 'Publică această pagină';
$LANG['msg_publoc'] = 'Publică această locație';
$LANG['msg_pubcoupon'] = 'Publică acest cupon';
$LANG['msg_pubproduct'] = 'Publică acest produs';
$LANG['msg_pubstore'] = 'Publică acest magazin';
$LANG['msg_pubreward'] = 'Publică această recompensă';
$LANG['msg_csvomitfirst'] = 'Omite prima linie';
$LANG['msg_useexternal'] = 'Foloseşte o sursă externă';
$LANG['msg_loggiout'] = 'Se deconectează ...';
$LANG['msg_require_user_conf'] = 'Solicită confirmare conturilor noi prin email';
$LANG['msg_require_subscr_conf'] = 'Solicită confirmare abonaților noi prin email';
$LANG['msg_require_unsubscr_conf'] = 'Solicită confirmare dezabonărilor prin email';
$LANG['msg_feed_upload_imgs'] = 'Uploadează imaginile pe serverul meu';
$LANG['msg_feed_cpnpref_impexp'] = 'Importa cupoane expirate';
$LANG['msg_feed_ppnpref_impexp'] = 'Importa produse expirate';
$LANG['msg_feed_cpnpref_moddt'] = 'Permite sursei să modifice informații';
$LANG['msg_feed_upload_timg'] = 'Uploadează pe serverul meu'; // upload this image
$LANG['msg_feed_simported'] = 'Acest magazin este deja importat.';
$LANG['msg_feed_cimported'] = 'Acest coupon este deja importat';
$LANG['msg_feed_pimported'] = 'Acest produs este deja importat';
$LANG['msg_feed_snotimp'] = 'Trebuie să imporți magazinul înainte de a importa cupoane/produse pentru acesta.';
$LANG['msg_feed_seltoimp'] = 'Selectează elementele pe care vrei să le imporți.';
$LANG['msg_category_dontexist'] = 'Acestă categorie nu există.';
$LANG['msg_feed_finished'] = 'Procedura de import s-a terminat cu succes.';
$LANG['msg_loginform'] = 'Formular logare';
$LANG['msg_registerform'] = 'Formular înregistrare';
$LANG['msg_contactform'] = 'Formular contact';
$LANG['msg_suggestform'] = 'Formular sugestii';

/** ADMIN CATEGORIES */

$LANG['categories_title'] = 'Categorii';
$LANG['categories_subtitle'] = 'Listă categorii';
$LANG['categories_add'] = 'Adaugă Categorie';
$LANG['subcategories_add'] = 'Adaugă Subcategorie';
$LANG['no_categories_yet'] = 'Fără categorii, momentan.';
$LANG['categories_add_title'] = 'Adaugă Categorie Nouă';
$LANG['categories_add_subtitle'] = 'Adaugă o categorie nouă';
$LANG['subcategories_add_title'] = 'Adaugă Subcategorie Nouă';
$LANG['subcategories_add_subtitle'] = 'Adaugă o subcategorie nouă';
$LANG['categories_view'] = 'Vezi Categorii';
$LANG['categories_edit_title'] = 'Editează Categorie';
$LANG['categories_edit_subtitle'] = 'Editează categorie';
$LANG['categories_infos_title'] = 'Informații Despre Această Categorie';
$LANG['categories_add_button'] = 'Adaugă Categorie';
$LANG['subcategories_add_button'] = 'Adaugă Subcategorie';
$LANG['categories_edit_button'] = 'Editează Categorie';
$LANG['no_category_select'] = 'Fără categorie';

/** ADMIN SETTINGS */

$LANG['settings_general_title'] = 'Modifică Setări Site';
$LANG['settings_general_subtitle'] = 'Modifică setările generale';
$LANG['settings_meta_subtitle'] = 'Modifică meta tag-urile';
$LANG['settings_seolinks_subtitle'] = 'Modifică link-urile SEO';
$LANG['settings_api_subtitle'] = 'Modifică API-uri / Conturi externe';
$LANG['settings_feed_subtitle'] = 'Modifică setările pentru Feed';
$LANG['settings_prices_subtitle'] = 'Modifică şi setează preţuri';
$LANG['settings_default_subtitle'] = 'Modifică setările implicite ale site-ului';
$LANG['settings_socnet_subtitle'] = 'Modifică profilurile reţelor de sociale';
$LANG['settings_security_subtitle'] = 'Modifică preferințele de securitate';
$LANG['settings_cron_subtitle'] = 'Sarcini pentru Cron';
$LANG['settings_meta_pcoupon'] = 'Pagină Cupon';
$LANG['settings_meta_pproduct'] = 'Pagină Produs';
$LANG['settings_meta_pstore'] = 'Pagină Magazin';
$LANG['settings_meta_previews'] = 'Pagină Recenzii';
$LANG['settings_meta_pcategory'] = 'Pagină Categorie';
$LANG['settings_cron_d'] = 'În UNIX, Cron este un job scheduler care permite executarea unor acțiuni la un moment dat în timp. În cazul nostru, vom folosi Cron pentru a șterge informații și importa cupoane automat.';
$LANG['settings_cron_clrdat'] = 'Golește Date';
$LANG['settings_cron_clrdat_d'] = 'Următoarea linie va verifica pentru a șterge informațiile expirate la fiecare 5 minute.';
$LANG['settings_cron_feedi'] = 'Feed Import';
$LANG['settings_cron_feedi_d'] = 'Următoarea linie va aduce informații de la sursa de Feed la fiecare 6 ore. (importă cupoane, modifică cupoane în cazul în care permiți acest lucru).';
$LANG['settings_cron_sec_d'] = 'Link-urile de mai sus pot fi accesat în orice browser. Pentru a nu fi accesate de către persoane neautorizate acestea sunt protejate de un parametru \'secret\'. Acest parametru poate fi schimbat ori de câte ori dorești. Parametru vechi v-a fi șter automat prin generarea următorului.';
$LANG['settings_cron_sec_cbtn'] = 'Schimbă \'Secret\'';
$LANG['settings_save_error'] = 'Una sau mai multe setări nu au putut fi salvate';
$LANG['settings_save_button'] = 'Salvează Setări';
$LANG['settings_form_sitename'] = 'Nume Site';
$LANG['settings_form_siteurl'] = 'URL Site';
$LANG['settings_form_sitedesc'] = 'Descriere Site';
$LANG['settings_form_itemspp'] = 'Articole Per Pagină';
$LANG['settings_form_userregs'] = 'Înregistrare Utiliziatori';
$LANG['settings_form_allowrev'] = 'Permite Recenzii Noi';
$LANG['settings_option_onlyvalid'] = 'Doar de utilizatorii verificati';
$LANG['settings_form_autovalrev'] = 'Autovalidează Recenziile';
$LANG['settings_form_allowsto'] = 'Permite Magazine Noi';
$LANG['settings_form_autovalsto'] = 'Autovalidează Magazinele';
$LANG['settings_form_allowcou'] = 'Permite Cupoane Noi';
$LANG['settings_form_autovalcou'] = 'Autovalidează Cupoanele';
$LANG['settings_form_allowprod'] = 'Permite Produse Noi';
$LANG['settings_form_autovalprod'] = 'Autovalidează Produsele';
$LANG['settings_form_accpip'] = 'Conturi Per IP';
$LANG['settings_form_deleteoldc'] = 'Șterge Cupoane Expirate';
$LANG['settings_form_deleteoldp'] = 'Șterge Produsele Expirate';
$LANG['settings_form_sitelang'] = 'Limbă site';
$LANG['settings_form_adminlang'] = 'Limbă Panou Admin.';
$LANG['settings_form_adminthm'] = 'Temă Panou Admin.';
$LANG['settings_form_emailfn'] = 'Nume Email';
$LANG['settings_form_iemailfn'] = 'Toate email-urile trimise apar trimise de către acest nume.';
$LANG['settings_form_emailas'] = 'Email Răspuns';
$LANG['settings_form_iemailas'] = 'Toate email-urile trimise apar trimise de la această adresă de email.';
$LANG['settings_form_emailcntct'] = 'Email Contact';
$LANG['settings_form_iemailcntct'] = 'Pe această adresă de email, vei primi emailurile de la formularul de contact.';
$LANG['settings_form_mailmeth'] = 'Methodă Mail';
$LANG['settings_from_smtpauth'] = 'SMTP Autentificare';
$LANG['settings_from_smtphost'] = 'SMTP Server';
$LANG['settings_from_smtpport'] = 'SMTP Port';
$LANG['settings_from_smtpuser'] = 'SMTP Utilizator';
$LANG['settings_from_smtppass'] = 'SMTP Parolă';
$LANG['settings_from_snmapath'] = 'Path la sendmail';
$LANG['settings_form_mailsign'] = 'Semnatură Email-uri';
$LANG['settings_form_metatitle'] = 'Titlu';
$LANG['settings_form_imetatitle'] = 'Scurtăturile acceptate: %s'; // %s will replace shortcodes
$LANG['settings_form_metakeywords'] = 'Cuvinte Cheie';
$LANG['settings_form_metadesc'] = 'Descriere';
$LANG['settings_form_defua'] = 'Avatar Utilizator';
$LANG['settings_form_defsa'] = 'Avatar Magazin';
$LANG['settings_form_defra'] = 'Avatar Recompensă';
$LANG['settings_userrew_title'] = 'Recompense pentru Activitatea Utilizatorilor';
$LANG['settings_form_defup'] = 'Puncte Utilizatori';
$LANG['settings_form_idefup'] = 'Numărul de puncte pe care un utilizator le primește atunci când se înregistrează.';
$LANG['settings_form_defcr'] = 'Confirmare Utilizatori';
$LANG['settings_form_defsubscr'] = 'Confirmare Abonare';
$LANG['settings_form_defunsubscr'] = 'Confirmare Dezabonare';
$LANG['settings_form_pprev'] = 'Puncte per Recenzie';
$LANG['settings_form_ppdv'] = 'Puncte Zilnic';
$LANG['settings_form_ippdv'] = 'Numărul de puncte pe care un utilizator le primește zilnic pentru cel putin o vizită pe acest website.';
$LANG['settings_form_ppref'] = 'Points per Refer';
$LANG['settings_form_ippref'] = 'Numărul de puncte pe care un utilizator le primește atunci cand invită un prieten pe site.';
$LANG['settings_form_cokref'] = 'Durată Cookie';
$LANG['settings_form_fimimg'] = 'Upload Imagini';
$LANG['settings_form_prefc'] = 'Preferințe Cupoane';
$LANG['settings_form_prefp'] = 'Preferințe Produse';
$LANG['settings_select_opened'] = 'Oricine se poate înregistra';
$LANG['settings_select_closed'] = 'Nimeni nu se poate înregistra';
$LANG['settings_select_getparam'] = 'Parametru GET';
$LANG['settings_select_httpauth'] = 'Autentificare HTTP';
$LANG['settings_timezone'] = 'Timezone';
$LANG['settings_hour_format'] = 'Format Oră';
$LANG['settings_form_lcoupon'] = 'Link Cupon';
$LANG['settings_form_lproduct'] = 'Link Produs';
$LANG['settings_form_lstore'] = 'Link Magazin';
$LANG['settings_form_lreviews'] = 'Link Recenzii';
$LANG['settings_form_lcategory'] = 'Link Categorie';
$LANG['settings_form_lstores'] = 'Link Magazine';
$LANG['settings_form_lsearch'] = 'Link Căutare';
$LANG['settings_form_luser'] = 'Link Utilizator';
$LANG['settings_form_lplugin'] = 'Link Plugin';
$LANG['settings_form_fbid'] = 'Facebook AppID';
$LANG['settings_form_fbsecret'] = 'Facebook Secret';
$LANG['settings_form_ggclid'] = 'Google ClientID';
$LANG['settings_form_ggsec'] = 'Google Secret';
$LANG['settings_form_ggruri'] = 'Google Request URI';
$LANG['settings_form_ggkey'] = 'Google Key';
$LANG['settings_form_paypmode'] = 'Mod';
$LANG['settings_form_paypid'] = 'PayPal ClientID';
$LANG['settings_form_paypsecret'] = 'PayPal Secret';
$LANG['settings_form_feedserver'] = 'Server';
$LANG['settings_form_feedauth'] = 'Autentificare';
$LANG['settings_form_ggid'] = 'User ID';
$LANG['settings_form_ggsecret'] = 'User Secret';
$LANG['settings_from_pricstore'] = 'Magazin (credite)';
$LANG['settings_from_ipricstore'] = 'Taxare o singură dată. Va fi plătit doar când un magazin va fi adăugat.';
$LANG['settings_from_priccoupon'] = 'Coupon (credite)';
$LANG['settings_from_ipriccoupon'] = 'Preţ pentru fiecare cupon. Dacă data expirării nu este mai mare decât numărul maxim de zile.';
$LANG['settings_from_priccouponmd'] = 'Coupon (zile max.)';
$LANG['settings_from_ipriccouponmd'] = 'Ex.: Dacă setezi asta la 10 (zile) si preţul pentru fiecare cupon (1 credit), un utilizator va plăti 1 credit pentru fiecare 10 zile. Pentru un cupon cu data expirării de 56 de zile, utilizatorul trebuie să plătească 6 credite.';
$LANG['settings_from_pricproduct'] = 'Produs (credite)';
$LANG['settings_from_ipricproduct'] = 'Preţ pentru fiecare produs. Dacă data expirării nu este mai mare decât numărul maxim de zile.';
$LANG['settings_from_pricproductmd'] = 'Produs (zile max.)';
$LANG['settings_from_ipricproductmd'] = 'Ex.: Dacă setezi asta la 10 (zile) si preţul pentru fiecare produs (1 credit), un utilizator va plăti 1 credit pentru fiecare 10 zile. Pentru un produs cu data expirării de 56 de zile, utilizatorul trebuie să plătească 6 credite.';
$LANG['settings_form_captcha'] = 'Folosește captcha pentru';

/** ADMIN BANNED IPs */

$LANG['banned_title'] = 'Lista Blocări';
$LANG['banned_subtitle'] = 'Lista IP-urilor blocate';
$LANG['banned_add'] = 'Adaugă Intrare';
$LANG['no_banned_yet'] = 'Fară IP-uri blocate, mometan.';
$LANG['banned_add_title'] = 'Adaugă Intrare Nouă';
$LANG['banned_add_subtitle'] = 'Adaugă intrare nouă';
$LANG['banned_view'] = 'Vezi Lista';
$LANG['banned_edit_title'] = 'Editează Intrarea';
$LANG['banned_edit_subtitle'] = 'Editează intrarea';
$LANG['banned_add_button'] = 'Adaugă Intrare';
$LANG['banned_edit_button'] = 'Editează Intrarea';
$LANG['bann_ip'] = 'Blocheaza IP-ul?';
$LANG['bann_registrations'] = 'Înregistrările';
$LANG['bann_neverexp'] = 'Niciodată';
$LANG['bann_login'] = 'Logarea';
$LANG['bann_site'] = 'Întregul site';
$LANG['bann_form_block'] = 'Blochează';
$LANG['bann_form_expiration'] = 'Expirare';
$LANG['bann_form_redirect'] = 'Redirecționează pe';
$LANG['bann_search_input'] = 'Caută IP';

/** ADMIN WIDGETS  */

$LANG['widgets_title'] = 'Widget-uri';
$LANG['widgets_subtitle'] = 'Instalează widget-uri pentru această temă!';
$LANG['widgets_available'] = 'Widget-uri disponibile';
$LANG['widgets_view'] = 'Vezi Widget-uri';
$LANG['widgets_zones'] = 'Zonă';
$LANG['widgets_viewzone'] = 'Vezi Zonă';
$LANG['widgets_edit_title'] = 'Editează Widget';
$LANG['widgets_edit_subtitle'] = 'Editează widget';
$LANG['widgets_edit_button'] = 'Editează Widget';
$LANG['widgets_no_widgets'] = 'Nu există widget-uri în această zonă.';
$LANG['widgets_no_description'] = 'Nicio descriere pentru această zonă';
$LANG['widget_search_box'] = 'Casetă căutare';
$LANG['widget_newsletter'] = 'Newsletter';
$LANG['widget_fb_like_box'] = 'Facebook Like Box';
$LANG['widget_fb_like_box_msg'] = 'Pune adresa paginii tale de Facebook aici !';
$LANG['widget_suggest'] = 'Formular trimitere sugestie';
$LANG['widget_suggest_msg'] = 'Am omis magazinul tău favorit? Te rugăm să ni-l sugerezi.';
$LANG['widget_contact'] = 'Formular contact';
$LANG['widget_contact_msg'] = 'Trimite-ne un mesaj';
$LANG['widget_categories'] = 'Categorii';
$LANG['widget_coupons'] = 'Cupoane';
$LANG['widget_products'] = 'Produse';
$LANG['widget_reviews'] = 'Recenzii';
$LANG['widget_pages'] = 'Pagini';
$LANG['widget_stores'] = 'Magazine';
$LANG['widget_history'] = 'Vezi Istoric';
$LANG['widget_text_box'] = 'Casetă text';
$LANG['widget_allow_html'] = 'Permite HTML';
$LANG['widget_text_box_deftext'] = 'Scrie un text aici ...';
$LANG['widget_text_newsletter'] = 'Abonează-te la newsletter-ul nostru!';
$LANG['widget_users'] = 'Utilizatori';
$LANG['msg_widget_mobilev'] = 'Fă acest widget vizibil pe dispozitivele mobile';

/** ADMIN PAGES */

$LANG['pages_title'] = 'Pagini';
$LANG['pages_subtitle'] = 'Listă pagini';
$LANG['no_pages_yet'] = 'Fără pagini, momentan.';
$LANG['pages_add_title'] = 'Adaugă Pagină Nouă';
$LANG['pages_add_subtitle'] = 'Adaugă pagină noua';
$LANG['pages_edit_title'] = 'Editează Pagină';
$LANG['pages_edit_subtitle'] = 'Editează pagină';
$LANG['pages_infos_title'] = 'Informații Despre Această Pagină';
$LANG['pages_add_button'] = 'Adaugă Pagină';
$LANG['pages_edit_button'] = 'Editează Pagină';
$LANG['pages_editmt_button'] = 'Meta Tag-uri';
$LANG['pages_search_input'] = 'Caută pagini';
$LANG['pages_title_meta'] = 'Modifică Meta-Tag-urile Personalizate';

/** ADMIN COUPONS */

$LANG['coupons_title'] = 'Cupoane';
$LANG['coupons_subtitle'] = 'Listă cupoane';
$LANG['no_coupons_yet'] = 'Fără cupoane, mometan.';
$LANG['coupons_add_title'] = 'Adaugă Cupon Nou';
$LANG['coupons_add_subtitle'] = 'Adaugă cupon nou';
$LANG['coupons_edit_title'] = 'Editează Cupon';
$LANG['coupons_edit_subtitle'] = 'Editează cupon';
$LANG['coupons_infos_title'] = 'Informații Despre Acest Cupon';
$LANG['coupons_export_title'] = 'Exportă Cupoane';
$LANG['coupons_export_subtitle'] = 'Exportă Cupoane';
$LANG['coupons_option_all'] = 'Toate'; // `All` categories
$LANG['coupons_import_title'] = 'Importă Cupoane';
$LANG['coupons_import_subtitle'] = 'Importă cupoane';
$LANG['coupons_add_button'] = 'Adaugă Cupon';
$LANG['coupons_edit_button'] = 'Editează Cupon';
$LANG['coupons_search_input'] = 'Caută cupoane';
$LANG['coupons_addpopular'] = 'Populare';
$LANG['coupons_addexclusive'] = 'Exclusiv';
$LANG['coupons_avabonline'] = 'Acest cupon este disponibil online';
$LANG['coupons_use_link'] = 'Folosește adresa magazinului';
$LANG['coupons_form_ireward_points'] = 'Asigură-te că poţi urmări vânzările pentru acest cupon.';

/** ADMIN PRODUCTS */

$LANG['products_title'] = 'Produse';
$LANG['products_subtitle'] = 'Listă produse';
$LANG['no_products_yet'] = 'Fără produse, mometan.';
$LANG['products_add_title'] = 'Adaugă Produs Nou';
$LANG['products_add_subtitle'] = 'Adaugă produs nou';
$LANG['products_edit_title'] = 'Editează Produs';
$LANG['products_edit_subtitle'] = 'Editează produs';
$LANG['products_infos_title'] = 'Informații Despre Acest Produs';
$LANG['products_export_title'] = 'Exportă Produse';
$LANG['products_export_subtitle'] = 'Exportă Produse';
$LANG['products_option_all'] = 'Toate'; // `All` categories
$LANG['products_import_title'] = 'Importă Produse';
$LANG['products_import_subtitle'] = 'Importă produse';
$LANG['products_add_button'] = 'Adaugă Produs';
$LANG['products_edit_button'] = 'Editează Produs';
$LANG['products_search_input'] = 'Caută produse';
$LANG['products_addpopular'] = 'Populare';
$LANG['products_use_link'] = 'Folosește adresa magazinului';
$LANG['products_form_ireward_points'] = 'Asigură-te că poţi urmări vânzările pentru acest produs.';

/** ADMIN LOCATIONS */

$LANG['loc_cou_title'] = 'Țări';
$LANG['loc_cou_subtitle'] = 'Lista tărilor disponibile';
$LANG['no_countries_yet'] = 'Fără tări, momentan.';
$LANG['loc_cou_search_input'] = 'Caută tări';
$LANG['loc_state_title'] = 'Județe';
$LANG['loc_state_subtitle'] = 'Lista județelor disponibile';
$LANG['no_states_yet'] = 'Fără județe, momentan.';
$LANG['loc_state_search_input'] = 'Caută județe';
$LANG['loc_city_title'] = 'Orașe';
$LANG['loc_city_subtitle'] = 'Lista orașelor disponibile';
$LANG['no_cities_yet'] = 'Fără orașe, momentan.';
$LANG['loc_city_search_input'] = 'Caută orașe';
$LANG['loc_form_country'] = 'Țară';
$LANG['loc_form_state'] = 'Județ';
$LANG['loc_form_city'] = 'Oraș';
$LANG['loc_form_zip'] = 'ZIP';

/** ADMIN LOCATIONS: ADD */

$LANG['loc_cou_add_title'] = 'Adaugă Țară';
$LANG['loc_cou_add_subtitle'] = 'Adaugă o țară';
$LANG['loc_state_add_title'] = 'Adaugă Județ';
$LANG['loc_state_add_subtitle'] = 'Adaugă un județ';
$LANG['loc_city_add_title'] = 'Adaugă Oraș';
$LANG['loc_city_add_subtitle'] = 'Adaugă un oraș';
$LANG['loc_cou_add_button'] = 'Adaugă Țară';
$LANG['loc_state_add_button'] = 'Adaugă Județ';
$LANG['loc_city_add_button'] = 'Adaugă Oraș';

/** ADMIN LOCATIONS: EDIT */

$LANG['loc_cou_edit_title'] = 'Editează Țară';
$LANG['loc_cou_edit_subtitle'] = 'Editează țară';
$LANG['loc_cou_infos_title'] = 'Informații Despre Această Țară';
$LANG['loc_state_edit_title'] = 'Editează Județ';
$LANG['loc_state_edit_subtitle'] = 'Editează județ';
$LANG['loc_state_infos_title'] = 'Informații Despre Aceast Județ';
$LANG['loc_city_edit_title'] = 'Editează Oraș';
$LANG['loc_city_edit_subtitle'] = 'Editează oraș';
$LANG['loc_city_infos_title'] = 'Informații Despre Aceast Oraș';
$LANG['loc_cou_edit_button'] = 'Editează Țară';
$LANG['loc_state_edit_button'] = 'Editează Județ';
$LANG['loc_city_edit_button'] = 'Editează Oraș';

/** ADMIN STORE LOCATION: ADD */

$LANG['store_loc_add_title'] = 'Adaugă Adresă Magazin';
$LANG['store_loc_add_subtitle'] = 'Adaugă adresă magazin';
$LANG['store_loc_add_button'] = 'Adaugă Adresă';

/** ADMIN STORE LOCATION: EDIT */

$LANG['store_loc_edit_title'] = 'Editează Adresă Magazin';
$LANG['store_loc_edit_subtitle'] = 'Editează adresă magazin';
$LANG['store_loc_edit_infos_title'] = 'Informații Despre Această Locație';
$LANG['store_loc_edit_button'] = 'Editează Adresă';

/** ADMIN STORES */

$LANG['stores_title'] = 'Magazine';
$LANG['stores_subtitle'] = 'Listă magazine';
$LANG['no_stores_yet'] = 'Fără magazine, momentan.';
$LANG['stores_add_title'] = 'Adaugă Magazin Nou';
$LANG['stores_add_subtitle'] = 'Adaugă magazin';
$LANG['stores_edit_title'] = 'Editează Magazin';
$LANG['stores_edit_subtitle'] = 'Editează magazin';
$LANG['stores_infos_title'] = 'Informații Despre Acest Magazin';
$LANG['stores_export_title'] = 'Exportă Magazine';
$LANG['stores_export_subtitle'] = 'Exportă magazine';
$LANG['stores_option_all'] = 'Toate'; // `All` categories
$LANG['stores_import_title'] = 'Importă Magazine';
$LANG['stores_import_subtitle'] = 'Importă magazine';
$LANG['stores_add_button'] = 'Adaugă Magazin';
$LANG['stores_edit_button'] = 'Editează Magazin';
$LANG['stores_search_input'] = 'Caută magazine';
$LANG['stores_addpopular'] = 'Populare';
$LANG['no_coupons_store'] = 'Încă fără cupoane';
$LANG['no_products_store'] = 'Încă fără produse';
$LANG['nr_coupons_store'] = '%s cupoane'; // %s will replace number of coupons
$LANG['nr_products_store'] = '%s produse'; // %s will replace number of products

/** ADMIN USERS */

$LANG['users_title'] = 'Utilizatori';
$LANG['users_subtitle'] = 'Listă Utilizatori';
$LANG['no_users_yet'] = 'Fără utilizatori, momentan.'; // not important
$LANG['users_add_title'] = 'Adaugă Utilizator Nou';
$LANG['users_add_subtitle'] = 'Adaugă utilizator nou';
$LANG['users_edit_title'] = 'Editează Utilizator';
$LANG['users_edit_subtitle'] = 'Editează utilizator';
$LANG['users_cp_title'] = 'Schimbă Parola';
$LANG['users_ban_title'] = 'Banează Utilizator';
$LANG['users_infos_title'] = 'Informații Despre Acest Utilizator';
$LANG['users_add_button'] = 'Adaugă Utilizator';
$LANG['users_edit_button'] = 'Editează Utilizator';
$LANG['users_cp_button'] = 'Schimbă Parola';
$LANG['users_ban_button'] = 'Banează Utilizator';
$LANG['users_ban_updatebutton'] = 'Actualizează Ban';
$LANG['users_unban_button'] = 'Debanează';
$LANG['users_search_input'] = 'Caută utilizatori';

/** ADMIN PAYMENTS */

$LANG['pmts_invoices_title'] = 'Facturi';
$LANG['pmts_invoices_subtitle'] = 'Lista facturilor generate de utilizatori';
$LANG['no_pmtstrans_yet'] = 'Nicio factură, momentan.';
$LANG['pmts_plans_title'] = 'Planuri de Plăţi';
$LANG['pmts_plans_subtitle'] = 'Lista planurilor de plăţi';
$LANG['no_pmtsplans_yet'] = 'Fără planuri de plaţi, momentan.';
$LANG['msg_pubpplan'] = 'Publică aceast plan';
$LANG['pmts_addplan_title'] = 'Adaugă Plan Nou';
$LANG['pmts_addplan_subtitle'] = 'Adaugă un plan de plăţi nou';
$LANG['pmts_viewinv_title'] = 'Vezi Facturi';
$LANG['pmts_viewinv_subtitle'] = 'Vezi detalii facturi';
$LANG['pmts_editplan_title'] = 'Editează Plan';
$LANG['pmts_editplan_subtitle'] = 'Editează planul de plăţi';
$LANG['pmts_plan_infos_title'] = 'Informații Despre Acest Plan';
$LANG['pmts_plans_add'] = 'Adaugă Plan';
$LANG['pmts_editplan_button'] = 'Editează Plan';
$LANG['pmts_plans_search_input'] = 'Caută planuri';
$LANG['pmts_trans_search_input'] = 'Caută facturi';
$LANG['pmts_form_transid'] = 'ID Tranzacţie';
$LANG['pmts_form_gateway'] = 'Gateway';
$LANG['pmts_form_state'] = 'Stadiu';
$LANG['pmts_form_paid'] = 'Plătit';
$LANG['pmts_form_delivered'] = 'Livrat';
$LANG['pmts_form_items'] = 'Articole';

/** ADMIN PLUGINS */

$LANG['plugins_title'] = 'Plugin-uri';
$LANG['plugins_subtitle'] = 'Lista plugin-urilor instalate';
$LANG['no_plugins_yet'] = 'Fără plugin-uri, momentan.';
$LANG['plugins_istl_title'] = 'Instalează Plugin';
$LANG['plugins_istl_subtitle'] = 'Instalează un plugin nou';
$LANG['msg_pubplugin'] = 'Publică acest plugin';
$LANG['msg_pubplugmenu'] = 'Publică acest plugin în meniu';
$LANG['plugins_edit_title'] = 'Editează Plugin';
$LANG['plugins_edit_subtitle'] = 'Editează plugin';
$LANG['plugin_infos_title'] = 'Informaţii Despre Acest Plugin';
$LANG['plugins_uninstall_title'] = 'Dezinstalează ...';
$LANG['plugins_unist_files'] = 'Fişiere şi directoare';
$LANG['plugins_unist_tables'] = 'Tabele din baza de date';
$LANG['plugins_unist_columns'] = 'Coloane din baza de date';
$LANG['plugins_unist_options'] = 'Opţiuni';
$LANG['plugins_unist_confq'] = 'Eşti sigur că vrei să dezinstalezi %s?'; // %s will replace the plugin name
$LANG['plugins_cuinstall_button'] = 'Confirmă'; // confirm uninstallation
$LANG['plugins_install_button'] = 'Instalează';
$LANG['plugins_upload_button'] = 'Uploadează';
$LANG['plugins_edit_button'] = 'Editează Plugin';
$LANG['plugins_search_input'] = 'Caută plugin-uri';
$LANG['plugin_editor_title'] = 'Editează plugin: %s'; // %s will replace theme name
$LANG['plugins_install_msg'] = 'Mare atenție! Este un risc de fiecare dată când încărci plugin-uri din surse neoficiale! Poți verifica pentru noi plugin-uri la <a href="http://couponscms.com/plugins.html" class="link" target="_blank">CouponCMS.com</a>';
$LANG['plugins_select_plugin'] = 'Selectează Plugin';
$LANG['plugins_orviaurl'] = 'Descarcă-l prin URL';
$LANG['plugins_url_plugin'] = 'URL Plugin';
$LANG['plugins_urlph'] = 'exemplu: http://couponscms.com/plugins/newplugin.zip';
$LANG['plugins_upload_dleave'] = 'Te rugăm să nu părăsi această pagină în timpul încarcării!';
$LANG['plugins_installed'] = 'Plugin-ul a fost instalat cu succes.';
$LANG['plugins_plugin_exists'] = 'Directorul %s există deja. Plugin-ul există?'; // %s will replace directory
$LANG['plugins_extracting_error'] = 'Ne pare rău, dar plugin-ul nu poate fi dezarhivat.';
$LANG['plugins_only_zip'] = 'Te rugăm să încărci doar plugin-uri in format ZIP';
$LANG['plugins_wrongurl'] = 'Ne pare rău, dar acest URL pare a fi invalid.';
$LANG['plugins_cantunzip'] = 'Ne pare rău, dar plugin-ul nu a putut fi dezarhivat.';
$LANG['plugins_err_installmiss'] = 'install.xml lipseşte.';
$LANG['plugins_err_cntreadxml'] = 'Fişierul XML nu se poate citi.';
$LANG['plugins_err_mainmiss'] = 'Fişierul principal lipseşte.';
$LANG['plugins_err_paraiss'] = 'Lipsesc parametrii în fişierul XML sau sunt invalizi.';
$LANG['plugins_err_mainlanmiss'] = 'Lipseşte fişierul de configurare al limbii.';
$LANG['plugins_err_mainpgatmiss'] = 'Lipseşte fişierul de configurare al gateway-ului de plată.';
$LANG['plugins_err_mainfeedsmiss'] = 'Lipseşte fişierul de configurare al server-ului Feed.';
$LANG['plugins_err_inconpat'] = 'Ne pare rău, dar acest plugin nu este compatibil cu versiunea ta.';
$LANG['plugins_err_dirmiss'] = 'Lipseşte directorul plugin-ului.';
$LANG['plugins_err_manydirs'] = 'Prea multe directoare în acestă arhivă.';

/** ADMIN SEND EMAIL */

$LANG['users_sendmail_title'] = 'Trimite Email';
$LANG['users_sendmail_subtitle'] = 'Trimite un e-mail nou la una sau mai multe adrese de e-mail';
$LANG['users_sendmail_fname'] = 'De la Nume';
$LANG['users_sendmail_femail'] = 'De la Email';
$LANG['users_sendmail_temails'] = 'Către Email-urile';
$LANG['users_sendmail_itemails'] = 'Poți trimite la mai multe adrese de email, separă-le cu virgulă.';
$LANG['users_sendmail_subject'] = 'Subiect';
$LANG['users_sendmail_text'] = 'Mesaj';
$LANG['users_sendmail_button'] = 'Trimite Email';

/** ADMIN SUGGESTIONS */

$LANG['suggestions_title'] = 'Sugestii';
$LANG['suggestions_subtitle'] = 'Lista cu sugestii de la utilizatori';
$LANG['no_suggestions_yet'] = 'Fără sugestii, momentan.';
$LANG['suggestions_view_title'] = 'Vezi Sugestia';
$LANG['suggestions_view_subtitle'] = 'Vezi sugestia';
$LANG['suggestions_infos_title'] = 'Informații Despre Acest Utilizator';
$LANG['suggestions_search_input'] = 'Caută în sugestii';

/** ADMIN REVIEWS */

$LANG['reviews_title'] = 'Recenzii';
$LANG['reviews_subtitle'] = 'Lista recenziilor';
$LANG['reviews_add'] = 'Adaugă Recenzie';
$LANG['no_reviews_yet'] = 'Fără recenzii, momentan.';
$LANG['reviews_add_title'] = 'Adaugă Recenzie Nouă';
$LANG['reviews_add_subtitle'] = 'Adaugă recenzie noua';
$LANG['reviews_view'] = 'Vezi Recenzii';
$LANG['reviews_edit_title'] = 'Editează Recenzie';
$LANG['reviews_edit_subtitle'] = 'Editează recenzie';
$LANG['reviews_infos_title'] = 'Informații Despre Această Recenzie';
$LANG['reviews_add_button'] = 'Adaugă Recenzie';
$LANG['reviews_edit_button'] = 'Editează Recenzie';
$LANG['reviews_search_input'] = 'Caută recenzii';
$LANG['reviews_byto'] = 'De %s la %s'; // First %s will replace user name, second %2 will replace store name

/** FEED */

$LANG['added_through_feed'] = 'Importat';
$LANG['notadded_through_feed'] = 'Neimportat';
$LANG['added_through_feed_msg'] = 'Adăugat prin feed.';
$LANG['feed_coupons_link'] = 'Feed Cupoane';
$LANG['feed_coupons_subtitle'] = 'Cupoane prin API de la Serverul Feed.';
$LANG['feed_products_subtitle'] = 'Produse prin API de la Serverul Feed.';
$LANG['feed_stores_subtitle'] = 'Magazine prin API de la Serverul Feed.';
$LANG['feed_pistore_title'] = 'Previzualizează & Importă';
$LANG['feed_pistore_subtitle'] = 'Aici poți edita detaliile acestui magazin înainte de al importa';
$LANG['feed_picoupon_title'] = 'Previzualizează & Importă';
$LANG['feed_picoupon_subtitle'] = 'Aici poți edita detaliile acestui cupon înainte de al importa';
$LANG['feed_piproduct_title'] = 'Previzualizează & Importă';
$LANG['feed_piproduct_subtitle'] = 'Aici poți edita detaliile acestui produs înainte de al importa';
$LANG['feed_istores_title'] = 'Importă Cupoane';
$LANG['feed_istores_subtitle'] = 'Importă cupoane în mod automat';
$LANG['feed_information_title'] = 'Informații Despre Server';
$LANG['feed_importnr_stores'] = 'Adu date pentru %s de magazine pe care le-ai importat prin API.'; // First %s will replace the number of stores
$LANG['feed_importe1'] = 'În acest moment nu ai magazine sau branduri importate, poți importa automat cupoane doar pentru magazinele care au acordat un Flux ID. Flux ID-urile sunt atribuite atunci când imporți prin API.';
$LANG['feed_icoupons'] = 'Verifică/Actualizează';
$LANG['feed_icouponstoo'] = 'Importă și cupoanele lor';
$LANG['feed_iproductstoo'] = 'Importă și produsele lor';
$LANG['feed_import_dleave'] = 'Te rugăm să nu părăsi această pagină în timpul importului!';
$LANG['feed_icoupons_button'] = 'Incepe Importarea';
$LANG['feed_stores_sucimp'] = 'Magazine importate';
$LANG['feed_stores_errimp'] = 'Magazine neimportate';
$LANG['feed_coupons_sucimp'] = 'Cupoane importate';
$LANG['feed_coupons_sucupt'] = 'Cupoane actualizate';
$LANG['feed_products_sucimp'] = 'Produse importate';
$LANG['feed_products_sucupt'] = 'Produse actualizate';
$LANG['feed_form_addfrom'] = 'Adăugate de la';
$LANG['feed_form_import'] = 'Importă';

/** FEED ERROR MESSAGES */

$LANG['feed_e_serverr'] = 'Configurare greșită. Acest server nu poate fi utilizat.';
$LANG['feed_e_servtout'] = 'Conectarea la server a expirat.';
$LANG['feed_e_invalid'] = 'Server-ul de Feed nu există.';
$LANG['feed_e_configmiss'] = 'Lipsește fișiereul de configurare.';

/** ADMIN REWARDS */

$LANG['rewards_title'] = 'Recompense';
$LANG['rewards_subtitle'] = 'Lista recompenselor';
$LANG['rewards_add'] = 'Adaugă Recompensă';
$LANG['no_rewards_yet'] = 'Fără recompense, momentan.';
$LANG['rewards_add_title'] = 'Adaugă Recompensă Nouă';
$LANG['rewards_add_subtitle'] = 'Adaugă o recompensă nouă';
$LANG['rewards_view'] = 'Vezi Recompense';
$LANG['rewards_edit_title'] = 'Editează Recompensă';
$LANG['rewards_edit_subtitle'] = 'Editează recompensă';
$LANG['rewards_infos_title'] = 'Informații Despre Această Recompensă';
$LANG['rewards_add_button'] = 'Adaugă Recompensă';
$LANG['rewards_edit_button'] = 'Editează Recompensă';
$LANG['rewards_viewcr_button'] = 'Cereri de Revendicare';
$LANG['rewards_viewcr_title'] = 'Vezi Cerere de Revendicare';
$LANG['rewards_viewcr_subtitle'] = 'Vezi cerere de revendicare';
$LANG['rewards_search_input'] = 'Caută recompense';
$LANG['rewards_req_title'] = 'Cereri Revendicare';
$LANG['no_claimreq_yet'] = 'Fără cereri de revendicare, momentan.';
$LANG['rewards_req_form_pused'] = 'Puncte folosite';
$LANG['rewards_req_subtitle'] = 'Lista cererilor de revendicare';
$LANG['rewards_req_search_input'] = 'Caută în revendicări';
$LANG['rewards_form_reward'] = 'Recompensă';
$LANG['rewards_form_points'] = 'Puncte';
$LANG['rewards_form_ipoints'] = 'Numărul de puncte pe care un utilizator trebuie să le aibă pentru a răscumpăra această recompensă.';
$LANG['rewards_form_fields'] = 'Câmpuri';
$LANG['rewards_form_ifields'] = 'Pentru a recompensa un utilizator ar putea fi necesare unele informațiile suplimentare, precum adresa de domiciliu sau contul PayPal.';
$LANG['rewards_addfield_button'] = 'Adaugă câmp';
$LANG['rewards_table_name'] = 'Nume';
$LANG['rewards_table_type'] = 'Tip';
$LANG['rewards_table_value'] = 'Valoare';
$LANG['rewards_type_text'] = 'Text';
$LANG['rewards_type_number'] = 'Număr';
$LANG['rewards_type_email'] = 'Email';
$LANG['rewards_type_hidden'] = 'Ascuns';
$LANG['rewards_required'] = 'Obligatoriu';
$LANG['rewards_notrequired'] = 'Neobligatoriu';

/** NEWSLETTER */

$LANG['newsletter_title'] = 'Abonați';
$LANG['newsletter_subtitle'] = 'Lista cu toți abonații';
$LANG['no_subsribers_yet'] = 'Fără abonați, momentan.';
$LANG['subscribers_edit_title'] = 'Editează Abonat';
$LANG['subscribers_edit_subtitle'] = 'Editează abonat';
$LANG['subscribers_infos_title'] = 'Informații Despre Acest Abonat';
$LANG['subscribers_edit_button'] = 'Editează Abonat';
$LANG['subscribers_import_title'] = 'Importă Abonați';
$LANG['subscribers_import_subtitle'] = 'Importă abonați';
$LANG['subscribers_export_title'] = 'Exportă Abonați';
$LANG['subscribers_export_subtitle'] = 'Exportă abonați';
$LANG['subscribers_export_button'] = 'Exportă';
$LANG['newsletter_usevalide'] = 'Te rugăm foloseşte o adresă de email validă.';
$LANG['newsletter_reqconfirm'] = 'Te rugăm verifică-ți inboxul (%s) și confirmă-ți abonarea. (te rugăm să verifici și directorul Spam de asemenea)'; // %s will be replaced by the email address
$LANG['newsletter_success'] = 'Te-ai abonat cu succes!';
$LANG['newsletter_subscribed'] = 'Ești deja abonat la newsletter-ul nostru!';
$LANG['subscribers_search_input'] = 'Caută abonați';
$LANG['subscribers_form_exportfields'] = 'Exportă Câmpurile';
$LANG['subscribers_form_exporttype'] = 'Exportă Abonați';
$LANG['subscribers_option_all'] = 'Toți';
$LANG['subscribers_option_verified'] = 'Verificați';
$LANG['subscribers_option_unverified'] = 'Neverificați';

/** SUBMIT CONTACT */

$LANG['sendcontact_success'] = 'Mesajul tău a fost trimis. Mulțumim!';
$LANG['sendcontact_usevalide'] = 'Te rugăm folosește o adresă de email validă.';
$LANG['sendcontact_complete_name'] = 'Te rugăm completează numele.';
$LANG['sendcontact_writemsg'] = 'Te rugăm completează un scurt mesaj pentru noi.';

/** ADMIN THEME */

$LANG['themes_title'] = 'Teme';
$LANG['themes_subtitle'] = 'Listă teme';
$LANG['themes_upload'] = 'Încărcă Temă';
$LANG['no_themes_yet'] = 'Fără teme, momentan.';
$LANG['themes_upload_title'] = 'Încărcă Temă';
$LANG['themes_upload_subtitle'] = 'Încărcă temă nouă';
$LANG['themes_edit_title'] = 'Editor de Temă';
$LANG['themes_edit_subtitle'] = 'Editor de temă';
$LANG['themes_common'] = 'Conținut Comun';
$LANG['themes_common_title'] = 'Conținut Comun';
$LANG['themes_common_subtitle'] = 'Conținutul ce poate fi accesat din orice temă. Poate fi accesat prin intermediul funcțiilor PHP. Ideal pentru a păstra codul de urmărire al Google Analytics atunci când schimbi temele.';
$LANG['themes_version'] = 'Versiune';
$LANG['themes_description'] = 'Descriere';
$LANG['themes_published_by'] = 'Publicată de';
$LANG['themes_publisher_url'] = 'URL Publicant';
$LANG['themes_used'] = 'Folosită';
$LANG['themes_no_infos'] = 'Fară informații despre această temă.';
$LANG['theme_edit_title'] = 'Editează tema: %s'; // %s will replace theme name
$LANG['themes_upload_msg'] = 'Mare atenție! Este un risc de fiecare dată când încărci teme din surse neoficiale! Poți verifica pentru noi teme la <a href="http://couponscms.com/themes.html" class="link" target="_blank">CouponCMS.com</a>';
$LANG['themes_select_theme'] = 'Selectează Tema';
$LANG['themes_upload_button'] = 'Încarcă Tema';
$LANG['themes_orviaurl'] = 'Descarc-o prin URL';
$LANG['themes_url_theme'] = 'URL Temă';
$LANG['themes_urlph'] = 'exemplu: http://couponscms.com/themes/newtheme.zip';
$LANG['themes_install_button'] = 'Instalează Tema';
$LANG['themes_upload_dleave'] = 'Te rugăm să nu părăsi această pagină în timpul încarcării!';
$LANG['themes_installed'] = 'Tema a fost instalată.';
$LANG['themes_theme_exists'] = 'Directorul %s există deja. Tema există?'; // %s will replace directory
$LANG['themes_extracting_error'] = 'Ne pare rău, dar tema nu poate fi dezarhivată.';
$LANG['themes_only_zip'] = 'Te rugăm să încărci doar teme in format ZIP.';
$LANG['themes_wrongurl'] = 'Ne pare rău, dar acest URL pare a fi invalid.';
$LANG['themes_cantunzip'] = 'Ne pare rău, dar tema nu a putut fi dezarhivată.';

/** ADMIN ALERTS */

$LANG['news_alerts'] = 'Alerte';
$LANG['alerts_suggestions'] = '%s sugestii necitite'; // %s will replace the number of suggestions unread
$LANG['alerts_reviews'] = '%s recenzii nepublicate'; // %s will replace the number of reviews unpublished
$LANG['alerts_rewardreq'] = '%s recompense nerevendicate'; // %s will replace the number of claim reward requests
$LANG['alerts_unpubcoupons'] = '%s cupoane nepublicate'; // %s will replace the number of unpublished coupons
$LANG['alerts_unpubproducts'] = '%s produse nepublicate'; // %s will replace the number of unpublished products
$LANG['alerts_unpubstores'] = '%s magazine nepublicate'; // %s will replace the number of unpublished stores
$LANG['alerts_undelipay'] = '%s facturi nelivrate'; // %s will replace the number of undelivered items

/** ADMIN CHAT/NOTES */

$LANG['chat_title'] = 'Chat / Notițe';
$LANG['chat_subtitle'] = 'Lista mesajelor';
$LANG['no_chat_yet'] = 'Fără mesaje, momentan.';
$LANG['chat_search_input'] = 'Caută în mesaje';
$LANG['chat_write_input'] = 'Mesajul aici ...';
$LANG['chat_write_button'] = 'Scrie';
$LANG['chat_list'] = 'Vezi lista întreagă →';

/** ADMIN NEWS */

$LANG['news_title'] = 'Știri & Tutoriale';
$LANG['news_subtitle'] = 'Ultimele știri și tutoriale';
$LANG['no_news_yet'] = 'Fără știri sau tutoriale noi, momentan.';
$LANG['news_read_view'] = 'Citește/Vezi';
$LANG['news_search_input'] = 'Caută în știri/tutoriale';
$LANG['news_list'] = 'Vezi lista →';

/** ADMIN USER SESSIONS */

$LANG['sessions_title'] = 'Sesiuni Active';
$LANG['sessions_subtitle'] = 'Toate sesiunile active ale utilizatorilor. Ștergându-le, utilizatorii vor fi deconectați de pe conturile lor.';
$LANG['no_sessions_yet'] = 'Fără sesiuni, momentan.';  // not important
$LANG['sessions_edit_user'] = 'Editează utilizator';

/** ADMIN CLICKS REPORT */

$LANG['clicksr_title'] = 'Raport Click-uri';
$LANG['clicksr_subtitle'] = 'Raport de click-uri valide pe magazine';
$LANG['no_clicks_yet'] = 'Fără click-uri, momentan.';
$LANG['clicksr_graport'] = 'Raport Grafic';
$LANG['clicksr_edit_user'] = 'Editează Utilizator';
$LANG['clicksr_edit_store'] = 'Editează Magazin';
$LANG['clicksr_search_input'] = 'Caută în raport';
$LANG['clicksr_couponid'] = 'ID Cupon';
$LANG['clicksr_productid'] = 'ID Produs';
$LANG['clicksr_list'] = 'Vezi lista →';

/** ADMIN IMPORT/EXPORT NAME FIELDS */

$LANG['field_omit'] = '-- Omit this field --';
$LANG['field_name'] = 'Name';
$LANG['field_title'] = 'Title';
$LANG['field_link'] = 'Link/Website';
$LANG['field_description'] = 'Description';
$LANG['field_tags'] = 'Tags';
$LANG['field_image'] = 'Image';
$LANG['field_store_type'] = 'Store Type';
$LANG['field_store_sellonline'] = 'Store Sell Online';
$LANG['field_store_hours'] = 'Store Hours';
$LANG['field_store_locations'] = 'Store Locations';
$LANG['field_code'] = 'Code';
$LANG['field_store_name'] = 'Store Name';
$LANG['field_store_url'] = 'Store Website';
$LANG['field_start_date'] = 'Start Date';
$LANG['field_end_date'] = 'End Date';
$LANG['field_printable'] = 'Printable';
$LANG['field_available_online'] = 'Available Online';
$LANG['field_source_url'] = 'Source(URL)';
$LANG['field_price'] = 'Price';
$LANG['field_oldprice'] = 'Old Price';
$LANG['field_currency'] = 'Currency';

/**

USER INTERFACE

*/

$LANG['unavailable_form'] = 'Acest formular este doar pentru utilizatorii logați';
$LANG['unavailable_form2'] = 'Acest formular este doar pentru administratorii de magazine/brand-ul online.';
$LANG['msg_notenoughpoints'] = 'Ai nevoie de %s credite pentru asta. Acum ai doar %s credite.'; // first %s will replace the cost, the second one user balance

/** SEND SUGGESTION */

$LANG['suggestion_store_owner'] = 'Sunt proprietarul acestui magazin/brand';
$LANG['suggestion_just_suggestion'] = 'Vreau doar să fac o sugestie';
$LANG['suggestion_sent'] = 'Sugestia a fost trimisă.';
$LANG['suggestion_name_ph'] = 'Nume magazin/brand.';
$LANG['suggestion_pwn'] = 'Te rugăm scrie un nume pentru aceast magazin/brand.';
$LANG['suggestion_wrong_url'] = 'Adresa website-ului pare a fi invalidă.';
$LANG['suggestion_shdesc'] = 'Te rugăm scrie o scurtă descriere despre magazinul/brand-ul pe care dorești s-o sugerezi.';

/** WRITE REVIEW */

$LANG['review_sent'] = 'Mulțumim! Recenzia a fost adăugată.';
$LANG['review_not_allowed'] = 'Nu sunt permise noi recenzii în acest moment.';
$LANG['review_write_text'] = 'Te rugăm completează un mesaj.';
$LANG['review_write_notv'] = 'Contul tău nu este încă, confirmat. Nu poţi scrie recenzii.';

/** LOGIN */

$LANG['login_success'] = 'Te-ai logat cu succes!';
$LANG['login_invalid'] = 'Datele de logare nu se potrivesc.';
$LANG['login_banaccount'] = 'Contul tau este suspendat din motive de scuritate, adesea pentru incarcari nereusite de logare. Te rugam, incearca mai tarziu.';

/** REGISTER */

$LANG['register_success'] = 'Te-ai înregistrat cu succes!';
$LANG['register_not_allowed'] = 'Înregistrările nu sunt permise în acest moment.';
$LANG['register_usevalide'] = 'Te rugăm folosește o adresă de email validă.';
$LANG['register_complete_name'] = 'Te rugăm completează numele.';
$LANG['register_invalid_name'] = 'Numele trebuie să nu conțină caractere speciale, nu mai puțin de 3 și nu mai mult de 25 caractere.';
$LANG['register_paswdreq'] = 'Ambele parole sunt obligatorii.';
$LANG['register_invalid_paswd'] = 'Parola trebuie să nu conțină, nu mai puțin de 5 și nu mai mult de 40 caractere.';
$LANG['register_passwdnm'] = 'Parolele nu se potrivesc!';
$LANG['register_accexists'] = 'Această adresa de email este deja în folosință.';
$LANG['fp_unkwacc'] = 'Ne pare rău, acest cont nu a putut fi găsit în baza noastră de date.';
$LANG['fp_success'] = 'Un email a fost trimis, te rugăm verifică-ți inbox-ul!';

/** UPDATE PROFILE */

$LANG['profile_success'] = 'Profilul tău a fost actualizat.';
$LANG['profile_complete_name'] = 'Te rugăm completează numele.';
$LANG['profile_invalid_name'] = 'Numele trebuie să nu conțină caractere speciale, nu mai puțin de 3 și nu mai mult de 25 caractere.';
$LANG['profile_button'] = 'Editează Profil';

/** CHANGE PASSWORD */

$LANG['change_pwd_success'] = 'Parola ta a fost schimbată';
$LANG['change_pwd_form_old'] = 'Parola Veche';
$LANG['change_pwd_form_new'] = 'Paroal Nouă';
$LANG['change_pwd_form_new2'] = 'Confirmă Parola Nouă';
$LANG['change_pwd_wrong_np'] = 'Parola trebuie să nu conțină, nu mai puțin de 5 și nu mai mult de 40 caractere.';
$LANG['change_pwd_pwddm'] = 'Parolele nu se potrivesc!';
$LANG['change_pwd_wrongpwd'] = 'Parola ta curentă este greșită';
$LANG['change_pwd_button'] = 'Schimbă Parola';

/** RESET PASSWORD */

$LANG['reset_pwd_success'] = 'Parola a fost setată, te poti loga acum.';
$LANG['reset_pwd_wrong_np'] = 'Parola trebuie să nu conțină, nu mai puțin de 5 și nu mai mult de 40 caractere.';
$LANG['reset_pwd_pwddm'] = 'Parolele nu se potrivesc!';
$LANG['reset_pwd_button'] = 'Resetează Parola';

/** SUBMIT COUPON */

$LANG['submit_cou_success'] = 'Cuponul a fost adăugat.';
$LANG['submit_cou_not_allowed'] = 'Nu sunt permise noi cupoane în acest moment.';
$LANG['submit_cou_addto'] = 'Adaugă la';
$LANG['submit_cou_name_ph'] = 'Nume cupon';
$LANG['submit_cou_code_ph'] = 'Cod cupon, te rugăm lasă-l necompletat dacă nu este necesar';
$LANG['submit_cou_url_ph'] = 'Opțional. Lasă-l gol dacă aceasta nu este o pagină specială pentru ofertă';
$LANG['submit_cou_writename'] = 'Te rugăm completează un nume pentru acest cupon.';
$LANG['submit_cou_writeurl'] = 'Te rugăm să completați un URL bun pentru acest cupon/deal sau lasă-l gol.';
$LANG['submit_cou_writedesc'] = 'Te rugăm completează o scurtă descriere despre cuponul pe care vrei să-l adaugi.';
$LANG['submit_cou_wrong_ed'] = 'Data încheierii trebuie să fie mai mare decât astăzi.';
$LANG['submit_cou_button'] = 'Adaugă Cupon';

/** EDIT COUPON */

$LANG['edit_cou_success'] = 'Cuponul a fost actualizat.';
$LANG['edit_cou_cant'] = 'Nu deții acest cupon.';
$LANG['edit_cou_writename'] = 'Te rugăm completează un nume pentru acest cupon.';
$LANG['edit_cou_writeurl'] = 'Te rugăm să completați un URL bun pentru acest cupon/deal sau lasă-l gol.';
$LANG['edit_cou_writedesc'] = 'Te rugăm completează o scurtă descriere despre cuponul pe care vrei să-l actualizezi.';
$LANG['edit_cou_button'] = 'Editează Cupon';

/** SUBMIT PRODUCT */

$LANG['submit_prod_success'] = 'Produsul a fost adăugat.';
$LANG['submit_prod_not_allowed'] = 'Nu sunt permise noi produse în acest moment.';
$LANG['submit_prod_addto'] = 'Adaugă la';
$LANG['submit_prod_name_ph'] = 'Nume produs';
$LANG['submit_prod_price_ph'] = 'Preţ de vânzare acum, cu discount';
$LANG['submit_prod_oldprice_ph'] = 'Ultimul preţ fără discount';
$LANG['submit_prod_writename'] = 'Te rugăm completează un nume pentru acest produs.';
$LANG['submit_prod_writeurl'] = 'Te rugăm să completați un URL bun pentru acest produs.';
$LANG['submit_prod_writedesc'] = 'Te rugăm completează o scurtă descriere despre produsul pe care vrei să-l adaugi.';
$LANG['submit_prod_wrong_ed'] = 'Data încheierii trebuie să fie mai mare decât astăzi.';
$LANG['submit_prod_button'] = 'Adaugă Produs';

/** EDIT PRODUCT */

$LANG['edit_prod_success'] = 'Produsul a fost actualizat.';
$LANG['edit_prod_cant'] = 'Nu deții acest produs.';
$LANG['edit_prod_writename'] = 'Te rugăm completează un nume pentru acest produs.';
$LANG['edit_prod_writeurl'] = 'Te rugăm să completați un URL bun pentru acest produs.';
$LANG['edit_prod_writedesc'] = 'Te rugăm completează o scurtă descriere despre produsul pe care vrei să-l actualizezi.';
$LANG['edit_prod_button'] = 'Editează Produs';

/** SUBMIT STORE */

$LANG['submit_store_success'] = 'Magazinul/brand-ul a fost adăugat.';
$LANG['submit_store_not_allowed'] = 'Nu sunt permise noi magazine/branduri în acest moment.';
$LANG['submit_store_name_ph'] = 'Nume magazin/brand';
$LANG['submit_store_writename'] = 'Te rugăm completează un nume pentru acest magazin/brand.';
$LANG['submit_store_wrongweb'] = 'Adresa website-ului pare a fi invalidă.';
$LANG['submit_store_writedesc'] = 'Te rugăm completează o scurtă descriere despre magazinul/brand-ul pe care vrei s-o actualizezi.';
$LANG['submit_store_button'] = 'Adaugă Magazin/Brand';

/** EDIT STORE */

$LANG['edit_store_success'] = 'Magazinul/brand-ul a fost actualizată.';
$LANG['edit_store_cant'] = 'Nu deții acest magazin/brand.';
$LANG['edit_store_name_ph'] = 'Nume magazin/brand';
$LANG['edit_store_writename'] = 'Te rugăm completează un nume pentru acest magazin/brand.';
$LANG['edit_store_wrongweb'] = 'Adresa website-ului pare a fi invalidă.';
$LANG['edit_store_writedesc'] = 'Te rugăm completează o scurtă descriere despre magazinul/brand-ul pe care vrei s-o actualizezi.';
$LANG['edit_store_button'] = 'Editează Magazin/Brand';

/** SUBMIT STORE LOCATION */

$LANG['submit_store_loc_success'] = 'Locația magazinul/brand-ului a fost adăugată.';
$LANG['submit_store_loc_button'] = 'Adaugă Locație Magazin/Brand';

/** EDIT STORE LOCATION */

$LANG['edit_store_loc_success'] = 'Aceasta locația a magazinul/brand-ul a fost actualizată.';
$LANG['edit_store_loc_button'] = 'Editează Locația Magazin/Brand';

/** CLAIM REWARD */

$LANG['claim_reward_success'] = 'Cererea a fost trimisă cu succes!';
$LANG['claim_reward_dontexist'] = 'Acestă recompensă nu există.';
$LANG['claim_reward_mrepts'] = 'Nu ai suficiente puncte pentru a răscumpăra asta.';
$LANG['claim_reward_reqinv'] = 'Unele din câmpurile obligatorii sunt incomplete.';

/** PAYMENTS */

$LANG['payments_metatitle'] = 'Cumpără Credite';
$LANG['payments_title_infos'] = 'Informaţii';
$LANG['payments_paywith'] = 'Plăteşte acum prin';
$LANG['payments_choosetopay'] = 'Alege să plăteşti cu';
$LANG['payments_msg_confirmed'] = 'Plată confirmată, îţi mulţumim !';
$LANG['payments_msg_error_cc'] = 'Nu am putut finaliza tranzacția, verifică informațiile, apoi încercă din nou.'; // error when pay with credit card
$LANG['payments_paynow_button'] = 'Plăteşte acum';
$LANG['payments_msg_invseltype'] = 'Please select the type of credit card.';
$LANG['payments_msg_invnamecard'] = 'Please fill the name on credit card';
$LANG['payments_msg_invnumber'] = 'Please fill the credit card number.';
$LANG['payments_msg_invexp'] = 'Please select the expiration date for this credit card.';
$LANG['payments_msg_invcvv'] = 'The CVV is the 3(4)-digit number on the back of your credit card.';
$LANG['payments_form_cardtype'] = 'Tip Card';
$LANG['payments_form_nameoncard'] = 'Nume pe Card';
$LANG['payments_nameoncard_ph'] = 'Prenume Nume';
$LANG['payments_form_cardnumber'] = 'Număr Card';
$LANG['payments_form_cardexp'] = 'Daca Expirării';
$LANG['payments_form_cvv2'] = 'CVV2';

/*

USER VERIFICATION ACTIONS

*/

$LANG['verify_clickhere'] = 'click aici'; // "click here" to redirect on index

// Account verified

$LANG['uverify_metatitle'] = 'Cont Verificat';
$LANG['uverify_title'] = 'Mulțumim'; // Or "Account verified" are the most used titles
$LANG['uverify_body'] = 'Contul tău a fost verificat cu succes, vei fi redirecționat în %s secunde.'; // %s will be replaced by the number of seconds remained until the redirect on index

// User subscribed

$LANG['usubscr_metatitle'] = 'Te-ai abonat';
$LANG['usubscr_title'] = 'Mulțumim!'; // Or "You has been subscribed" are the most used titles
$LANG['usubscr_body'] = 'Ai fost abonat cu succes, vei fi redirecționat în %s secunde.'; // %s will be replaced by the number of seconds remained until the redirect on index

// User unsubscrib

$LANG['uunsubscr_metatitle'] = 'Dezabonare';
$LANG['uunsubscr_title'] = 'Dezabonare';
$LANG['uunsubscr_button'] = 'Dezabonează-mă';
$LANG['uunsubscr_body'] = 'Dacă ești abonat la newsletter-ul nostru și dorești să te dezabonezi, te rugăm să introduce adresa ta de e-mail, iar apoi clic pe "Dezabonează-ma".';
$LANG['uunsubscr_reqsent'] = 'Te rugăm să verificați inbox-ul (%s) și confirmă dezabonarea.'; // %s will be replaced by the email address
$LANG['uunsubscr_notsubscr'] = 'Nu ești abonat la newsletter-ul nostru.';
$LANG['uunsubscr_ok'] = 'Ai fost dezabonat';

// User unsubscribed

$LANG['uunsubscr2_metatitle'] = 'Dezabonat';
$LANG['uunsubscr2_title'] = 'Ești acum dezabonat';
$LANG['uunsubscr2_body'] = 'Ai fi fost dezabonat cu succes, vei fi redirecționat în %s secunde.'; // %s will be replaced by the number of seconds remained until the redirect on index

/**

EMAIL TEMPLATES

*/

$LANG['email_text_hello'] = 'Salut %s';

// reset password

$LANG['email_reset_title'] = 'Resetează-ți parola';
$LANG['email_reset_maintext'] = 'Clic pe link-ul de mai jos pentru ați reseta parola';
$LANG['email_reset_button'] = 'Resetează parola!';

// confirm account

$LANG['email_acc_title'] = 'Activează-ți contul';
$LANG['email_acc_maintext'] = 'Clic pe link-ul de mai jos pentru ați confirma contul';
$LANG['email_acc_button'] = 'Activează contul!';

// confirm subscribtion

$LANG['email_sub_title'] = 'Confirmă-ți abonarea';
$LANG['email_sub_maintext'] = 'A mai rămas un doar pas! Îți mulțumim pentru abonarea la newsletter-ul nostru, te rugăm să confirmi abonarea făcând clic pe link-ul de mai jos.';
$LANG['email_sub_button'] = 'Confirmă abonarea!';

// confirm unsubscribtion

$LANG['email_unsub_title'] = 'Confirm unsubscription';
$LANG['email_unsub_maintext'] = 'Nu ești încă dezabonat. Te poți dezabona făcând clic pe link-ul de mai jos, dar te rugăm să te asuguri că nu vrei să mai primiți mesaje de la noi.';
$LANG['email_unsub_button'] = 'Confirmă dezabonarea!';

// account creation

$LANG['email_ac_title'] = 'Contul creat';
$LANG['email_ac_maintext'] = 'Contul tău pe %s a fost creat.';
$LANG['email_ac_email'] = 'Email';
$LANG['email_ac_password'] = 'Parola';

// send contact

$LANG['email_sec_title'] = 'Contact';
$LANG['email_sec_name'] = 'Nume';
$LANG['email_sec_email'] = 'Email';