<?php

switch( $_GET['action'] ) {

/** EXPORT STORES */

case 'export':

if( !ab_to( array( 'stores' => 'export' ) ) ) die;

echo '<div class="title">

<h2>' . $LANG['stores_export_title'] . '</h2>

<div style="float:right; margin: 0 2px 0 0;">
<a href="?route=stores.php&amp;action=list" class="btn">' . $LANG['stores_view'] . '</a>
</div>';

if( !empty( $LANG['stores_export_subtitle'] ) ) {
  echo '<span>' . $LANG['stores_export_subtitle'] . '</span>';
}

echo '</div>';

$csrf = $_SESSION['stores_csrf'] = \site\utils::str_random(10);

echo '<div class="form-table">';

echo '<form action="?download=export_stores_csv.php" method="POST">

<div class="row"><span>' . $LANG['form_category'] . ':</span>
<div><select name="category">
<option value="0">' . $LANG['stores_option_all'] . '</option>';
foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  echo '<optgroup label="' . $cat['infos']->name . '">';
  echo '<option value="' . $cat['infos']->ID . '">' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      echo '<option value="' . $subcat->ID . '">' . $subcat->name . '</option>';
    }
  }
  echo '</optgroup>';
}
echo '</select></div></div>

<div class="row"><span>' . $LANG['form_datefrom'] . ':</span><div><input type="date" name="date[from]" value="2000-01-01" /></div></div>
<div class="row"><span>' . $LANG['from_dateto'] . ':</span><div><input type="date" name="date[to]" value="' . date( 'Y-m-d', strtotime( 'tomorrow' ) ) . '" /></div></div>
<div class="row"><span>' . $LANG['subscribers_form_exportfields'] . ':</span><div>
<input type="checkbox" name="fields[name]" id="name" checked disabled /> <label for="name"><span></span> ' . $LANG['field_name'] . '</label>
<input type="checkbox" name="fields[link]" id="link" checked disabled /> <label for="link"><span></span> ' . $LANG['field_link'] . '</label>
<input type="checkbox" name="fields[description]" id="description" checked disabled /> <label for="description"><span></span> ' . $LANG['field_description'] . '</label>
<input type="checkbox" name="fields[tags]" id="tags" checked disabled /> <label for="tags"><span></span> ' . $LANG['field_tags'] . '</label>
<input type="checkbox" name="fields[image]" id="image" checked disabled /> <label for="image"><span></span> ' . $LANG['field_image'] . '</label>
<input type="checkbox" name="fields[type]" id="type" checked /> <label for="type"><span></span> ' . $LANG['field_store_type'] . '</label>
<input type="checkbox" name="fields[sell_online]" id="sell_online" checked /> <label for="sell_online"><span></span> ' . $LANG['field_store_sellonline'] . '</label>
<input type="checkbox" name="fields[hours]" id="hours" checked /> <label for="hours"><span></span> ' . $LANG['field_store_hours'] . '</label>
<input type="checkbox" name="fields[locations]" id="locations" checked /> <label for="locations"><span></span> ' . $LANG['field_store_locations'] . '</label>
<input type="checkbox" name="fields[phone]" id="phone" checked /> <label for="phone"><span></span> ' . $LANG['phone_no'] . '</label></div></div>
<input type="hidden" name="csrf" value="' . $csrf . '" />
<button class="btn">' . $LANG['subscribers_export_button'] . '</button>
</form>';

echo '</div>';

break;

/** IMPORT STORES */

case 'import':

if( !ab_to( array( 'stores' => 'import' ) ) ) die;

echo '<div class="title">

<h2>' . $LANG['stores_import_title'] . '</h2>

<div style="float:right; margin: 0 2px 0 0;">
<a href="?route=stores.php&amp;action=list" class="btn">' . $LANG['stores_view'] . '</a>
</div>';

if( !empty( $LANG['stores_import_subtitle'] ) ) {
  echo '<span>' . $LANG['stores_import_subtitle'] . '</span>';
}

echo '</div>';

echo '<div id="upload-theme-form">';

if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['csrf'] ) && check_csrf( $_POST['csrf'], 'stores_csrf' ) ) {

  if( isset( $_POST['category'] ) && isset( $_FILES['file'] ) && isset( $_POST['field'] ) )
  if( $import = actions::import_stores(
  array(
  'category' => $_POST['category'],
  'file' => $_FILES['file'],
  'omit_first_line' => ( isset( $_POST['omitfirst'] ) ? 1 : 0 ),
  'fields' => $_POST['field']
  ) ) )

  echo '<div class="a-success">' . sprintf( $LANG['msg_storesimported'], $import[0], $import[1] ) . '</div>';
  else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

} else {

  echo '<div class="a-alert">' . $LANG['msg_import_stores'] . '</div>';

}

$csrf = $_SESSION['stores_csrf'] = \site\utils::str_random(10);

echo '<div class="form-table">

<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">

<div class="row"><span>' . $LANG['form_in_category'] . ':</span>
<div><select name="category">
<option value="0">' . $LANG['option_no_category'] . '</option>';
foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  echo '<optgroup label="' . $cat['infos']->name . '">';
  echo '<option value="' . $cat['infos']->ID . '">' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      echo '<option value="' . $subcat->ID . '">' . $subcat->name . '</option>';
    }
  }
  echo '</optgroup>';
}
echo '</select></div></div>

<div class="row"><span>' . $LANG['form_csv_file'] . ':</span><div><input type="file" name="file" value="" /></div></div>
<div class="row"><span></span><div><input type="checkbox" name="omitfirst" id="omitfirst" value="1" checked /> <label for="omitfirst"><span></span> ' . $LANG['msg_csvomitfirst'] . '</label></div></div>

<input type="hidden" name="field[0]" value="name" />
<input type="hidden" name="field[1]" value="link" />
<input type="hidden" name="field[2]" value="description" />
<input type="hidden" name="field[3]" value="tags" />
<input type="hidden" name="field[4]" value="image" />
<input type="hidden" name="field[5]" value="type" />
<input type="hidden" name="field[6]" value="sellonline" />
<input type="hidden" name="field[7]" value="hours" />
<input type="hidden" name="field[8]" value="locations" />
<input type="hidden" name="field[9]" value="phone" />
<input type="hidden" name="csrf" value="' . $csrf . '" />
<button class="btn">' . $LANG['button_import'] . '</button>
</form>

</div>

<hr />

<div style="text-align: center;">
  <a href="?route=stores.php&action=import_advanced" class="btn">' . $LANG['data_import_advanced'] . '</a>
</div>

</div>';

echo '<div id="process-theme">
  <h2>' . $LANG['msg_upload_dleave'] . '</h2>
</div>';

break;

/** IMPORT STORES - ADVANCED */

case 'import_advanced':

if( !ab_to( array( 'stores' => 'import' ) ) ) die;

echo '<div class="title">

<h2>' . $LANG['stores_import_title'] . '</h2>

<div style="float:right; margin: 0 2px 0 0;">
<a href="?route=stores.php&amp;action=list" class="btn">' . $LANG['stores_view'] . '</a>
</div>';

if( !empty( $LANG['stores_import_subtitle'] ) ) {
  echo '<span>' . $LANG['stores_import_subtitle'] . '</span>';
}

echo '</div>';

if( !isset( $_POST['ready'] ) || !isset( $_POST['fields'] ) || (int) $_POST['fields'] < 2 ) {
  echo '<div class="form-table">

<form action="#" method="POST">

<div class="row"><span>' . $LANG['form_fields'] . ':</span><div><input type="number" name="fields" value="" min="2" max="40" required /></div></div>';

echo '<input type="hidden" name="ready" value="1" />
<button class="btn">' . $LANG['next_page'] . '</button>
</form>

</div></div>';

} else {

echo '<div id="upload-theme-form">';

if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['csrf'] ) && check_csrf( $_POST['csrf'], 'stores_csrf' ) ) {

  if( isset( $_POST['category'] ) && isset( $_FILES['file'] ) && isset( $_POST['field'] ) )
  if( $import = actions::import_stores(
  array(
  'category' => $_POST['category'],
  'file' => $_FILES['file'],
  'omit_first_line' => ( isset( $_POST['omitfirst'] ) ? 1 : 0 ),
  'fields' => $_POST['field']
  ) ) )

  echo '<div class="a-success">' . sprintf( $LANG['msg_storesimported'], $import[0], $import[1] ) . '</div>';
  else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

}

$csrf = $_SESSION['stores_csrf'] = \site\utils::str_random(10);

echo '<div class="form-table">

<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">

<div class="row"><span>' . $LANG['form_in_category'] . ':</span>
<div><select name="category">
<option value="0">' . $LANG['option_no_category'] . '</option>';
foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  echo '<optgroup label="' . $cat['infos']->name . '">';
  echo '<option value="' . $cat['infos']->ID . '">' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      echo '<option value="' . $subcat->ID . '">' . $subcat->name . '</option>';
    }
  }
  echo '</optgroup>';
}
echo '</select></div></div>

<div class="row"><span>' . $LANG['form_csv_file'] . ':</span><div><input type="file" name="file" value="" /></div></div>
<div class="row"><span></span><div><input type="checkbox" name="omitfirst" id="omitfirst" value="1" checked /> <label for="omitfirst"><span></span> ' . $LANG['msg_csvomitfirst'] . '</label></div></div>';

for( $i = 0; $i < (int) $_POST['fields']; $i++ ) {

echo '<div class="row"><span>' . $LANG['form_field'] . ' #' . ($i+1) . ':</span>
<div><select name="field[' . $i . ']">
<option value="">' . $LANG['field_omit'] . '</option>
<option value="name">' . $LANG['field_name'] . '*</option>
<option value="link">' . $LANG['field_link'] . '*</option>
<option value="description">' . $LANG['field_description'] . '</option>
<option value="tags">' . $LANG['field_tags'] . '</option>
<option value="image">' . $LANG['field_image'] . '</option>
<option value="type">' . $LANG['field_store_type'] . '</option>
<option value="sellonline">' . $LANG['field_store_sellonline'] . '</option>
<option value="hours">' . $LANG['field_store_hours'] . '</option>
<option value="locations">' . $LANG['field_store_locations'] . '</option>
<option value="phone">' . $LANG['phone_no'] . '</option>';
echo '</select></div></div>';

}

echo '<input type="hidden" name="ready" value="1" />
<input type="hidden" name="fields" value="' . (int) $_POST['fields'] . '" />
<input type="hidden" name="csrf" value="' . $csrf . '" />
<button class="btn">' . $LANG['button_import'] . '</button>
</form>

</div></div>';

echo '<div id="process-theme">
  <h2>' . $LANG['msg_upload_dleave'] . '</h2>
</div>';

}

break;

/** ADD STORE */

case 'add':

if( !ab_to( array( 'stores' => 'add' ) ) ) die;

echo '<div class="title">

<h2>' . $LANG['stores_add_title'] . '</h2>

<div style="float:right; margin: 0 2px 0 0;">
<a href="?route=stores.php&amp;action=list" class="btn">' . $LANG['stores_view'] . '</a>
</div>';

if( !empty( $LANG['stores_add_subtitle'] ) ) {
  echo '<span>' . $LANG['stores_add_subtitle'] . '</span>';
}

echo '</div>';

if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['csrf'] ) && check_csrf( $_POST['csrf'], 'stores_csrf' ) ) {

  if( isset( $_POST['user'] ) && isset( $_POST['category'] ) && isset( $_POST['name'] ) && isset( $_POST['store_type'] ) && isset( $_POST['url'] ) && isset( $_POST['description'] ) && isset( $_POST['tags'] ) && isset( $_POST['meta_title'] ) && isset( $_POST['meta_keywords'] ) && isset( $_POST['meta_desc'] ) )
  if( actions::add_store(
  array(
  'user' => $_POST['user'],
  'category' => $_POST['category'],
  'name' => $_POST['name'],
  'type' => $_POST['store_type'],
  'url' => $_POST['url'],
  'description' => $_POST['description'],
  'tags' => $_POST['tags'],
  'hours' => ( isset( $_POST['hours-bi'] ) ? array() : $_POST['hours'] ),
  'sellonline' => ( isset( $_POST['sellonline'] ) ? 1 : 0 ),
  'popular' => ( isset( $_POST['popular'] ) ? 1 : 0 ),
  'publish' => ( isset( $_POST['publish'] ) ? 1 : 0 ),
  'logo' => isset( $_FILES['logo'] ) ? $_FILES['logo'] : array(),
  'phone' => $_POST['phone'],
  'meta_title' => $_POST['meta_title'],
  'meta_keywords' => $_POST['meta_keywords'],
  'meta_desc' => $_POST['meta_desc']
  ) ) )

  echo '<div class="a-success">' . $LANG['msg_added'] . '</div>';
  else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

}

$csrf = $_SESSION['stores_csrf'] = \site\utils::str_random(10);

echo '<div class="form-table">

<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">

<div class="row"><span>' . $LANG['form_user_id'] . ':</span><div data-search="user"><input type="text" name="user" value="' . ( $userID = ( isset( $_POST['user'] ) ? (int) $_POST['user'] : ( !empty( $_GET['user'] ) ? (int) $_GET['user'] : $GLOBALS['me']->ID ) ) ) . '" required /><a href="#" class="downarr"></a>';
if( empty( $userID ) || !\query\main::user_exists( $userID ) ) {
  echo '<span id="idinfo"></span>';
} else {
  $user_info = \query\main::user_infos( $userID );
  echo '<span id="idinfo">' . $user_info->name . ' (ID: ' . $user_info->ID . ')</span>';
}
echo '</div></div>

<div class="row"><span>' . $LANG['form_category'] . ':</span>
<div><select name="category">';
foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  echo '<optgroup label="' . $cat['infos']->name . '">';
  echo '<option value="' . $cat['infos']->ID . '">' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      echo '<option value="' . $subcat->ID . '">' . $subcat->name . '</option>';
    }
  }
  echo '</optgroup>';
}
echo '</select></div></div>

<div class="row"><span>' . $LANG['form_name'] . ':</span><div><input type="text" name="name" value="" required /></div></div>

<div class="row"><span>' . $LANG['form_type'] . ':</span>
<div><select name="store_type">';
foreach( array( 0 => $LANG['onlinestore'], 1 => $LANG['physicalstore'] ) as $type_id => $type_msg ) {
  echo '<option value="' . $type_id . '">' . $type_msg . '</option>';
}
echo '</select>
</div></div>

<div class="row" style="display: none;"><span>' . $LANG['form_locations'] . ':</span><div><span class="a-message" style="display: block;">' . $LANG['msg_strcaselocal'] . '</span></div></div>

<div class="row" style="display: none;"><span>' . $LANG['form_hours'] . ':</span>
<div class="hours-info"> <input name="hours-bi" type="checkbox" id="hours-bi"' . ( empty( $info->hours ) ? ' checked' : '' ) . '/> <label for="hours-bi"><span></span> ' . $LANG['msg_blankinfo'] . '</label>
<ul' . ( empty( $info->hours ) ? ' style="display: none;"' : '' ) . '>';
$hours = array( '01:00', '01:15', '01:30', '01:45', '02:00', '02:15', '02:30', '02:45', '03:00', '03:15', '03:30', '03:45', '04:00', '04:15', '04:30', '04:45',
                '05:00', '05:15', '05:30', '05:45', '06:00', '06:15', '06:30', '06:45', '07:00', '07:15', '07:30', '07:45', '08:00', '08:15', '08:30', '08:45',
                '09:00', '09:15', '09:30', '09:45', '10:00', '10:15', '10:30', '11:45', '12:00', '12:15', '12:30', '12:45', '13:00', '13:15', '13:30', '13:45',
                '14:00', '14:15', '14:30', '14:45', '15:00', '15:15', '15:30', '15:45', '16:00', '16:15', '16:30', '16:45', '17:00', '17:15', '17:30', '17:45',
                '18:00', '18:15', '18:30', '18:45', '19:00', '19:15', '19:30', '19:45', '20:00', '20:15', '20:30', '20:45', '21:00', '21:15', '21:30', '21:45',
                '22:00', '22:15', '22:30', '22:45', '23:00', '23:15', '23:30', '23:45', '24:00', '24:15', '24:30', '24:45');

foreach( \site\utils::days_of_week() as $k => $v ) {
  echo '<li>

  <span><input name="hours[' . $k . '][opened]" type="checkbox" value="yes" id="day_' . $k . '" /> <label for="day_' . $k . '"><span></span> ' . $v . '</label></span>';

  echo '<span>
  <select name="hours[' . $k . '][from]">';
  foreach( $hours as $no ) {
    echo '<option value="' . $no . '">' . $no . '</option>';
  }
  echo '</select>
   - <select name="hours[' . $k . '][to]">';
  foreach( $hours as $no ) {
    echo '<option value="' . $no . '">' . $no . '</option>';
  }
  echo '</select>
  </span>

  </li>';
}

echo '</ul></div></div>

<div class="row" style="display: none;"><span>' . $LANG['form_sell_online'] . ':</span><div class="sell_online_cb"><input type="checkbox" id="sellonline" name="sellonline" value="1" /> <label for="sellonline"><span></span> <b>' . $LANG['yes'] . '</b><b>' . $LANG['no'] . '</b></label></div></div>

<div class="row"><span>' . $LANG['form_store_url'] . ':</span><div><input type="text" name="url" value="http://" /></div></div>
<div class="row"><span>' . $LANG['form_description'] . ':</span><div><textarea name="description"></textarea></div></div>
<div class="row"><span>' . $LANG['form_tags'] . ':</span><div><input type="text" name="tags" value="" /></div></div>
<div class="row"><span>' . $LANG['form_logo'] . ':</span><div><input type="file" name="logo" accept="image/*" /></div></div>
<div class="row"><span>' . $LANG['phone_no'] . ':</span><div><input type="text" name="phone" value="" /></div></div>
<div class="row"><span>' . $LANG['form_addto'] . ':</span><div><input type="checkbox" name="popular" id="popular" /> <label for="popular"><span></span> ' . $LANG['coupons_addpopular'] . '</label></div></div>
<div class="row"><span>' . $LANG['form_publish'] . ':</span><div><input type="checkbox" name="publish" id="publish" checked /> <label for="publish"><span></span> ' . $LANG['msg_pubstore'] . '</label></div></div>

<div id="modify_mt" style="display: none; margin-top: 20px;">

<div class="title">
  <h2>' . $LANG['pages_title_meta'] . '</h2>
</div>

<div class="row"><span>' . $LANG['settings_form_metatitle'] . ' <span class="info"><span>' . sprintf( $LANG['settings_form_imetatitle'], '%MONTH%, %YEAR%' ) . '</span></span>:</span><div><input type="text" name="meta_title" value="" /></div></div>
<div class="row"><span>' . $LANG['settings_form_metakeywords'] . ' <span class="info"><span>' . sprintf( $LANG['settings_form_imetatitle'], '%MONTH%, %YEAR%' ) . '</span></span>:</span><div><textarea name="meta_keywords"></textarea></div></div>
<div class="row"><span>' . $LANG['settings_form_metadesc'] . ' <span class="info"><span>' . sprintf( $LANG['settings_form_imetatitle'], '%MONTH%, %YEAR%' ) . '</span></span>:</span><div><textarea name="meta_desc"></textarea></div></div>

</div>

<input type="hidden" name="csrf" value="' . $csrf . '" />

<div class="twocols"><div>
<button class="btn">' . $LANG['stores_add_button'] . '</button></div>
<div>
<a href="#" class="btn" id="modify_mt_but">' . $LANG['pages_editmt_button'] . '</a>
</div>

</form>

</div>';

break;

/** EDIT STORE */

case 'edit':

if( !ab_to( array( 'stores' => 'edit' ) ) ) die;

$csrf = \site\utils::str_random(10);

echo '<div class="title">

<h2>' . $LANG['stores_edit_title'] . '</h2>

<div style="float:right; margin: 0 2px 0 0;">';

if( isset( $_GET['id'] ) && ( $store_exists = \query\main::store_exists( $_GET['id'] ) ) ) {

$info = \query\main::store_infos( $_GET['id'], array( 'nobb' => true ) );

echo '<div class="options">
<a href="#" class="btn">' . $LANG['options'] . '</a>
<ul>';
if( ab_to( array( 'coupons' => 'add' ) ) ) echo '<li><a href="?route=coupons.php&amp;action=add&amp;store=' . $_GET['id'] . '">' . $LANG['coupons_add_button'] . '</a></li>';
if( ab_to( array( 'products' => 'add' ) ) ) echo '<li><a href="?route=products.php&amp;action=add&amp;store=' . $_GET['id'] . '">' . $LANG['products_add_button'] . '</a></li>';
if( ab_to( array( 'stores' => 'delete' ) ) ) echo '<li><a href="?route=stores.php&amp;action=delete&amp;id=' . $_GET['id'] . '&amp;token=' . $csrf . '" data-delete-msg="' . $LANG['delete_store'] . '">' . $LANG['delete'] . '</a></li>';
if( $info->visible ) {
  echo '<li><a href="?route=stores.php&amp;action=list&amp;type=unpublish&amp;id=' . $_GET['id'] . '&amp;token=' . $csrf . '">' . $LANG['unpublish'] . '</a></li>';
} else {
  echo '<li><a href="?route=stores.php&amp;action=list&amp;type=publish&amp;id=' . $_GET['id'] . '&amp;token=' . $csrf . '">' . $LANG['publish'] . '</a></li>';
}
echo '</ul>
</div>';

}

echo '<a href="?route=stores.php&amp;action=list" class="btn">' . $LANG['stores_view'] . '</a>
</div>';

if( !empty( $LANG['stores_edit_subtitle'] ) ) {
  echo '<span>' . $LANG['stores_edit_subtitle'] . '</span>';
}

echo '</div>';

if( $store_exists ) {

if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['csrf'] ) && check_csrf( $_POST['csrf'], 'stores_csrf' ) ) {

if( isset( $_POST['change_url_title'] ) ) {

  if( isset( $_POST['url_title'] ) )
  if( actions::edit_store_url( $_GET['id'],
  array(
  'title' => $_POST['url_title']
  ) ) ) {

  $info = \query\main::store_infos( $_GET['id'], array( 'nobb' => true ) );

  echo '<div class="a-success">' . $LANG['msg_saved'] . '</div>';
  } else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

} else {

  if( isset( $_POST['user'] ) && isset( $_POST['category'] ) && isset( $_POST['name'] ) && isset( $_POST['store_type'] ) && isset( $_POST['url'] ) && isset( $_POST['tags'] ) && isset( $_POST['description'] ) && isset( $_POST['phone'] ) && isset( $_POST['meta_title'] ) && isset( $_POST['meta_keywords'] ) && isset( $_POST['meta_desc'] ) )
  if( actions::edit_store( $_GET['id'],
  array(
  'user' => $_POST['user'],
  'category' => $_POST['category'],
  'name' => $_POST['name'],
  'type' => $_POST['store_type'],
  'url' => $_POST['url'],
  'tags' => $_POST['tags'],
  'description' => $_POST['description'],
  'hours' => ( isset( $_POST['hours-bi'] ) ? array() : $_POST['hours'] ),
  'sellonline' => ( isset( $_POST['sellonline'] ) ? 1 : 0 ),
  'logo' => isset( $_FILES['logo'] ) ? $_FILES['logo'] : array(),
  'phone' => $_POST['phone'],
  'popular' => ( isset( $_POST['popular'] ) ? 1 : 0 ),
  'publish' => ( isset( $_POST['publish'] ) ? 1 : 0 ),
  'meta_title' => $_POST['meta_title'],
  'meta_keywords' => $_POST['meta_keywords'],
  'meta_desc' => $_POST['meta_desc']
  ) ) ) {

  $info = \query\main::store_infos( $_GET['id'], array( 'nobb' => true ) );

  echo '<div class="a-success">' . $LANG['msg_saved'] . '</div>';
  } else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

}

} else if( isset( $_GET['type'] ) && isset( $_GET['token'] ) && check_csrf( $_GET['token'], 'stores_csrf' ) ) {

if( $_GET['type'] == 'delete_image' ) {

  if( actions::delete_store_image( $_GET['id'] ) ) {
  $info->image = '';
  echo '<div class="a-success">' . $LANG['msg_deleted'] . '</div>';
  } else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

} else if( $_GET['type'] == 'delete_location' ) {

  if( isset( $_GET['locID'] ) )
  if( actions::delete_store_location( $_GET['locID'] ) )
  echo '<div class="a-success">' . $LANG['msg_deleted'] . '</div>';
  else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

}

}

$_SESSION['stores_csrf'] = $csrf;

echo '<div class="form-table">

<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">

<div class="row"><span>' . $LANG['form_user_id'] . ':</span><div data-search="user"><input type="text" name="user" value="' . $info->userID . '" required /><a href="#" class="downarr"></a>
<span id="idinfo">' . ( !empty( $info->user_name ) ? $info->user_name . ' (ID: ' . $info->userID . ')' : '' ) . '</span>
</div></div>

<div class="row"><span>' . $LANG['form_category'] . ':</span>
<div><select name="category">';
foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  echo '<optgroup label="' . $cat['infos']->name . '">';
  echo '<option value="' . $cat['infos']->ID . '"' . ( $info->catID == $cat['infos']->ID ? ' selected' : '' ) . '>' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      echo '<option value="' . $subcat->ID . '"' . ( $info->catID == $subcat->ID ? ' selected' : '' ) . '>' . $subcat->name . '</option>';
    }
  }
  echo '</optgroup>';
}
echo '</select></div></div>

<div class="row"><span>' . $LANG['form_name'] . ':</span><div><input type="text" name="name" value="' . $info->name . '" required /></div></div>

<div class="row"><span>' . $LANG['form_type'] . ':</span>
<div><select name="store_type">';
foreach( array( 0 => $LANG['onlinestore'], 1 => $LANG['physicalstore'] ) as $type_id => $type_msg ) {
  echo '<option value="' . $type_id . '"' . ( $type_id == 1 && !$info->is_physical ? '' : ' selected' ) . '>' . $type_msg . '</option>';
}

echo '</select>';
if( $info->is_physical ) echo '<span class="a-error" style="display: none; margin: 5px 0 0 0; width: 100%; box-sizing: border-box;">' . $LANG['msg_strcaseonline'] . '</span>';
echo '</div></div>

<div class="row"' . ( !$info->is_physical ? ' style="display: none;"' : '' ) . '><span>' . $LANG['form_locations'] . ':</span>
<div class="locations-info">';

if( !$info->is_physical ) {
  echo '<div class="a-message">' . $LANG['msg_physicalfirst'] . '</div>';

} else {

if( \query\locations::store_locations( array( 'store' => $info->ID ) ) ) {

echo '<ul>';
foreach( \query\locations::while_store_locations( array( 'max' => 0, 'store' => $info->ID ) ) as $loc ) {
  echo '<li>' . implode( array_filter( array( $loc->zip, $loc->country, $loc->state, $loc->city, $loc->address ) ), ', ' ) . ' <a href="?route=locations.php&amp;action=edit_store_location&amp;id=' . $loc->ID . '">' . $LANG['edit'] . '</a> <a href="?route=stores.php&amp;action=edit&amp;id=' . $_GET['id'] . '&amp;type=delete_location&amp;locID=' . $loc->ID . '&amp;token=' . $csrf . '" data-delete-msg="' . $LANG['delete_msg'] . '">' . $LANG['delete'] . '</a></li>';
}
echo '</ul>';

} else {
  echo '<div class="a-message">' . $LANG['msg_no_locations'] . '</div>';
}

echo '<a href="?route=locations.php&amp;action=add_store_location&amp;id=' . (int) $_GET['id'] . '">' . $LANG['add'] . '</a>';

}

echo '</div></div>

<div class="row"' . ( !$info->is_physical ? ' style="display: none;"' : '' ) . '><span>' . $LANG['form_hours'] . ':</span>
<div class="hours-info"> <input name="hours-bi" type="checkbox" id="hours-bi"' . ( empty( $info->hours ) ? ' checked' : '' ) . '/> <label for="hours-bi"><span></span> ' . $LANG['msg_blankinfo'] . '</label>
<ul' . ( empty( $info->hours ) ? ' style="display: none;"' : '' ) . '>';
$hours = array( '01:00', '01:15', '01:30', '01:45', '02:00', '02:15', '02:30', '02:45', '03:00', '03:15', '03:30', '03:45', '04:00', '04:15', '04:30', '04:45',
                '05:00', '05:15', '05:30', '05:45', '06:00', '06:15', '06:30', '06:45', '07:00', '07:15', '07:30', '07:45', '08:00', '08:15', '08:30', '08:45',
                '09:00', '09:15', '09:30', '09:45', '10:00', '10:15', '10:30', '11:45', '12:00', '12:15', '12:30', '12:45', '13:00', '13:15', '13:30', '13:45',
                '14:00', '14:15', '14:30', '14:45', '15:00', '15:15', '15:30', '15:45', '16:00', '16:15', '16:30', '16:45', '17:00', '17:15', '17:30', '17:45',
                '18:00', '18:15', '18:30', '18:45', '19:00', '19:15', '19:30', '19:45', '20:00', '20:15', '20:30', '20:45', '21:00', '21:15', '21:30', '21:45',
                '22:00', '22:15', '22:30', '22:45', '23:00', '23:15', '23:30', '23:45', '24:00', '24:15', '24:30', '24:45');

foreach( \site\utils::days_of_week() as $k => $v ) {
  echo '<li>

  <span><input name="hours[' . $k . '][opened]" type="checkbox" value="yes" id="day_' . $k . '"' . ( isset( $info->hours[$k]['opened'] ) ? ' checked' : '' ) . ' /> <label for="day_' . $k . '"><span></span> ' . $v . '</label></span>';
  echo '<span>
  <select name="hours[' . $k . '][from]">';
  foreach( $hours as $no ) {
    echo '<option value="' . $no . '"' . ( isset( $info->hours[$k]['from'] ) && $info->hours[$k]['from'] == $no ? ' selected' : '' ) . '>' . $no . '</option>';
  }
  echo '</select>
   - <select name="hours[' . $k . '][to]">';
  foreach( $hours as $no ) {
    echo '<option value="' . $no . '"' . ( isset( $info->hours[$k]['to'] ) && $info->hours[$k]['to'] == $no ? ' selected' : '' ) . '>' . $no . '</option>';
  }
  echo '</select>
  </span>

  </li>';
}
echo '</ul></div></div>

<div class="row"' . ( !$info->is_physical ? ' style="display:none;"' : '' ) . '><span>' . $LANG['form_sell_online'] . ':</span><div class="sell_online_cb"><input type="checkbox" id="sellonline" name="sellonline" value="1"' . ( $info->sellonline2 ? ' checked' : '' ) . ' /> <label for="sellonline"><span></span> <b>' . $LANG['yes'] . '</b><b>' . $LANG['no'] . '</b></label></div></div>

<div class="row"><span>' . $LANG['form_store_url'] . ':</span><div><input type="text" name="url" value="' . $info->url . '" /></div></div>
<div class="row"><span>' . $LANG['form_description'] . ':</span><div><textarea name="description">' . $info->description . '</textarea></div></div>
<div class="row"><span>' . $LANG['form_tags'] . ':</span><div><input type="text" name="tags" value="' . $info->tags . '" /></div></div>
<div class="row"><span>' . $LANG['form_logo'] . ':</span>

<div>
<div style="display:table;margin-bottom:2px;"><img src="' . \query\main::store_avatar( $info->image ) . '" class="avt" alt="" style="display:table-cell;max-width:100px;height:50px;margin:0 20px 5px 0;" />
<div style="display:table-cell;vertical-align:middle;margin-left:25px;">';
if( !empty( $info->image ) ) echo '<a href="' . \site\utils::update_uri( '', array( 'type' => 'delete_image', 'token' => $csrf ) ) . '" class="btn" data-delete-msg="' . $LANG['delete_msg'] . '">' . $LANG['delete'] . '</a>';
echo '</div>
</div>

<input type="file" name="logo" accept="image/*" />
</div> </div>

<div class="row"><span>' . $LANG['phone_no'] . ':</span><div><input type="text" name="phone" value="' . $info->phone_no . '" /></div></div>

<div class="row"><span>' . $LANG['form_addto'] . ':</span><div><input type="checkbox" name="popular" id="popular"' . ( $info->is_popular ? ' checked' : '' ) . ' /> <label for="popular"><span></span> ' . $LANG['coupons_addpopular'] . '</label></div></div>
<div class="row"><span>' . $LANG['form_publish'] . ':</span><div><input type="checkbox" name="publish" id="publish"' . ( $info->visible ? ' checked' : '' ) . ' /> <label for="publish"><span></span> ' . $LANG['msg_pubstore'] . '</label></div></div>

<div id="modify_mt" style="display: none; margin-top: 20px;">

<div class="title">
  <h2>' . $LANG['pages_title_meta'] . '</h2>
</div>

<div class="row"><span>' . $LANG['settings_form_metatitle'] . ' <span class="info"><span>' . sprintf( $LANG['settings_form_imetatitle'], '%MONTH%, %YEAR%' ) . '</span></span>:</span><div><input type="text" name="meta_title" value="' . $info->meta_title . '" /></div></div>
<div class="row"><span>' . $LANG['settings_form_metakeywords'] . ' <span class="info"><span>' . sprintf( $LANG['settings_form_imetatitle'], '%MONTH%, %YEAR%' ) . '</span></span>:</span><div><textarea name="meta_keywords">' . $info->meta_keywords . '</textarea></div></div>
<div class="row"><span>' . $LANG['settings_form_metadesc'] . ' <span class="info"><span>' . sprintf( $LANG['settings_form_imetatitle'], '%MONTH%, %YEAR%' ) . '</span></span>:</span><div><textarea name="meta_desc">' . $info->meta_description . '</textarea></div></div>

</div>

<input type="hidden" name="csrf" value="' . $csrf . '" />

<div class="twocols"><div>
<button class="btn">' . $LANG['stores_edit_button'] . '</button></div>
<div>
<a href="#" class="btn" id="modify_mt_but">' . $LANG['pages_editmt_button'] . '</a>
</div>

</form>

</div>';

echo '<div class="title" style="margin-top: 40px;">

<h2>' . $LANG['stores_infos_title'] . '</h2>

</div>';

echo '<div class="infos-table" id="infos-table" style="padding-bottom: 20px;">

<form action="?route=stores.php&amp;action=edit&amp;id=' . $info->ID . '#infos-table" method="POST" autocomplete="off">

<div class="row"><span>ID:</span> <div>' . $info->ID . '</div></div>
<div class="row"><span>' . $LANG['views'] . ':</span> <div>' . $info->views . '</div></div>
<div class="row"><span>' . $LANG['page_url'] . ':</span> <div class="modify_url">
<div' . ( isset( $_GET['editurl'] ) ? ' style="display: none;"' : '' ) . '><a href="' . $info->link . '" target="_blank">' . $info->link . '</a> / <a href="?route=stores.php&amp;action=edit&amp;id=' . $info->ID . '&amp;editurl#infos-table">' . $LANG['edit'] . '</a></div>
<div' . ( !isset( $_GET['editurl'] ) ? ' style="display: none;"' : '' ) . '>
<input type="text" name="url_title" value="' . $info->url_title . '" placeholder="' . $info->name . '" style="display: block; width: 100%; box-sizing: border-box;" />
<input type="hidden" name="csrf" value="' . $csrf . '" />
<button name="change_url_title" class="btn save">' . $LANG['save'] . '</button> <a href="?route=stores.php&amp;action=edit&amp;id=' . $info->ID . '#infos-table" class="btn close">' . $LANG['cancel'] . '</a>
</div>
</div></div>
<div class="row"><span>' . $LANG['owner'] . ':</span> <div>' . ( empty( $info->user_name ) ? '-' : ( ab_to( array( 'users' => 'edit' ) ) ? '<a href="?route=users.php&amp;action=edit&amp;id=' . $info->userID . '">' . $info->user_name . '</a>' : $info->user_name ) ) . '</div></div>
<div class="row"><span>' . $LANG['last_update_by'] . ':</span> <div>' . ( empty( $info->lastupdate_by_name ) ? '-' : ( ab_to( array( 'users' => 'edit' ) ) ? '<a href="?route=users.php&amp;action=edit&amp;id=' . $info->lastupdate_by . '">' . $info->lastupdate_by_name . '</a>' : $info->lastupdate_by_name ) ) . '</div></div>
<div class="row"><span>' . $LANG['last_update_on'] . ':</span> <div>' . $info->last_update . '</div></div>
<div class="row"><span>' . $LANG['coupons'] . ':</span> <div>' . ( ab_to( array( 'coupons' => 'view' ) ) ? '<a href="?route=coupons.php&amp;action=list&amp;store=' . $info->ID . '">' . $info->coupons . '</a>' : $info->coupons ) . ( ab_to( array( 'coupons' => 'add' ) ) ? ' / <a href="?route=coupons.php&amp;action=add&amp;store=' . $info->ID . '&amp;category=' . $info->catID . '">' . $LANG['coupons_add_button'] . '</a>' : '' ) . '</div></div>
<div class="row"><span>' . $LANG['products'] . ':</span> <div>' . ( ab_to( array( 'products' => 'view' ) ) ? '<a href="?route=products.php&amp;action=list&amp;store=' . $info->ID . '">' . $info->products . '</a>' : $info->products ) . ( ab_to( array( 'products' => 'add' ) ) ? ' / <a href="?route=products.php&amp;action=add&amp;store=' . $info->ID . '&amp;category=' . $info->catID . '">' . $LANG['products_add_button'] . '</a>' : '' ) . '</div></div>
<div class="row"><span>' . $LANG['reviews'] . ':</span> <div>' . ( ab_to( array( 'reviews' => 'view' ) ) ? '<a href="?route=reviews.php&amp;action=list&amp;store=' . $info->ID . '">' . $info->reviews . '</a>' : $info->reviews ) . ( ab_to( array( 'reviews' => 'add' ) ) ? ' / <a href="?route=reviews.php&amp;action=add&amp;store=' . $info->ID . '">' . $LANG['reviews_add_button'] . '</a>' : '' ) . '</div></div>
<div class="row"><span>' . $LANG['added_on'] . ':</span> <div>' . $info->date . '</div></div>

</form>

</div>';

} else echo '<div class="a-error">' . $LANG['invalid_id'] . '</div>';

break;

/** LIST OF STORES */

default:

if( !ab_to( array( 'stores' => 'view' ) ) ) die;

echo '<div class="title">

<h2>' . $LANG['stores_title'] . '</h2>';

echo '<div style="float:right; margin: 0 2px 0 0;">';

if( ( $ab = ab_to( array( 'stores' => array( 'export', 'import' ) ) ) ) && list( $ab_exp, $ab_imp ) = $ab ) {

echo '<div class="options">
<a href="#" class="btn">' . $LANG['options'] . '</a>
<ul>';
if( $ab_imp ) echo '<li><a href="?route=stores.php&amp;action=import">' . $LANG['import'] . '</a></li>';
if( $ab_exp ) echo '<li><a href="?route=stores.php&amp;action=export">' . $LANG['export'] . '</a></li>';

echo '</ul>
</div>';

}

if( $ab_add = ab_to( array( 'stores' => 'add' ) ) ) echo '<a href="?route=stores.php&amp;action=add" class="btn">' . $LANG['stores_add'] . '</a>';
echo '</div>';

if( !empty( $LANG['stores_subtitle'] ) ) {
  echo '<span>' . $LANG['stores_subtitle'] . '</span>';
}

echo '</div>';

if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['csrf'] ) && check_csrf( $_POST['csrf'], 'stores_csrf' ) ) {

if( isset( $_POST['delete'] ) ) {

  if( isset( $_POST['id'] ) )
  if( actions::delete_store( array_keys( $_POST['id'] ) ) )
  echo '<div class="a-success">' . $LANG['msg_deleted'] . '</div>';
  else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

} else if( isset( $_POST['change_cat'] ) ) {

  if( isset( $_POST['id'] ) && isset( $_POST['category'] ) )
  if( actions::change_store_category( array_keys( $_POST['id'] ), $_POST['category'] ) )
  echo '<div class="a-success">' . $LANG['msg_changed'] . '</div>';
  else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

} else if( isset( $_POST['set_action'] ) ) {

  if( isset( $_POST['id'] ) && isset( $_POST['action'] ) )
  if( actions::action_store( $_POST['action'], array_keys( $_POST['id'] ) ) )
  echo '<div class="a-success">' . $LANG['msg_saved'] . '</div>';
  else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

}

} else if( isset( $_GET['action'] ) && isset( $_GET['token'] ) && check_csrf( $_GET['token'], 'stores_csrf' ) ) {

if( $_GET['action'] == 'delete' ) {

  if( isset( $_GET['id'] ) )
  if( actions::delete_store( $_GET['id'] ) )
  echo '<div class="a-success">' . $LANG['msg_deleted'] . '</div>';
  else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

} else if( $_GET['type'] == 'publish' || $_GET['type'] == 'unpublish' ) {

  if( isset( $_GET['id'] ) )
  if( actions::action_store( $_GET['type'], $_GET['id'] ) )
  echo '<div class="a-success">' . $LANG['msg_saved'] . '</div>';
  else
  echo '<div class="a-error">' . $LANG['msg_error'] . '</div>';

}

}

$csrf = $_SESSION['stores_csrf'] = \site\utils::str_random(10);

echo '<div class="page-toolbar">

<form action="#" method="GET" autocomplete="off">
<input type="hidden" name="route" value="stores.php" />
<input type="hidden" name="action" value="list" />

' . $LANG['order_by'] . ':
<select name="orderby">';
foreach( array( 'date' => $LANG['order_date'], 'date desc' => $LANG['order_date_desc'], 'name' => $LANG['order_name'], 'name desc' => $LANG['order_name_desc'], 'votes' => $LANG['order_votes'], 'votes desc' => $LANG['order_votes_desc'], 'rating' => $LANG['order_rating'], 'rating desc' => $LANG['order_rating_desc'], 'views' => $LANG['order_views'], 'views desc' => $LANG['order_views_desc'], 'update' => $LANG['order_last_update'], 'update desc' => $LANG['order_last_update_desc'] ) as $k => $v )echo '<option value="' . $k . '"' . (isset( $_GET['orderby'] ) && urldecode( $_GET['orderby'] ) == $k || !isset( $_GET['orderby'] ) && $k == 'date desc' ? ' selected' : '') . '>' . $v . '</option>';
echo '</select>

 <select name="category">
<option value="">' . $LANG['all_categories'] . '</option>';
foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  echo '<optgroup label="' . $cat['infos']->name . '">';
  echo '<option value="' . $cat['infos']->ID . '"' . ( isset( $_GET['category'] ) && $_GET['category'] == $cat['infos']->ID ? ' selected' : '' ) . '>' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      echo '<option value="' . $subcat->ID . '"' . ( isset( $_GET['category'] ) && $_GET['category'] == $subcat->ID ? ' selected' : '' ) . '>' . $subcat->name . '</option>';
    }
  }
  echo '</optgroup>';
}
echo '</select>';

if( isset( $_GET['search'] ) ) {
echo '<input type="hidden" name="search" value="' . htmlspecialchars( $_GET['search'] ) . '" />';
}

echo ' <button class="btn">' . $LANG['view'] . '</button>

</form>

<form action="#" method="GET" autocomplete="off">
<input type="hidden" name="route" value="stores.php" />
<input type="hidden" name="action" value="list" />';

if( isset( $_GET['orderby'] ) ) {
echo '<input type="hidden" name="orderby" value="' . htmlspecialchars( $_GET['orderby'] ) . '" />';
}

if( isset( $_GET['category'] ) ) {
echo '<input type="hidden" name="category" value="' . htmlspecialchars( $_GET['category'] ) . '" />';
}

echo '<input type="search" name="search" value="' . (isset( $_GET['search'] ) ? htmlspecialchars( $_GET['search'] ) : '') . '" placeholder="' . $LANG['stores_search_input'] . '" />
<button class="btn">' . $LANG['search'] . '</button>
</form>

</div>';

$p = \query\main::have_stores( $options = array( 'per_page' => 10, 'user' => (isset( $_GET['user'] ) ? $_GET['user'] : ''), 'categories' => (isset( $_GET['category'] ) ? $_GET['category'] : ''), 'show' => (isset( $_GET['view'] ) ? $_GET['view'] : 'all'), 'search' => (isset( $_GET['search'] ) ? urldecode( $_GET['search'] ) : '') ) );

echo '<div class="results">' . ( (int) $p['results'] === 1 ? sprintf( $LANG['result'], $p['results'] ) : sprintf( $LANG['results'], $p['results'] ) );
if( !empty( $_GET['user'] ) || !empty( $_GET['category'] ) || !empty( $_GET['view'] ) || !empty( $_GET['search'] ) ) echo ' / <a href="?route=stores.php&amp;action=list">' . $LANG['reset_view'] . '</a>';
echo '</div>';

if( $p['results'] ) {

echo '<form action="?route=stores.php&amp;action=list" method="POST">

<ul class="elements-list">

<li class="head"><input type="checkbox" id="selectall" data-checkall /> <label for="selectall"><span></span></label> ' . $LANG['name'] . '</li>';

$ab_edt  = ab_to( array( 'stores' => 'edit' ) );
$ab_del  = ab_to( array( 'stores' => 'delete' ) );
$feed_view = ab_to( array( 'feed' => 'view' ) );
$ab_add_co = ab_to( array( 'coupons' => 'add' ) );
$ab_view_co = ab_to( array( 'coupons' => 'view' ) );
$ab_add_pr = ab_to( array( 'products' => 'add' ) );
$ab_view_pr = ab_to( array( 'products' => 'view' ) );

if( $ab_edt || $ab_del ) {
echo '<div class="bulk_options">';

  if( $ab_del ) echo '<button class="btn" name="delete" data-delete-msg="' . $LANG['delete_store'] . '">' . $LANG['delete_all'] . '</button> ';

  if( $ab_edt ) {

    echo $LANG['action'] . ':
    <select name="action">';
    foreach( array( 'publish' => $LANG['publish'], 'unpublish' => $LANG['unpublish'] ) as $k => $v )echo '<option value="' . $k . '">' . $v . '</option>';
    echo '</select>
    <button class="btn" name="set_action">' . $LANG['set_all'] . '</button> ';

    echo $LANG['category'] . ':
    <select name="category">';
    foreach( \query\main::while_categories( array( 'max' => 0 ) ) as $cat )echo '<option value="' . $cat->ID . '">' . $cat->name . '</option>';
    echo '</select>
    <button class="btn" name="change_cat">' . $LANG['move_all'] . '</button>';
  }

echo '</div>';
}

foreach( \query\main::while_stores( array_merge( array( 'orderby' => (isset( $_GET['orderby'] ) ? urldecode( $_GET['orderby'] ) : 'date desc') ), $options ) ) as $item ) {

  echo '<li>
  <div>

  <input type="checkbox" name="id[' . $item->ID . ']" id="id[' . $item->ID . ']" /> <label for="id[' . $item->ID . ']"><span></span></label>

  <img src="' . \query\main::store_avatar( $item->image ) . '" alt="" style="width:80px;" />

  <div class="info-div"><h2>' . ( !$item->visible ? '<span class="msg-error">' . $LANG['notpublished'] . '</span> ' : '' ) . ( $item->feedID !== 0 ? '<span class="msg-alert" title="' . $LANG['added_through_feed_msg'] . '">' . $LANG['added_through_feed'] . '</span> ' : '' ) . $item->name . '
  <span class="fright date">' . date( 'Y.m.d, ' . (\query\main::get_option( 'hour_format' ) == 12 ? 'g:i A' : 'G:i'), strtotime( $item->date ) ) . '</span></h2>';
  if( $ab_view_co ) {
    echo ( empty( $item->coupons ) ? $LANG['no_coupons_store'] : '<a href="?route=coupons.php&amp;store=' . $item->ID . '">' . sprintf( $LANG['nr_coupons_store'], $item->coupons ) . '</a>' );
    if( $ab_view_pr ) {
      echo '<br />';
    }
  }
  if( $ab_view_pr ) {
  echo ( empty( $item->products ) ? $LANG['no_products_store'] : '<a href="?route=products.php&amp;store=' . $item->ID . '">' . sprintf( $LANG['nr_products_store'], $item->products ) . '</a>' );
  }
  echo '</div>

  </div>

  <div style="clear:both;"></div>

  <div class="options">';
  if( $ab_edt ) {
  echo '<a href="?route=stores.php&amp;action=edit&amp;id=' . $item->ID . '">' . $LANG['edit'] . '</a>';
  echo '<a href="' . \site\utils::update_uri( '', array( 'type' => ( !$item->visible ? 'publish' : 'unpublish' ), 'id' => $item->ID, 'token' => $csrf ) ) . '">' . ( !$item->visible ? $LANG['publish'] : $LANG['unpublish'] ) . '</a>';
  }
  if( $ab_add_co ) echo '<a href="?route=coupons.php&amp;action=add&amp;store=' . $item->ID . '&amp;category=' . $item->catID . '">' . $LANG['coupons_add_button'] . '</a>';
  if( $ab_add_pr ) echo '<a href="?route=products.php&amp;action=add&amp;store=' . $item->ID . '&amp;category=' . $item->catID . '">' . $LANG['products_add_button'] . '</a>';
  if( $ab_del ) echo '<a href="' . \site\utils::update_uri( '', array( 'action' => 'delete', 'id' => $item->ID, 'token' => $csrf ) ) . '" data-delete-msg="' . $LANG['delete_store'] . '">' . $LANG['delete'] . '</a>';
  if( $feed_view && $item->feedID !== 0 ) {
  echo '<a href="?route=feed.php&amp;action=coupons&amp;store=' . $item->feedID . '">' . $LANG['feed_coupons_link'] . '</a>';
  echo '<a href="?route=feed.php&amp;action=products&amp;store=' . $item->feedID . '">' . $LANG['feed_products_link'] . '</a>';
  }

  echo '</div>
  </li>';

}

echo '</ul>

<input type="hidden" name="csrf" value="' . $csrf . '" />

</form>';

if( isset( $p['prev_page'] ) || isset( $p['next_page'] ) ) {
  echo '<div class="pagination">';

  if( isset( $p['prev_page'] ) ) echo '<a href="' . $p['prev_page'] . '" class="btn">' . $LANG['prev_page'] . '</a>';
  if( isset( $p['next_page'] ) ) echo '<a href="' . $p['next_page'] . '" class="btn">' . $LANG['next_page'] . '</a>';

  if( $p['pages'] > 1 ) {
  echo '<div class="pag_goto">' . sprintf( $LANG['pageofpages'], $page = $p['page'], $pages = $p['pages'] ) . '
  <form action="#" method="GET">';
  foreach( $_GET as $gk => $gv ) if( $gk !== 'page' ) echo '<input type="hidden" name="' . htmlspecialchars( $gk ) . '" value="' . htmlspecialchars( $gv ) . '" />';
  echo '<input type="number" name="page" min="1" max="' . $pages . '" size="5" value="' . $page . '" />
  <button class="btn">' . $LANG['go'] . '</button>
  </form>
  </div>';
  }

  echo '</div>';
}

} else echo '<div class="a-alert">' . $LANG['no_stores_yet'] . '</div>';

break;

}