<?php

function register_widgets() {
  $widgets['right'] = array('name' => 'Right Side Widgets', 'description' => 'Appears on the right side of the page.');
  return $widgets;
}

// do not delete this function, it is an important part of this theme
function theme_has_rewards() {
  return true;
}

// do not delete this function, it is an important part of this theme
function theme_has_products() {
  return true;
}

// user theme
function user_theme() {
  if( isset( $_GET['switch_theme'] ) && $_GET['switch_theme'] !== 'default' && file_exists( __DIR__ . '/style_' . $_GET['switch_theme'] . '.css' ) ) {
    return 'style_' . $_GET['switch_theme'] . '.css';
  } else if( !isset( $_GET['switch_theme'] ) && isset( $_COOKIE['user-theme'] ) && file_exists( __DIR__ . '/' . $_COOKIE['user-theme'] . '.css' ) ) {
    return $_COOKIE['user-theme'] . '.css';
  }
  return 'style.css';
}

// show coupon voting procentage
function coupon_votes( $rating = 100, $votes = 0 ) {
  $rating = (int) $rating;
  // stop script to be embarrassing :)
  if( $rating < 0 ) $rating = 0;
  if( $rating > 100 )$rating = 100;

  if( $rating == 0 && $votes == 0 ) return '<span class="works">100%</span>';
  if( $rating >= 50 ) {
    return '<span class="works">' . $rating . '%</span>';
  }
  return '<span class="dwork">' . $rating . '%</span>';
}

// data string format
function dateFormat() {
  return 'm/d/y';
}