<div class="left">

<?php

if( exists() ) {

$item = the_item();

echo '<article class="array_item product">

<div class="table" itemscope itemtype="http://data-vocabulary.org/Review-aggregate">

<div class="left">
<img src="' . product_avatar( $item->image ) . '" alt="" itemprop="photo" />
<span class="rating"><span style="width:' . ( $item->stars * 16 ) . 'px;"></span></span>
<div itemprop="rating" itemscope itemtype="http://data-vocabulary.org/Rating">
<span itemprop="average" style="display: none;">' . number_format( $item->stars, 2 ) . '</span>
<span itemprop="best" style="display: none;">5</span>
</div>
<a href="' . $item->store_reviews_link . '"><span itemprop="votes">' . $item->reviews . '</span> reviews</a>
</div>

<div class="right">
<div class="title">' . ( !empty( $item->cashback ) ? '<span class="tooltip reward" title="Great! Purchase this product and you\'ll receive ' . $item->cashback . ' points.">' . $item->cashback . '</span> ' : '' ) . $item->title . '</div>';
if( !empty( $item->price ) ) {
  echo '<div class="price_info">Price: <span class="price">' . ( empty( $item->old_price ) ? '' : '<span>' . price_format( $item->old_price ) . '</span>' ) . price_format( $item->price ) . ' ' . $item->currency . '</span></div>';
}
echo 'Products for <a href="' . $item->store_link . '"><span itemprop="itemreviewed">' . $item->store_name . '</span></a>
<div class="description">' . ( !empty( $item->description ) ? nl2br( $item->description ) : 'no description' ) . '</div>

<ul class="details" style="display: block;">
<li><span>Available Online:</span> <b>' . ( $item->is_available_online ? 'Yes' : 'No' ) . '</b></li>
<li><span>Product Added:</span> <b>' . timeago( strtotime( $item->date ), 'seconds' ) . ' ago</b></li>';
if( $item->is_expired ) echo '<li><span>Expired on:</span> <b class="expired">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else if( !$item->is_started ) echo '<li><span>Starts on:</span> <b class="notstarted">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else echo '<li><span>Expiration:</span> <b class="active">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
echo '</ul>

<div>';
if( $item->is_available_online ) {
  echo '<a href="' . tlink( 'plugin/click', 'product=' . $item->ID ) . '" target="_blank" class="btn-e">Purchase</a> ';
}
if( !empty( $item->store_url ) ) {
  echo '<a href="' . tlink( 'plugin/click', 'id=' . $item->storeID ) . '" target="_blank" class="btn-e">Open website</a>';
}
echo '</div>
</div>

</div>

<div class="share-coupon" style="display: block;">

Share on social networks or copy the link and share anywhere:

<div class="shareto">

<ul>
<li class="tooltip share-fb" title="Share this on Facebook"><a href="#" onclick="openwindow(\'https://www.facebook.com/sharer/sharer.php?u=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-tw" title="Share this on Twitter"><a href="#" onclick="openwindow(\'https://twitter.com/home?status=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-go" title="Share this on Google+"><a href="#" onclick="openwindow(\'https://plus.google.com/share?url=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-li" title="Share this on Linkedin"><a href="#" onclick="openwindow(\'https://www.linkedin.com/shareArticle?mini=true&amp;url=' . $item->link . '&amp;title=' . $item->title . '&amp;summary=&amp;source=\', 500, 500, \'yes\');"></a></li>
</ul>

<input type="text" value="' . $item->link . '" onclick="$(this).select();" />

</div>

</div>

</article>';

} else {

  echo '<div class="info_form">Oops. This product is no longer available !</div>';

}

echo '<div class="text-tit" style="margin-top: 15px;">See other products:</div>';

foreach( products_custom( array( 'show' => ',active', 'orderby' => 'rand', 'max' => option('items_per_page') ) ) as $item ) {

echo '<article class="array_item product">

<div class="table">

<div class="left">
<img src="' . product_avatar( $item->image ) . '" alt="">
<span class="rating"><span style="width:' . ( $item->stars * 16 ) . 'px;"></span></span>
<a href="' . $item->store_reviews_link . '">' . $item->reviews . ' reviews</a>
</div>

<div class="right">
<a href="' . $item->link . '" class="title">' . ( !empty( $item->cashback ) ? '<span class="tooltip reward" title="Great! Purchase this product and you\'ll receive ' . $item->cashback . ' points.">' . $item->cashback . '</span> ' : '' ) . $item->title . '</a>';
if( !empty( $item->price ) ) {
  echo '<div class="price_info">Price: <span class="price">' . ( empty( $item->old_price ) ? '' : '<span>' . price_format( $item->old_price ) . '</span>' ) . price_format( $item->price ) . ' ' . $item->currency . '</span></div>';
}
echo 'Products for <a href="' . get_update( array( 'type' => 'products' ), $item->store_link ) . '">' . $item->store_name . '</a>
<div class="description">' . ( !empty( $item->description ) ? nl2br( $item->description ) : 'no description' ) . '</div>

<ul class="details">
<li><span>Available Online:</span> <b>' . ( $item->is_available_online ? 'Yes' : 'No' ) . '</b></li>
<li><span>Product Added:</span> <b>' . timeago( strtotime( $item->date ), 'seconds' ) . ' ago</b></li>';
if( $item->is_expired ) echo '<li><span>Expired on:</span> <b class="expired">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else if( !$item->is_started ) echo '<li><span>Starts on:</span> <b class="notstarted">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else echo '<li><span>Expiration:</span> <b class="active">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
echo '</ul>

<div class="links">
<a href="' . $item->link . '" class="btn">View Product</a>
<a href="#" class="more_details">More details</a>
<a href="#" class="share">Share</a>
</div>

</div>

</div>

<div class="share-coupon">

Share on social networks or copy the link and share anywhere:

<div class="shareto">

<ul>
<li class="tooltip share-fb" title="Share this on Facebook"><a href="#" onclick="openwindow(\'https://www.facebook.com/sharer/sharer.php?u=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-tw" title="Share this on Twitter"><a href="#" onclick="openwindow(\'https://twitter.com/home?status=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-go" title="Share this on Google+"><a href="#" onclick="openwindow(\'https://plus.google.com/share?url=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-li" title="Share this on Linkedin"><a href="#" onclick="openwindow(\'https://www.linkedin.com/shareArticle?mini=true&amp;url=' . $item->link . '&amp;title=' . $item->title . '&amp;summary=&amp;source=\', 500, 500, \'yes\');"></a></li>
</ul>

<input type="text" value="' . $item->link . '" onclick="$(this).select();" />

</div>

</div>

</article>';

}

?>

</div>

<div class="right">

<?php show_widgets( 'right' ); ?>

</div>