<?php

/*

PUT THE OBJECT INTO A GLOBAL VARIABLE

*/

$GLOBALS['item'] = \query\main::item_infos( 0, array( 'update_views' => '' ) );
$GLOBALS['exists'] = \query\main::item_exists( 0, array( 'user_view' => '' ) );

/*

CHECK IF COUPON EXISTS

*/

function exists() {
  return $GLOBALS['exists'];
}

/*

INFORMATION ABOUT COUPON

*/

function the_item() {
  return $GLOBALS['item'];
}

/*

PERSONALIZED META TAGS ONLY IF THE COUPON EXISTS

*/

if( $GLOBALS['exists'] > 0 ) {

/*

METATAGS - TITLE

*/

function meta_title() {

if( !empty( $GLOBALS['item']->meta_title ) ) {
  return meta_default( '', $GLOBALS['item']->meta_title );
} else

  $desc = \query\main::get_option( 'meta_coupon_title' );
  $repl = array( '%NAME%' => $GLOBALS['item']->title, '%STORE_NAME%' => $GLOBALS['item']->store_name, '%EXPIRATION%' => date( 'Y/m/d', strtotime( $GLOBALS['item']->expiration_date ) ), '%YEAR%' => date('Y'), '%MONTH%' => date('F') );

  return str_replace( array_keys( $repl ), array_values( $repl ), htmlspecialchars( $desc ) );

}

/*

METATAGS - KEYWORDS

*/

function meta_keywords() {

if( !empty( $GLOBALS['item']->meta_keywords ) ) {
  return meta_default( '', $GLOBALS['item']->meta_keywords );
} else

  $desc = \query\main::get_option( 'meta_coupon_keywords' );
  $repl = array( '%NAME%' => $GLOBALS['item']->title, '%STORE_NAME%' => $GLOBALS['item']->store_name, '%EXPIRATION%' => date( 'Y/m/d', strtotime( $GLOBALS['item']->expiration_date ) ), '%YEAR%' => date('Y'), '%MONTH%' => date('F') );

  return str_replace( array_keys( $repl ), array_values( $repl ), htmlspecialchars( $desc ) );

}

/*

METATAGS - DESCRIPTION

*/

function meta_description() {

if( !empty( $GLOBALS['item']->meta_description ) ) {
  return meta_default( '', $GLOBALS['item']->meta_description );
} else

  $desc = \query\main::get_option( 'meta_coupon_desc' );
  $repl = array( '%NAME%' => $GLOBALS['item']->title, '%STORE_NAME%' => $GLOBALS['item']->store_name, '%EXPIRATION%' => date( 'Y/m/d', strtotime( $GLOBALS['item']->expiration_date ) ), '%YEAR%' => date('Y'), '%MONTH%' => date('F') );

  return str_replace( array_keys( $repl ), array_values( $repl ), htmlspecialchars( $desc ) );

}

/*

METATAGS - IMAGE

*/

function meta_image( $image = '' ) {

  return \query\main::store_avatar( $GLOBALS['item']->store_img );

}

}