<?php

/** START SESSION */

session_start();

/** REPORT ALL PHP ERRORS */

error_reporting( E_ALL );

/** REQUIRE SETTINGS */

include dirname( dirname( dirname( __DIR__ ) ) ) . '/settings.php';

/** CONNECT TO DB */

include DIR . '/' . IDIR . '/site/db.php';

if( $db->connect_errno ) {
  die;
}

$db->set_charset( DB_CHARSET );

/** */

spl_autoload_register(function ( $cn ) {

  $type = strstr( $cn, '\\', true );
  if( $type == 'plugin' ) {
    $cn = str_replace( '\\', '/', $cn );
    include DIR . '/' . UPDIR . '/' . substr( $cn, strpos( $cn, '/' )+1 ) . '.php';
  } else {
    include DIR . '/' . IDIR . '/' . str_replace( '\\', '/', $cn ) . '.php';
  }

});

$load = new \main\load;

include $load->language['location'];