<?php

if( !defined( 'DB_NAME' ) ) {
  die;
}

if( !$GLOBALS['me']->is_admin ) {
  echo '<div class="a-alert">Sorry, this section is reserved for administrators only.</div>';
  die;
}

switch( $_GET['action'] ) {

default:

echo '<div class="title">

<h2>Pop-up Options</h2>

<div style="float:right; margin: 0 2px 0 0;">
<a href="?plugin=Popup/popups.php&amp;action=list" class="btn">Pop-ups</a>
</div>

<span>Modify pop-up settings</span>

</div>';

if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['csrf'] ) && check_csrf( $_POST['csrf'], 'popup_csrf' ) ) {

  if( isset( $_POST['check'] ) )
  if( actions::set_option(
  array(
  'popup_check' => (int) $_POST['check']
  ) ) )

  echo '<div class="a-success">Saved!</div>';
  else
  echo '<div class="a-error">Error!</div>';

}

$csrf = $_SESSION['popup_csrf'] = \site\utils::str_random(10);

echo '<form action="#" method="POST">

<div class="form-table">

<div class="row"><span>Check every:</span><div><select name="check">';
$check = (int) \query\main::get_option( 'popup_check' );
foreach( array( '1 minute' => 1, '2 minutes' => 2, '3 minutes' => 3, '4 minutes' => 4, '5 minutes*' => 5, '10 minutes' => 10, '15 minutes' => 15, '30 minutes' => 30, '45 minutes' => 45, '60 minutes' => 60, '1 day' => 3600 ) as $k => $v ) {
  echo '<option value="' . $v . '"' . ( $v === $check ? ' selected' : '' ) . '>' . $k . '</option>';
}
echo '</select></div></div>

</div>';

echo '<input type="hidden" name="csrf" value="' . $csrf . '" />
<button class="btn">Save</button>

</form>

<div style="margin-top: 20px; background: white; padding: 20px;">
<ul style="color: #888; display: block; margin-bottom: 5px; font-size: 13px;">
<li>We recommended to have a single active pop-up for members and one for visitors (or one for both), but in case that you have multiple active pop-ups, one of them will be chosen randomly to appear at every 5 minutes as default (the interval can be changed in \'Check every\' of above)</li>
<li>A pop-up closed will not appear again in the same session</li>
<li>Based on Web Storage and works fine on: Chrome 4.0+, Internet Explorer 8.0+, Opera 11.5+, Firefox 3.5+, Safari 4.0+</li></ul>
</div>

';

break;

}