<?php

if( !defined( 'DB_NAME' ) ) {
  die;
}

switch( $_GET['action'] ) {

/** ADD POP-UP */

case 'add':

echo '<div class="title">

<h2>Add Pop-up</h2>

<div style="float:right;margin:0 2px 0 0;">
<a href="?plugin=Popup/popups.php&amp;action=list" class="btn">Pop-ups</a>
</div>

<span>Add a new pop-up</span>

</div>';

if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['csrf'] ) && check_csrf( $_POST['csrf'], 'popup_csrf' ) ) {

  if( isset( $_POST['type'] ) && isset( $_POST['height'] ) && isset( $_POST['width'] ) && isset( $_POST['style'] ) && isset( $_POST['effect'] ) && isset( $_POST['view'] ) && in_array( (int) $_POST['view'], array( 0, 1, 2 ) ) )
  try{
  \plugin\Popup\inc\actions::add( array( 'type' => $_POST['type'], 'height' => $_POST['height'], 'width' => $_POST['width'], 'title' => ( isset( $_POST['title'] ) ? $_POST['title'] : '' ), 'text' => ( isset( $_POST['text'] ) ? $_POST['text'] : '' ), 'image' => ( isset( $_FILES['image'] ) ? $_FILES['image'] : '' ), 'href' => ( isset( $_POST['href'] ) ? $_POST['href'] : '' ), 'effect' => $_POST['effect'], 'style' => $_POST['style'], 'view' => (int) $_POST['view'], 'publish' => ( isset( $_POST['publish'] ) ? 1 : 0 ) ) );
  echo '<div class="a-success">Added!</div>';
  }
  catch ( Exception $e ) {
  echo '<div class="a-error">' . $e->getMessage() . '</div>';
  }

}

echo '<div class="form-table">

<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">';

if( !isset( $_POST['type'] ) ) {

echo '<div class="row"><span>Select Type:</span><div><select name="type">';
foreach( (new \plugin\Popup\inc\popup)->types() as $k => $v ) {
  echo '<option value="' . $k . '">' . $v['name'] . '</option>';
}
echo '</select></div></div>';

echo '<button class="btn">Next</button>';

} else {

if( !isset( $_POST['type'] ) || !( $details = (new \plugin\Popup\inc\popup( $_POST['type'] ))->details() ) ) {

echo '<div class="a-error">Unexpected error.</div>

<button class="btn">Reset</button>';

} else {

$csrf = $_SESSION['popup_csrf'] = \site\utils::str_random(10);

if( isset( $details->title ) ) {
  echo '<div class="row"><span>Title:</span><div><input type="text" name="title" value="' . htmlspecialchars( $details->title ) . '" maxlength="255" /></div></div>';
}

if( isset( $details->text ) ) {
  echo '<div class="row"><span>Text:</span><div><textarea name="text">' . htmlspecialchars( $details->text ) . '</textarea></div></div>';
}

if( isset( $details->image ) ) {
  echo '<div class="row"><span>Image:</span>
  <div>
  <input type="file" name="image" />
  </div> </div>';

  echo '<div class="row"><span>Image URL:</span><div><input type="text" name="href" value="" /></div></div>';
}

echo '<div class="row"><span>Window height (px):</span><div><input type="text" name="height" value="' . $details->height . '" /></div></div>
<div class="row"><span>Window width (px):</span><div><input type="text" name="width" value="' . $details->width . '" /></div></div>
<div class="row"><span>Window style:</span><div><select name="style">';
foreach( array( 'popup_style_none' => 'None', 'popup_style_1' => 'Style 1', 'popup_style_2' => 'Style 2', 'popup_style_3' => 'Style 3', 'popup_style_4' => 'Style 4', 'popup_style_5' => 'Style 5' ) as $k => $v ) echo '<option value="' . $k . '"' . $k . '"' . ( $info->style == $k ? ' selected' : '' ) . '>' . $v . '</option>';
echo '</select></div></div>
<div class="row"><span>Window effect:</span><div><select name="effect">';
foreach( array( 'popup_effect_none' => 'None', 'popup_effect_1' => 'Effect 1', 'popup_effect_2' => 'Effect 2', 'popup_effect_3' => 'Effect 3', 'popup_effect_4' => 'Effect 4', 'popup_effect_5' => 'Effect 5' ) as $k => $v ) echo '<option value="' . $k . '"' . ( $info->effect == $k ? ' selected' : '' ) . '>' . $v . '</option>';
echo '</select></div></div>
<div class="row"><span>Visible for:</span><div><select name="view">';
foreach( array( 0 => 'Members & Visitors', 1 => 'Only Members', '2' => 'Only Visitors' ) as $k => $v ) {
  echo '<option value="' . $k . '">' . $v . '</option>';
}
echo '</select></div></div><div class="row"><span>Publish:</span><div><input type="checkbox" name="publish" id="publish" checked /> <label for="publish"><span></span> make this pop-up visible</label></div></div>
<input type="hidden" name="csrf" value="' . $csrf . '" />
<input type="hidden" name="type" value="' . htmlspecialchars( $_POST['type'] ) . '" />
<button class="btn">Add Pop-up</button>';

}

}

echo '</form>

</div>';

break;

/** EDIT POP-UP */

case 'edit':

$csrf = \site\utils::str_random(10);

echo '<div class="title">

<h2>Edit Pop-up</h2>

<div style="float:right;margin:0 2px 0 0;">
<a href="?plugin=Popup/popups.php&amp;action=list" class="btn">Pop-ups</a>
</div>

<span>Edit pop-up</span>

</div>';

if( isset( $_GET['id'] ) && \plugin\Popup\inc\query::popup_exists( $_GET['id'] ) ) {

if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['csrf'] ) && check_csrf( $_POST['csrf'], 'popup_csrf' ) ) {

  if( isset( $_POST['height'] ) && isset( $_POST['width'] ) && isset( $_POST['style'] ) && isset( $_POST['effect'] ) && isset( $_POST['view'] ) && in_array( (int) $_POST['view'], array( 0, 1, 2 ) ) )
  try{
  \plugin\Popup\inc\actions::edit( $_GET['id'], array( 'height' => $_POST['height'], 'width' => $_POST['width'], 'title' => ( isset( $_POST['title'] ) ? $_POST['title'] : '' ), 'text' => ( isset( $_POST['text'] ) ? $_POST['text'] : '' ), 'image' => ( isset( $_FILES['image'] ) ? $_FILES['image'] : '' ), 'href' => ( isset( $_POST['href'] ) ? $_POST['href'] : '' ),  'effect' => $_POST['effect'], 'style' => $_POST['style'], 'view' => (int) $_POST['view'], 'publish' => ( isset( $_POST['publish'] ) ? 1 : 0 ) ) );
  echo '<div class="a-success">Updated!</div>';
  }
  catch ( Exception $e ) {
  echo '<div class="a-error">' . $e->getMessage() . '</div>';
  }

}

$info = \plugin\Popup\inc\query::popup_infos( $_GET['id'] );

$details = (new \plugin\Popup\inc\popup( $info->type ))->details();

$_SESSION['popup_csrf'] = $csrf;

echo '<div class="form-table">

<form action="#" method="POST" enctype="multipart/form-data">';

if( isset( $details->title ) ) {
  echo '<div class="row"><span>Title:</span><div><input type="text" name="title" value="' . htmlspecialchars( $info->title ) . '" maxlength="255" /></div></div>';
}

if( isset( $details->text ) ) {
  echo '<div class="row"><span>Text:</span><div><textarea name="text">' . htmlspecialchars( $info->text ) . '</textarea></div></div>';
}

if( isset( $details->image ) ) {
  echo '<div class="row"><span>Image:</span>
  <div>
  <div style="display: table; margin-bottom: 2px;"><img src="../' . htmlspecialchars( $info->image ) . '" class="avt" alt="" style="display: table-cell; width: 70px; height: 50px; margin: 0 20px 5px 0;" />
  <div style="display: table-cell; vertical-align: middle; margin-left: 25px;">
  </div>
  </div>

  <input type="file" name="image" />
  </div> </div>';

  echo '<div class="row"><span>Image URL:</span><div><input type="text" name="href" value="' . htmlspecialchars( $info->href ) . '" /></div></div>';
}

echo '<div class="row"><span>Window height (px):</span><div><input type="text" name="height" value="' . htmlspecialchars( $info->height ) . '" /></div></div>
<div class="row"><span>Window width (px):</span><div><input type="text" name="width" value="' . htmlspecialchars( $info->width ) . '" /></div></div>
<div class="row"><span>Window style:</span><div><select name="style">';
foreach( array( 'popup_style_none' => 'None', 'popup_style_1' => 'Style 1', 'popup_style_2' => 'Style 2', 'popup_style_3' => 'Style 3', 'popup_style_4' => 'Style 4', 'popup_style_5' => 'Style 5' ) as $k => $v ) echo '<option value="' . $k . '"' . $k . '"' . ( $info->style == $k ? ' selected' : '' ) . '>' . $v . '</option>';
echo '</select></div></div>
<div class="row"><span>Window effect:</span><div><select name="effect">';
foreach( array( 'popup_effect_none' => 'None', 'popup_effect_1' => 'Effect 1', 'popup_effect_2' => 'Effect 2', 'popup_effect_3' => 'Effect 3', 'popup_effect_4' => 'Effect 4', 'popup_effect_5' => 'Effect 5' ) as $k => $v ) echo '<option value="' . $k . '"' . ( $info->effect == $k ? ' selected' : '' ) . '>' . $v . '</option>';
echo '</select></div></div>
<div class="row"><span>Visible for:</span><div><select name="view">';
foreach( array( 0 => 'Members & Visitors', 1 => 'Only Members', '2' => 'Only Visitors' ) as $k => $v ) {
  echo '<option value="' . $k . '"' . ( $k !== $info->view ?: ' selected' ) . '>' . $v . '</option>';
}
echo '</select></div></div>
<div class="row"><span>Publish:</span><div><input type="checkbox" name="publish" id="publish"' . ( $info->live ? ' checked' : '' ) . ' /> <label for="publish"><span></span> make this pop-up visible</label></div></div>
<input type="hidden" name="csrf" value="' . $csrf . '" />
<button class="btn">Edit Pop-up</button>
</form>

</div>';

} else {

  echo '<div class="a-error">' . $LANG['invalid_id'] . '</div>';

}

break;

/** LIST OF POP-UPS */

default:

echo '<div class="title">

<h2>Pop-ups</h2>

<div style="float:right; margin: 0 2px 0 0;">
<a href="?plugin=Popup/options.php" class="btn">Settings</a>
<a href="?plugin=Popup/popups.php&amp;action=add" class="btn">Add Pop-up</a>
</div>

<span>List of pop-ups</span>

</div>';

if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['csrf'] ) && check_csrf( $_POST['csrf'], 'popup_csrf' ) ) {

if( isset( $_POST['delete'] ) ) {

  if( isset( $_POST['id'] ) )
  if( \plugin\Popup\inc\actions::delete( array_keys( $_POST['id'] ) ) )
  echo '<div class="a-success">Saved!</div>';
  else
  echo '<div class="a-error">Error!</div>';

} else if( isset( $_POST['set_action'] ) ) {

  if( isset( $_POST['id'] ) && isset( $_POST['action'] ) )
  if( \plugin\Popup\inc\actions::action( $_POST['action'], array_keys( $_POST['id'] ) ) )
  echo '<div class="a-success">Saved!</div>';
  else
  echo '<div class="a-error">Error!</div>';

}

} else if( isset( $_GET['action'] ) && isset( $_GET['token'] ) && check_csrf( $_GET['token'], 'popup_csrf' ) ) {

if( $_GET['type'] == 'delete' ) {

  if( isset( $_GET['id'] ) )
  if( \plugin\Popup\inc\actions::delete( $_GET['id'] ) )
  echo '<div class="a-success">Deleted!</div>';
  else
  echo '<div class="a-error">Error!</div>';

} else if( $_GET['type'] == 'publish' || $_GET['type'] == 'unpublish' ) {

  if( isset( $_GET['id'] ) )
  if( \plugin\Popup\inc\actions::action( $_GET['type'], $_GET['id'] ) )
  echo '<div class="a-success">Saved!</div>';
  else
  echo '<div class="a-error">Error!</div>';

}

}

$csrf = $_SESSION['popup_csrf'] = \site\utils::str_random(10);

echo '<div class="page-toolbar">

<form action="#" method="GET" autocomplete="off">
<input type="hidden" name="plugin" value="Popup/popups.php" />
<input type="hidden" name="action" value="list" />

Order by:
<select name="orderby">';
foreach( array( 'date' => 'Date', 'date desc' => 'Date DESC' ) as $k => $v )echo '<option value="' . $k . '"' . (isset( $_GET['orderby'] ) && urldecode( $_GET['orderby'] ) == $k || !isset( $_GET['orderby'] ) && $k == 'date desc' ? ' selected' : '') . '>' . $v . '</option>';
echo '</select>
<button class="btn">View</button>

</form>

</div>';

$p = \plugin\Popup\inc\query::have_popups( $options = array( 'per_page' => 10 ) );

echo '<div class="results">' . (int) $p['results'] . ' results</div>';

if( $p['results'] ) {

echo '<form action="?plugin=Popup/popups.php&amp;action=list" method="POST">

<ul class="elements-list">

<li class="head"><input type="checkbox" id="selectall" data-checkall /><label for="selectall"><span></span></label> Name</li>

<div class="bulk_options">
<button class="btn" name="delete" data-delete-msg="Are you sure?">Delete all</button>
Set action:
<select name="action">';
foreach( array( 'publish' => 'Visible', 'unpublish' => 'Not visible' ) as $k => $v )echo '<option value="' . $k . '">' . $v . '</option>';
echo '</select>
<button class="btn" name="set_action">Set to all</button>
</div>';

foreach( \plugin\Popup\inc\query::while_popups( array_merge( array( 'orderby' => (isset( $_GET['orderby'] ) ? urldecode( $_GET['orderby'] ) : 'date desc') ), $options ) ) as $item ) {

  $type = new \plugin\Popup\inc\popup( $item->type );
  $details = $type->details();

  echo '<li>
  <div>

  <input type="checkbox" name="id[' . $item->ID . ']" id="id[' . $item->ID . ']" /> <label for="id[' . $item->ID . ']"><span></span></label>

  <img src="../' . ( !empty( $item->image ) ? $item->image : UPDIR . '/Popup/images/icon.png' ) . '" alt="" style="width: 70px; height: 50px;" />

  <div class="info-div"><h2>' . ( !$item->live ? '<span class="msg-error">Not published</span> ' : '<span class="msg-success">Published</span> ' ) . '<span title="' . ( isset( $details->title ) ? htmlspecialchars( $item->title ) : $details->name ) . '">' . $details->name . '</span>
  <span class="fright date">' . date( 'Y.m.d, ' . (\query\main::get_option( 'hour_format' ) == 12 ? 'g:i A' : 'G:i'), strtotime( $item->date ) ) . '</span></h2>
  Visible for: Members: ' . ( !$item->member_view ? '<span class="msg-error">no</span> ' : '<span class="msg-success">yes</span>' ) . ' Visitors: ' . ( !$item->visitor_view ? '<span class="msg-error">no</span> ' : '<span class="msg-success">yes</span>' ) . '
  </div>

  </div>

  <div style="clear:both;"></div>

  <div class="options">';

  echo '<a href="?plugin=Popup/popups.php&amp;action=edit&amp;id=' . $item->ID . '">Edit</a>';
  echo '<a href="' . \site\utils::update_uri( '', array( 'type' => ( !$item->live ? 'publish' : 'unpublish' ), 'id' => $item->ID, 'token' => $csrf ) ) . '">' . ( !$item->live ? 'Publish' : 'Unpublish' ) . '</a>';
  echo '<a href="?plugin=Popup/popups.php&amp;action=list&amp;id=' . $item->ID . '&amp;type=delete&amp;token=' . $csrf . '" data-delete-msg="Are you sure?">Delete</a>';

  echo '</div>
  </li>';

}

echo '</ul>

<input type="hidden" name="csrf" value="' . $csrf . '" />

</form>';

if( isset( $p['prev_page'] ) || isset( $p['next_page'] ) ) {
  echo '<div class="pagination">';

  if( isset( $p['prev_page'] ) ) echo '<a href="' . $p['prev_page'] . '" class="btn">Next</a>';
  if( isset( $p['next_page'] ) ) echo '<a href="' . $p['next_page'] . '" class="btn">Prev</a>';

  if( $p['pages'] > 1 ) {
  echo '<div class="pag_goto">' . sprintf( $LANG['pageofpages'], $page = $p['page'], $pages = $p['pages'] ) . '
  <form action="#" method="GET">';
  foreach( $_GET as $gk => $gv ) if( $gk !== 'page' ) echo '<input type="hidden" name="' . htmlspecialchars( $gk ) . '" value="' . htmlspecialchars( $gv ) . '" />';
  echo '<input type="number" name="page" min="1" max="' . $pages . '" size="5" value="' . $page . '" />
  <button class="btn">' . $LANG['go'] . '</button>
  </form>
  </div>';
  }

  echo '</div>';
}

} else {

  echo '<div class="a-alert">No pop-ups yet.</div>';

}

break;

}