<?php

if( !defined( 'DB_NAME' ) ) {
  die;
}

switch( $_GET['action'] ) {

default:

echo '<div class="title">

<h2>Stripe Options</h2>

<span>Modify Stripe settings</span>

</div>';

if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['csrf'] ) && check_csrf( $_POST['csrf'], 'stripe_csrf' ) ) {

  if( isset( $_POST['key'] ) && isset( $_POST['pubkey'] ) && isset( $_POST['demo_key'] ) && isset( $_POST['demo_pubkey'] ) )
  if( actions::set_option( array( 'stripe_key' => $_POST['key'], 'stripe_pubkey' => $_POST['pubkey'], 'stripe_demo_key' => $_POST['demo_key'], 'stripe_demo_pubkey' => $_POST['demo_pubkey'], 'stripe_mode' => ( isset( $_POST['mode'] ) ? 1 : 0 ) ) ) )
  echo '<div class="a-success">Saved!</div>';
  else
  echo '<div class="a-error">Error!</div>';

}

$csrf = $_SESSION['stripe_csrf'] = \site\utils::str_random(10);

echo '<form action="#" method="POST">

<div class="form-table">

<div class="row"><span>Live Secret Key:</span><div><input type="text" name="key" value="' . htmlspecialchars( \query\main::get_option( 'stripe_key' ) ) . '" /></div></div>
<div class="row" style="margin-bottom: 25px;"><span>Live Publishable Key:</span><div><input type="text" name="pubkey" value="' . htmlspecialchars( \query\main::get_option( 'stripe_pubkey' ) ) . '" /></div></div>
<div class="row"><span>Demo Secret Key:</span><div><input type="text" name="demo_key" value="' . htmlspecialchars( \query\main::get_option( 'stripe_demo_key' ) ) . '" /></div></div>
<div class="row" style="margin-bottom: 25px;"><span>Demo Publishable Key:</span><div><input type="text" name="demo_pubkey" value="' . htmlspecialchars( \query\main::get_option( 'stripe_demo_pubkey' ) ) . '" /></div></div>
<div class="row"><span>Mode:</span><div><input type="checkbox" name="mode" id="stripe_mode"' . ( (boolean) \query\main::get_option( 'stripe_mode' ) ? ' checked' : '' ) . ' /> <label for="stripe_mode"><span></span>Use it in test mode</label></div></div>
</div>';

echo '<input type="hidden" name="csrf" value="' . $csrf . '" />
<button class="btn">Save</button>

</form>';

break;

}