$(document).ready(function() {


$(document).on( 'keyup', '.sinspan', function() {

$(this).next( 'span' ).text( $(this).val() );

});


$(document).on( 'change', '.cextension', function() {

$(this).parents( 'form' ).find( '.dlinkext' ).text( $(this).val() );

});


$(document).on( 'click', '.main-nav > ul.nav > li.drop-down > a', function( e ){

e.preventDefault();

var t = $(this);

$( '.main-nav > ul.nav li' ).removeClass( 'drop-down-i' );

$(this).show_next({ animate_before: 'hide', animate: 'slideDown', animate_hide: 'slideUp', element: '.subnav',
cb_visible: function(){
  t.parent().addClass( 'drop-down-i' );
}
});

});


$(document).on( 'click', '.title .options > a', function( e ){

e.preventDefault();

var t = $(this);

t.show_next({ close_on_click: true, animate: 'slideDown', animate_hide: 'slideUp', element: '.title .options ul',
cb_visible: function(){
  t.addClass( 'btn-active' );
},
cb_notvisible: function() {
  t.removeClass( 'btn-active' );
}
});

});


$(document).on( 'click', '.title .options a.more_fields', function( e ){

e.preventDefault();

var t = $(this), ul = $(this).parents('ul'), options = $(this).parents('.options');
options.find( 'a:first' ).removeClass( 'btn-active' );

options.parents( '.title' ).nextAll( '.form-table' ).find( '.more_field:hidden' ).slideDown(80);

ul.slideUp( 80, function(){
  if( ul.find( 'li' ).length === 1 ) {
    options.remove();
  } else {
    t.parent().remove();
  }
});

});


$(document).on( 'click', '.top-nav > ul.left-top li:first', function( e ){

e.preventDefault();

$('body').show_next({ type: '', element: '.main-nav' });

});


$(document).on( 'click', '.elements-list input[data-checkall]', function(){

if( $(this).is( ':checked' ) ) {
  $(this).parents( '.elements-list' ).find( 'li input[type="checkbox"]:enabled' ).prop( 'checked', true );
} else {
  $(this).parents( '.elements-list' ).find( 'li input[type="checkbox"]' ).prop( 'checked', false );
}

});


$(document).on( 'change', '.elements-list input[data-checkall], .elements-list > li input[type="checkbox"]', function(){

var count = $(this).parents( '.elements-list' ).find( 'li input[type="checkbox"]:checked' ).length;
if( count > 0 ) {
  $(this).parents( '.elements-list' ).find( '.bulk_options' ).slideDown( 'fast' );
} else {
  $(this).parents( '.elements-list' ).find( '.bulk_options' ).slideUp( 'fast' );
}

});


$(document).on( 'click', '.info-bar > a.show_theme_desc', function( e ){

e.preventDefault();

var themedesc = $(this).parents( '.info-bar' ).find( '.theme-desc' );

if( themedesc.is( ':visible' ) ) {
  $(this).children( 'span' ).text( '↙' );
  themedesc.slideUp( 'fast' );
} else {
  $(this).children( 'span' ).text( '↗' );
  themedesc.slideDown( 'fast' );
}

});


$( document ).on( 'submit', '#upload-theme-form form', function(){

var form = $(this).parents( '#upload-theme-form' );

form.hide();
form.next( '#process-theme' ).show();

});


$( document ).on( 'submit', '#upload-plugin-form form', function(){

var form = $(this).parents( '#upload-plugin-form' );

form.hide();
form.next( '#process-plugin' ).show();

});


$( document ).on( 'change', 'input[name="shn-site"], input[name="shn-expiration"]', function(){

$(this).parents( '.row' ).show_next( { element: '.row:eq(0)' } );

});


$( document ).on( 'click', '#modify_mt_but', function( e ){

e.preventDefault();

$('body').show_next({ type: '', element: '#modify_mt' });

});


$( document ).on( 'change', '#ownlink', function(){

$(this).show_next({ animate: 'fadeIn', animate_hide: 'fadeOut', animate_hide_duration: 100, element: 'input' });

});


$( document ).on( 'click', '#ban_fast_choice > a', function( e ){

e.preventDefault();

var json = jQuery.parseJSON( $(this).attr('data') );

var date = new Date();

date.setMonth( date.getMonth()+1 );

switch( json.interval ) {
  case 'day':
  date.setHours( date.getHours() + 24*json.nr );
  break;
  case 'week':
  date.setHours( date.getHours() + 24*7*json.nr );
  break;
  case 'month':
  date.setMonth( date.getMonth() + json.nr );
  break;
  case 'year':
  date.setMonth( date.getMonth() + 12*json.nr );
  break;
}

if( date.getMonth() == 0 ) {
  date.setMonth(1);
}

var nd = date.getFullYear() + '-' + ( '0' + ( date.getMonth() ) ).slice(-2) + '-' + ( '0' + date.getDate() ).slice(-2);
$(this).parents( '.row' ).prev( '.row' ).find( 'input[type="date"]' ).val( nd );

});


$( '[data-search="store"]' ).each(function(){

$(this).data_search();

});


$( '[data-search="user"]' ).each(function(){

$(this).data_search({search: '../?ajax=search_user'});

});


$(document).on( 'click', '[data-catID]', function() {

$( 'select[name="category"]' ).val( $(this).attr( 'data-catID' ) );

});


$(document).on( 'change', '#row-verified', function() {

if( $(this).prop( 'checked' ) ) {
  $(this).parents( '.row' ).next().show();
} else {
  $(this).parents( '.row' ).next().hide();
}

});


$(document).on( 'click', '.coupon [data-store-is_physical]', function() {

var form = $( '.form-table' ),
select = form.find( '.coupon_type select' );

select.attr( 'data-sell_online', $(this).attr( 'data-sell_online' ) );

if( $(this).attr( 'data-store-is_physical' ) === 'true' ) {

  form.find( '.row:eq(5)' ).hide().find( 'input' ).prop( 'checked', false );

  var rows = form.find( '.row:eq(3)' );
  if( select.val() == 0 && $(this).attr( 'data-sell_online' ) === 'true' ) {
    rows = form.find( '.row:eq(3), .row:eq(5)' );
  } else if( select.val() == 2 ) {
    rows = form.find( '.row:eq(3), .row:eq(4)' );
  }

  rows.slideDown(200, function(){
    $( '.form-table' ).find( '.row:eq(6), .row:eq(7)' ).slideUp(200);
  });

} else {

  form.find( '.row:eq(3), .row:eq(4), .row:eq(5)' ).slideUp(200, function(){
    $( '.form-table' ).find( '.row:eq(6), .row:eq(7)' ).slideDown(200);
  });

}

});


$(document).on( 'click', '.product [data-sell_online]', function() {

if( $(this).attr( 'data-sell_online' ) === 'true' ) {
  $( '.form-table' ).find( '.row:eq(6)' ).slideDown( 200 );
} else {
  $( '.form-table' ).find( '.row:eq(6)' ).slideUp( 200 );
}

});


$(document).on( 'click', '#fileds_table ~ a:first', function( e ){

e.preventDefault();

var ul = $(this).prev( 'ul' );
var head = ul.children( '.head' ),
row = ul.children( '#fileds_table_new' ).html(),
lis = ul.find( '.added_field' ).length;

ul.append( '<li class="added_field">' + row + '</li>' );

if( !head.is( ':visible' ) ) {
  head.show();
}

});


$(document).on( 'click', '#fileds_table li.added_field a:last-child', function( e ){

e.preventDefault();

var ul = $(this).parents( 'ul' ),
head = ul.children( '.head' ),
lis = ul.find( '.added_field' ).length;

$(this).parents( 'li' ).remove();

if( lis <= 1 ) {
  head.hide();
}

});


$(document).on( 'click', '[data-delete-msg]', function(){

if( !confirm( $(this).attr( 'data-delete-msg' ) ) ) {
  return false;
}

});


$(document).on( 'click', 'section.el-row h2 > a', function( e ) {

e.preventDefault();

var t = $(this);
var body = t.parents( 'section' ).find( '.el-row-body' ),
type = 0;

if( body.is( ':visible' ) ) {
  t.text( 'S' );
  body.slideUp( 50 );
  type = 1;
} else {
  t.text( 'R' );
  body.slideDown( 50 );
  type = 0;
}

$.post( 'ajax/set_sessions.php', {ses: t.attr('data-set'), type: type} );

});


$(document).on( 'submit', '#post-chat form', function( e ) {

e.preventDefault();

var t = $(this);
var it = t.find( '[name="text"]' ),
csrf = t.find( '[name="chat_csrf"]' ).val(),
text = it.val(),
ul = $( '#chat-msgs-list' );
var ul_val = ul.html();

if( text == '' ) {
  return false;
}

ul.html( '<li style="line-height: 60px; text-align: center;"><img src="theme/ajax.gif" alt="" /></li>' );
it.val( '' );

$.post( '?ajax=post-chat-msg.php', {msg: text, csrf: csrf }, function( a ){

if( a.answer ) {

  $.get( '?ajax=chat-msgs.php', function( msg ){

    var newul = '';

    $.each( msg, function( k, v ) {
      newul += '<li> <div style="display: table;"> <img src="' + v.avatar + '" alt="" /> <div class="info-div"><h2>' + v.name + ' <span class="fright date">' + v.gfdate + '</span></h2> <div class="info-bar">' + v.text + '</div> </div></div> </li>';
    });

    ul.html( newul );

  }, "json" );

} else {

  ul.html( ul_val );

}

}, "json" );

});


$(document).on( 'click', '#post-chat form a', function( e ) {

e.preventDefault();

var ul = $( '#chat-msgs-list' );

ul.html( '<li style="line-height: 60px; text-align: center;"><img src="theme/ajax.gif" alt="" /></li>' );

$.get( '?ajax=chat-msgs.php', function( msg ){

var newul = '';

$.each( msg, function( k, v ) {
  newul += '<li> <div style="display: table;"> <img src="' + v.avatar + '" alt="" /> <div class="info-div"><h2>' + v.name + ' <span class="fright date">' + v.gfdate + '</span></h2> <div class="info-bar">' + v.text + '</div> </div></div> </li>';
});

ul.html( newul );

}, "json" );

});


$(document).on( 'change', 'select[name="mail_meth"]', function(){

var parent = $(this).parents( 'div' );

if( $(this).val() == 'SMTP' ) {
  parent.next().slideDown( 'fast' );
} else {
  parent.next().slideUp( 'fast' );
}

if( $(this).val() == 'sendmail' ) {
  parent.next().next().slideDown( 'fast' );
} else {
  parent.next().next().slideUp( 'fast' );
}

});


$(document).on( 'change', 'select[name="admin_theme"]', function(){

$( 'link:first' ).attr( 'href', $(this).val() );

});


$(document).on( 'change', 'input[name="import_coupons"], input[name="import_products"]', function(){

if( $(this).prop('checked') ) {
  $(this).nextAll( 'label:eq(1)' ).show(200);
} else {
  $(this).nextAll( 'label:eq(1)' ).hide(200);
}

});


$( 'select[name="privileges"]' ).on_selected({ selected: 1,
cb_true: function() {
  $( '#privileges_scope' ).slideDown(80);
},
cb_false: function() {
  $( '#privileges_scope' ).slideUp(80);
}
});


$( '.locations-info input[name="locations-bi"]' ).on_selected({ selected: 'checked',
cb_true: function( checkbox ) {
  checkbox.nextAll( 'ul,a,div' ).slideUp(100);
},
cb_false: function( checkbox ) {
  checkbox.nextAll( 'ul,a,div' ).slideDown(100);
}
});


$( '.hours-info #hours-bi' ).on_selected({ selected: 'checked',
cb_true: function( checkbox ) {
  checkbox.nextAll( 'ul' ).slideUp(100);
},
cb_false: function( checkbox ) {
  checkbox.nextAll( 'ul' ).slideDown(100);
}
});


$( '#switch-ft' ).on_selected({ selected: 'checked',
cb_true: function( checkbox ) {
  checkbox.prevAll( 'input:eq(1)' ).hide();
  checkbox.prevAll( 'input:eq(0)' ).show();
},
cb_false: function( checkbox ) {
  checkbox.prevAll( 'input:eq(0)' ).hide();
  checkbox.prevAll( 'input:eq(1)' ).show();
}
});


$( 'select[name="store_type"], select[name="store[Type]"]' ).on_selected({ selected: 1,
cb_true: function( select ) {
  select.next().slideUp(100);
  select.parents( '.row' ).nextAll( '.row:eq(0),.row:eq(1),.row:eq(2)' ).slideDown(100);
},
cb_false: function( select ) {
  select.next().slideDown(100);
  select.parents( '.row' ).nextAll( '.row:eq(0),.row:eq(1),.row:eq(2)' ).slideUp(100);
}
});


$( 'input[name="coupon_use_online"]' ).on_selected({ selected: 'checked',
cb_true: function( checkbox ) {
  checkbox.parents( '.row' ).nextAll( '.row:eq(0),.row:eq(1)' ).slideDown(100);
},
cb_false: function( checkbox ) {
  checkbox.parents( '.row' ).nextAll( '.row:eq(0),.row:eq(1)' ).slideUp(100);
}
});


$( 'select[name="coupon_type"]' ).on_selected({ selected: 0,
cb_true: function( select ) {
  if( select.attr( 'data-sell_online' ) == 'true' ) {
    select.parents( '.row' ).nextAll( '.row:eq(1)' ).slideDown(100);
  }
},
cb_false: function( select ) {
  select.parents( '.row' ).nextAll( '.row:eq(1)' ).slideUp(100);
}
});


$( 'select[name="coupon_type"]' ).on_selected({ selected: 1,
cb_true: function( select ) {
  select.parents( '.row' ).nextAll( '.row:eq(2),.row:eq(3)' ).slideUp(100);
  $( 'input[name="coupon_use_online"]' ).prop( 'checked', false );
}
});


$( 'select[name="coupon_type"]' ).on_selected({ selected: 2,
cb_true: function( select ) {
  select.parents( '.row' ).nextAll( '.row:eq(0)' ).slideDown(100);
  select.parents( '.row' ).nextAll( '.row:eq(1),.row:eq(2),.row:eq(3)' ).slideUp(100);
  $('input[name="coupon_use_online"]').prop( 'checked', false );
},
cb_false: function( select ) {
  select.parents( '.row' ).nextAll( '.row:eq(0)' ).slideUp(100);
}
});


/* Fixing plugins for old version */

$( '[data-search="user"] a' ).each(function(){
if( $(this).text().length > 0 ) {
  $(this).text('').addClass( 'downarr' );
}
});

$( 'input[type="checkbox"] + label' ).each(function(){
if( $(this).find('span').length === 0 ) {
  $(this).append( '<span></span>' );
}
});


});