<?php if( $GLOBALS['me'] && isset( $_GET['action'] ) ) {

switch( $_GET['action'] ) {

/*

MY COUPONS

*/

case 'my_coupons':

echo '<div class="left">';

if( ( $pagination = have_coupons( array( 'show' => 'all' ) ) ) && $pagination['results'] > 0 ) {

foreach( coupons( array( 'orderby' => 'date desc', 'show' => 'all' ) ) as $item ) {

echo '<article class="array_item">

<div class="table">

<div class="left">
<img src="' . store_avatar( ( !empty( $item->image2 ) ? $item->image2 : store_avatar( $item->store_img ) ) ) . '" alt="">
<span class="rating"><span style="width:' . ( $item->stars * 16 ) . 'px;"></span></span>
<a href="' . $item->store_reviews_link . '">' . $item->reviews . ' reviews</a>
<div class="voting"><a href="#" class="tooltip" title="It doesn\'t work !" data-cid="' . $item->ID . '" data-vote="0"></a>' . coupon_votes( $item->votes_percent, $item->votes ) . '<a href="#" class="tooltip" title="It works !" data-cid="' . $item->ID . '" data-vote="1"></a></div>
</div>

<div class="right">
<a href="' . $item->link . '" class="title">' . ( !empty( $item->cashback ) ? '<span class="tooltip reward" title="Great! Use it and you\'ll receive ' . $item->cashback . ' points.">' . $item->cashback . '</span> ' : '' ) . ( $item->is_verified ? '<span class="tooltip verified" title="This coupon has been verified on ' . date( dateFormat(), strtotime( $item->last_check ) ) . '"></span>' : '' ) . $item->title . '</a>
Coupons for <a href="' . $item->store_link . '">' . $item->store_name . '</a>
<div class="description">' . ( !empty( $item->description ) ? nl2br( $item->description ) : 'no description' ) . '</div>

<ul class="details">
<li><span>Available Online:</span> <b>' . ( $item->is_available_online ? 'Yes' : 'No' ) . '</b></li>
<li><span>Coupon Added:</span> <b>' . timeago( strtotime( $item->date ), 'seconds' ) . ' ago</b></li>';
if( $item->is_expired ) echo '<li><span>Expired on:</span> <b class="expired">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else if( !$item->is_started ) echo '<li><span>Starts on:</span> <b class="notstarted">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else echo '<li><span>Expiration:</span> <b class="active">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
echo '</ul>

<div class="links">
<a href="' . tlink( 'user/owner_actions', 'action=edit_coupon&amp;id=' . (int)$item->ID ) . '" class="btn">Edit coupon</a>
<a href="#" class="more_details">More details</a>
<a href="#" class="share">Share</a>
</div>

</div>

</div>

<div class="share-coupon">

Share on social networks or copy the link and share anywhere:

<div class="shareto">

<ul>
<li class="tooltip share-fb" title="Share this on Facebook"><a href="#" onclick="openwindow(\'https://www.facebook.com/sharer/sharer.php?u=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-tw" title="Share this on Twitter"><a href="#" onclick="openwindow(\'https://twitter.com/home?status=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-go" title="Share this on Google+"><a href="#" onclick="openwindow(\'https://plus.google.com/share?url=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-li" title="Share this on Linkedin"><a href="#" onclick="openwindow(\'https://www.linkedin.com/shareArticle?mini=true&amp;url=' . $item->link . '&amp;title=' . $item->title . '&amp;summary=&amp;source=\', 500, 500, \'yes\');"></a></li>
</ul>

<input type="text" value="' . $item->link . '" onclick="$(this).select();" />

</div>

</div>

</article>';

}

if( isset( $pagination['prev_page'] ) || isset( $pagination['next_page'] ) ) {

  echo '<div class="pagination">';
  echo ( isset( $pagination['prev_page'] ) ? '<span><a href="' . $pagination['prev_page'] . '" class="btn">&#8592; Prev</a></span>' : '<span class="btn" style="opacity: 0.2;">&#8592; Prev</span>' );
  echo ( isset( $pagination['next_page'] ) ? '<span><a href="' . $pagination['next_page'] . '" class="btn">Next &#8594;</a></span>' : '<span class="btn" style="opacity: 0.2;">Next &#8594;</span>' );
  echo '<span>Page ' . $pagination['page'] . ' / ' . $pagination['pages'] . '</span>';
  echo '</div>';

}

} else {
  echo '<div class="info_form">You don\'t have any coupon yet.</div>';
}

echo '</div>

<div class="right" style="text-align: center;">
  <a href="' . tlink( 'user/owner_actions', 'action=add_coupon' ) . '" class="btn">Add new coupon</a>
</div>';


break;

/*

ADD COUPON

*/

case 'add_coupon':

$prices = prices( 'object' );
$my_credits = $GLOBALS['me']->Credits;

echo '<div class="left">
<div class="title">Add New Coupon</div>';
if( $my_credits < $prices->coupon ) {
  echo '<div class="mask-form"></div>';
}
  echo submit_coupon_form();
echo '</div>

<div class="right">';
if( $my_credits < $prices->coupon ) {
  echo '<div class="error">You don\'t have enough credits to add new coupons.</div>
  <div style="margin-top: 20px; text-align: center;"><a href="' . tlink( 'user/plans' ) . '" class="btn">Add Credits</a></div>';
  } else {
  echo '<section class="cost-sect">
  <h2>Cost (credits): <span>' . $prices->coupon . ' / ' . $prices->coupon_max_days . ' days</span></h2>
  <h3>For example: If you want to add a coupon valid until ' . date( 'm.d.Y', strtotime( "+ {$prices->coupon_max_days} days" ) ) . ' you have to pay ' . $prices->coupon . ' credits. If the expiration date is greater you have to pay ' . $prices->coupon . ' credits for every ' . $prices->coupon_max_days . ' day(s). <br /> Your balance is: <span>' . $my_credits . '</span> credits.</h3>
  </section>
  <div style="margin-top: 20px; text-align: center;"><a href="' . tlink( 'user/plans' ) . '" class="btn">Add Credits</a></div>';
}
echo '</div>';

break;

/*

EDIT COUPON

*/

case 'edit_coupon':

$prices = prices( 'object' );
$my_credits = $GLOBALS['me']->Credits;

echo '<div class="left">
<div class="title">Edit Coupon</div>';
if( $my_credits < $prices->coupon ) {
  echo '<div class="mask-form"></div>';
}
  echo edit_coupon_form( ( isset( $_GET['id'] ) ? $_GET['id'] : 0 ) );
echo '</div>

<div class="right">';
if( $my_credits < $prices->coupon ) {
  echo '<div class="error">You don\'t have enough credits to add new coupons.</div>
  <div style="margin-top: 20px; text-align: center;"><a href="' . tlink( 'user/plans' ) . '" class="btn">Add Credits</a></div>';
  } else {
  echo '<section class="cost-sect">
  <h2>Cost (credits): <span>' . $prices->coupon . ' / ' . $prices->coupon_max_days . ' days</span></h2>
  <h3>For example: If you want to add a coupon valid until ' . date( 'm.d.Y', strtotime( "+ {$prices->coupon_max_days} days" ) ) . ' you have to pay ' . $prices->coupon . ' credits. If the expiration date is greater you have to pay ' . $prices->coupon . ' credits for every ' . $prices->coupon_max_days . ' day(s) <br /> Your balance is: <span>' . $my_credits . '</span> credits.</h3>
  </section>
  <div style="margin-top: 20px; text-align: center;"><a href="' . tlink( 'user/plans' ) . '" class="btn">Add Credits</a></div>';
}
echo '</div>';

break;

/*

MY PRODUCTS

*/

case 'my_products':

echo '<div class="left">';

if( ( $pagination = have_products( array( 'show' => 'all' ) ) ) && $pagination['results'] > 0 ) {

foreach( products( array( 'orderby' => 'date desc', 'show' => 'all' ) ) as $item ) {

echo '<article class="array_item product">

<div class="table">

<div class="left">
<img src="' . product_avatar( $item->image ) . '" alt="">
<span class="rating"><span style="width:' . ( $item->stars * 16 ) . 'px;"></span></span>
<a href="' . $item->store_reviews_link . '">' . $item->reviews . ' reviews</a>
</div>

<div class="right">
<a href="' . $item->link . '" class="title">' . ( !empty( $item->cashback ) ? '<span class="tooltip reward" title="Great! Purchase this product and you\'ll receive ' . $item->cashback . ' points.">' . $item->cashback . '</span> ' : '' ) . $item->title . '</a>';
if( !empty( $item->price ) ) {
  echo '<div class="price_info">Price: <span class="price">' . ( empty( $item->old_price ) ? '' : '<span>' . price_format( $item->old_price ) . '</span>' ) . price_format( $item->price ) . ' ' . $item->currency . '</span></div>';
}
echo 'Coupons for <a href="' . $item->store_link . '">' . $item->store_name . '</a>
<div class="description">' . ( !empty( $item->description ) ? nl2br( $item->description ) : 'no description' ) . '</div>

<ul class="details">
<li><span>Available Online:</span> <b>' . ( $item->is_available_online ? 'Yes' : 'No' ) . '</b></li>
<li><span>Product Added:</span> <b>' . timeago( strtotime( $item->date ), 'seconds' ) . ' ago</b></li>';
if( $item->is_expired ) echo '<li><span>Expired on:</span> <b class="expired">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else if( !$item->is_started ) echo '<li><span>Starts on:</span> <b class="notstarted">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else echo '<li><span>Expiration:</span> <b class="active">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
echo '</ul>

<div class="links">
<a href="' . tlink( 'user/owner_actions', 'action=edit_product&amp;id=' . (int)$item->ID ) . '" class="btn">Edit product</a>
<a href="#" class="more_details">More details</a>
<a href="#" class="share">Share</a>
</div>

</div>

</div>

<div class="share-coupon">

Share on social networks or copy the link and share anywhere:

<div class="shareto">

<ul>
<li class="tooltip share-fb" title="Share this on Facebook"><a href="#" onclick="openwindow(\'https://www.facebook.com/sharer/sharer.php?u=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-tw" title="Share this on Twitter"><a href="#" onclick="openwindow(\'https://twitter.com/home?status=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-go" title="Share this on Google+"><a href="#" onclick="openwindow(\'https://plus.google.com/share?url=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-li" title="Share this on Linkedin"><a href="#" onclick="openwindow(\'https://www.linkedin.com/shareArticle?mini=true&amp;url=' . $item->link . '&amp;title=' . $item->title . '&amp;summary=&amp;source=\', 500, 500, \'yes\');"></a></li>
</ul>

<input type="text" value="' . $item->link . '" onclick="$(this).select();" />

</div>

</div>

</article>';

}

if( isset( $pagination['prev_page'] ) || isset( $pagination['next_page'] ) ) {

  echo '<div class="pagination">';
  echo ( isset( $pagination['prev_page'] ) ? '<span><a href="' . $pagination['prev_page'] . '" class="btn">&#8592; Prev</a></span>' : '<span class="btn" style="opacity: 0.2;">&#8592; Prev</span>' );
  echo ( isset( $pagination['next_page'] ) ? '<span><a href="' . $pagination['next_page'] . '" class="btn">Next &#8594;</a></span>' : '<span class="btn" style="opacity: 0.2;">Next &#8594;</span>' );
  echo '<span>Page ' . $pagination['page'] . ' / ' . $pagination['pages'] . '</span>';
  echo '</div>';

}

} else {
  echo '<div class="info_form">You don\'t have any product yet.</div>';
}

echo '</div>

<div class="right" style="text-align: center;">
  <a href="' . tlink( 'user/owner_actions', 'action=add_product' ) . '" class="btn">Add new product</a>
</div>';

break;

/*

ADD PRODUCT

*/

case 'add_product':

$prices = prices( 'object' );
$my_credits = $GLOBALS['me']->Credits;

echo '<div class="left">
<div class="title">Add New Product</div>';
if( $my_credits < $prices->product ) {
  echo '<div class="mask-form"></div>';
}
  echo submit_product_form();
echo '</div>

<div class="right">';
if( $my_credits < $prices->product ) {
  echo '<div class="error">You don\'t have enough credits to add new coupons.</div>
  <div style="margin-top: 20px; text-align: center;"><a href="' . tlink( 'user/plans' ) . '" class="btn">Add Credits</a></div>';
  } else {
  echo '<section class="cost-sect">
  <h2>Cost (credits): <span>' . $prices->product . ' / ' . $prices->product_max_days . ' days</span></h2>
  <h3>For example: If you want to add a product valid until ' . date( 'm.d.Y', strtotime( "+ {$prices->product_max_days} days" ) ) . ' you have to pay ' . $prices->product . ' credits. If the expiration date is greater you have to pay ' . $prices->product . ' credits for every ' . $prices->product_max_days . ' day(s). <br /> Your balance is: <span>' . $my_credits . '</span> credits.</h3>
  </section>
  <div style="margin-top: 20px; text-align: center;"><a href="' . tlink( 'user/plans' ) . '" class="btn">Add Credits</a></div>';
}
echo '</div>';

break;

/*

EDIT PRODUCT

*/

case 'edit_product':

$prices = prices( 'object' );
$my_credits = $GLOBALS['me']->Credits;

echo '<div class="left">
<div class="title">Edit Product</div>';
if( $my_credits < $prices->product ) {
  echo '<div class="mask-form"></div>';
}
  echo edit_product_form( ( isset( $_GET['id'] ) ? $_GET['id'] : 0 ) );
echo '</div>

<div class="right">';
if( $my_credits < $prices->product ) {
  echo '<div class="error">You don\'t have enough credits to add new coupons.</div>
  <div style="margin-top: 20px; text-align: center;"><a href="' . tlink( 'user/plans' ) . '" class="btn">Add Credits</a></div>';
  } else {
  echo '<section class="cost-sect">
  <h2>Cost (credits): <span>' . $prices->product . ' / ' . $prices->product_max_days . ' days</span></h2>
  <h3>For example: If you want to add a product valid until ' . date( 'm.d.Y', strtotime( "+ {$prices->product_max_days} days" ) ) . ' you have to pay ' . $prices->product . ' credits. If the expiration date is greater you have to pay ' . $prices->product . ' credits for every ' . $prices->product_max_days . ' day(s) <br /> Your balance is: <span>' . $my_credits . '</span> credits.</h3>
  </section>
  <div style="margin-top: 20px; text-align: center;"><a href="' . tlink( 'user/plans' ) . '" class="btn">Add Credits</a></div>';
}
echo '</div>';

break;

/*

MY STORES

*/

case 'my_stores':

echo '<div class="left">';

if( ( $pagination = have_stores( array( 'show' => 'all' ) ) ) && $pagination['results'] > 0 ) {

$daysofweek = days_of_week(); 

foreach( stores( array( 'orderby' => 'date desc', 'show' => 'all' ) ) as $item ) {

echo '<article class="array_item">

<div class="table">

<div class="left">
<img src="' . store_avatar( $item->image ) . '" alt="">
<span class="rating"><span style="width:' . ( $item->stars * 16 ) . 'px;"></span></span>
<a href="' . $item->reviews_link . '">' . $item->reviews . ' reviews</a>
</div>

<div class="right">
<a href="' . $item->link . '" class="title">' . $item->name . '</a>
<div class="description">' . ( !empty( $item->description ) ? nl2br( $item->description ) : 'no description' ) . '</div>

<ul class="details">
<li><span>Coupons/Deals:</span> <b>' . $item->coupons . '</b></li>';
if( theme_has_products() ) {
  echo '<li><span>Products:</span> <b>' . $item->products . '</b></li>';
}
echo '<li><span>Sell Online:</span> <b>' . ( $item->sellonline ? 'Yes' : 'No' ) . '</b></li>';
if( $item->is_physical ) {

  $locations = store_locations( $item->ID );

  if( !empty( $locations ) ) {
    echo '<li><span>Location:</span> <ul>';
    foreach( $locations as $location ) {
      echo '<li>' . implode( array( $location->address, $location->zip, $location->city, $location->state, $location->country ), ', ' ) . '</li>';
    }
    echo '</ul></li>';
  }

  if( !empty( $item->hours ) ) {
    $today = strtolower( date('l') );
    echo '<li><span>Hours:</span> <ul>';
    foreach( $daysofweek as $day => $dayn ) {
      echo '<li' . ( $day === $today ? ' class="htoday"' : '' ) . '><span>' . $dayn . ':</span> <b>' . ( isset( $item->hours[$day]['opened'] ) ? $item->hours[$day]['from'] . ' - ' . $item->hours[$day]['to'] :  'closed' ) . '</b>';
    }
    echo '</ul></li>';
  }

}
if( !empty( $item->phone_no ) ) {
  echo '<li><span>Phone No.:</span> <b>' . $item->phone_no . '</b></li>';
}
echo '</ul>

<div class="links">
<a href="' . tlink( 'user/owner_actions', 'action=edit_store&amp;id=' . (int)$item->ID ) . '" class="btn">Edit store</a>
<a href="#" class="more_details">More details</a>
<a href="#" class="share">Share</a>
</div>

</div>

</div>

<div class="share-coupon">

Share on social networks or copy the link and share anywhere:

<div class="shareto">

<ul>
<li class="share-fb"><a href="#" onclick="openwindow(\'https://www.facebook.com/sharer/sharer.php?u=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="share-tw"><a href="#" onclick="openwindow(\'https://twitter.com/home?status=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="share-go"><a href="#" onclick="openwindow(\'https://plus.google.com/share?url=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="share-li"><a href="#" onclick="openwindow(\'https://www.linkedin.com/shareArticle?mini=true&amp;url=' . $item->link . '&amp;title=' . $item->name . '&amp;summary=&amp;source=\', 500, 500, \'yes\');"></a></li>
</ul>

<input type="text" value="' . $item->link . '" onclick="$(this).select();" />

</div>

</div>

</article>';

}

if( isset( $pagination['prev_page'] ) || isset( $pagination['next_page'] ) ) {

  echo '<div class="pagination">';
  echo ( isset( $pagination['prev_page'] ) ? '<span><a href="' . $pagination['prev_page'] . '" class="btn">&#8592; Prev</a></span>' : '<span class="btn" style="opacity: 0.2;">&#8592; Prev</span>' );
  echo ( isset( $pagination['next_page'] ) ? '<span><a href="' . $pagination['next_page'] . '" class="btn">Next &#8594;</a></span>' : '<span class="btn" style="opacity: 0.2;">Next &#8594;</span>' );
  echo '<span>Page ' . $pagination['page'] . ' / ' . $pagination['pages'] . '</span>';
  echo '</div>';

}

}

echo '</div>

<div class="right" style="text-align:center;">
  <a href="' . tlink( 'user/owner_actions', 'action=add_store' ) . '" class="btn">Add new store</a>
</div>';

break;

/*

ADD STORE

*/

case 'add_store':

$prices = prices( 'object' );
$my_credits = $GLOBALS['me']->Credits;

echo '<div class="left">
<div class="title">Add New Store</div>';
if( $my_credits < $prices->store ) {
  echo '<div class="mask-form"></div>';
}
  echo submit_store_form();

echo '</div>

<div class="right">';
if( $my_credits < $prices->store ) {
  echo '<div class="error">You don\'t have enough credits to add new stores.</div>
  <div style="margin-top: 20px; text-align: center;"><a href="' . tlink( 'user/plans' ) . '" class="btn">Add Credits</a></div>';
  } else {
  echo '<section class="cost-sect">
  <h2>Cost (credits): <span>' . $prices->store . '</span></h2>
  <h3>One-time fee. <br /> Your balance is: <span>' . $my_credits . '</span> credits.</h3>
  </section>
  <div style="margin-top: 20px; text-align: center;"><a href="' . tlink( 'user/plans' ) . '" class="btn">Add Credits</a></div>';
}
echo '</div>';

break;

/*

EDIT STORE

*/

case 'edit_store':

$my_credits = $GLOBALS['me']->Credits;

echo '<div class="left">
<div class="title">Edit Store/Brand</div>';
echo edit_store_form( ( $storeID = ( isset( $_GET['id'] ) ? $_GET['id'] : 0 ) ), array( 'LOCATION_ADD_LINK' => '?action=add_store_location&id=' . $storeID, 'LOCATION_EDIT_LINK' => '?action=edit_store_location&id=%ID%', 'LOCATION_DELETE_LINK' => '?action=delete_store_location&id=%ID%' ) );
echo '</div>

<div class="right">';
  echo '<section class="cost-sect">
  <h2>Cost (credits): <span>0</span></h2>
  <h3>It\'s always free to edit your stores. <br /> Your balance is: <span>' . $my_credits . '</span> credits.</h3>
  </section>
  <div style="margin-top: 20px; text-align: center;"><a href="' . tlink( 'user/plans' ) . '" class="btn">Add Credits</a></div>
</div>';

break;

/*

ADD STORE LOCATION

*/

case 'add_store_location':

echo '<div class="left">
<div class="title">Add Store/Brand Location</div>';
echo submit_store_location_form( ( isset( $_GET['id'] ) ? $_GET['id'] : 0 ) );
echo '</div>

<div class="right"></div>';

break;

/*

EDIT STORE LOCATION

*/

case 'edit_store_location':

echo '<div class="left">
<div class="title">Edit Store/Brand Location</div>';
echo edit_store_location_form( ( isset( $_GET['id'] ) ? $_GET['id'] : 0 ) );
echo '</div>

<div class="right"></div>';

break;

/*

ERROR 404

*/

default: echo read_template_part( '404' ); break;

}

} else

    echo read_template_part( '404' );

?>