<?php

/*

CHECK IF HAVE FAVORITE STOES

*/

function have_favorites( $category = array() ) {
    return \query\main::have_favorites( $category );
}

/*

INFORMATION ABOUT FAVORITE STORES

*/

function favorites( $category = array() ) {
    return \query\main::while_favorites( $category );
}

/*

CHECK IF HAVE SOMETHING ON THE WALL - COUPONS

*/

function have_wall( $category = array() ) {
    return \query\main::have_wall( $category );
}

/*

INFORMATION ABOUT THE WALL  - COUPONS

*/

function wall( $category = array() ) {
    return \query\main::while_wall( $category );
}

/*

CHECK IF HAVE SOMETHING ON THE WALL - PRODUCTS

*/

function have_wall_products( $category = array() ) {
    return \query\main::have_wall_products( $category );
}

/*

INFORMATION ABOUT THE WALL - PRODUCTS

*/

function wall_products( $category = array() ) {
    return \query\main::while_wall_products( $category );
}

/*

CHECK IF HAVE STORES

*/

function have_stores( $category = array() ) {
if( !$GLOBALS['me'] ) {
    return false;
}
    return \query\main::have_stores( array_merge( $category, array( 'user' => $GLOBALS['me']->ID ) ) );
}


/*

INFORMATION ABOUT STORES

*/

function stores( $category = array() ) {
if( !$GLOBALS['me'] ) {
    return false;
}
    return \query\main::while_stores( array_merge( $category, array( 'user' => $GLOBALS['me']->ID ) ) );
}

/*

CHECK IF HAVE COUPONS

*/

function have_coupons( $category = array() ) {
if( !$GLOBALS['me'] ) {
    return false;
}
    return \query\main::have_items( array_merge( $category, array( 'store_owner' => $GLOBALS['me']->ID ) ) );
}


/*

INFORMATION ABOUT COUPONS

*/

function coupons( $category = array() ) {
if( !$GLOBALS['me'] ) {
    return false;
}
    return \query\main::while_items( array_merge( $category, array( 'store_owner' => $GLOBALS['me']->ID ) ) );
}

/*

CHECK IF HAVE PRODUCTS

*/

function have_products( $category = array() ) {
if( !$GLOBALS['me'] ) {
    return false;
}
    return \query\main::have_products( array_merge( $category, array( 'store_owner' => $GLOBALS['me']->ID ) ) );
}


/*

INFORMATION ABOUT PRODUCTS

*/

function products( $category = array() ) {
if( !$GLOBALS['me'] ) {
    return false;
}
    return \query\main::while_products( array_merge( $category, array( 'store_owner' => $GLOBALS['me']->ID ) ) );
}

/*

GET REWARD

*/

function create_reward_request( $id = 0, $post = array() ) {

global $LANG;

/* This is not protected to CSRF attacks, just protect it where you use it */

  $form = '';

  if( !empty( $id ) || $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['Reward-ID'] ) ) {

  $form = '<div class="other_form">';

  $id = empty( $id ) ? (int) $_POST['Reward-ID'] : $id;
  $post = empty( $post ) ? ( isset( $_POST['Reward'][$id] ) ? (array) $_POST['Reward'][$id] : '' ) : $post;

  try {

    \user\main::get_reward( $id, $post );

    $form .= '<div class="success">' . $LANG['claim_reward_success'] . '</div>';

    unset( $_POST );

  }

  catch( Exception $e ){
    $form .= '<div class="error">' . $e->getMessage() . '</div>';
  }

  $form .= '</div>';

  }

  return $form;

}

/*

EDIT PROFILE FORM

*/

function edit_profile_form() {

global $LANG;

if( $GLOBALS['me'] ) {

  $form = '<div class="edit_profile_form other_form">';

  if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['edit_profile_form'] ) && \site\utils::check_csrf( $_POST['edit_profile_form']['csrf'], 'edit_profile_csrf' ) ) {

  $pd = \site\utils::validate_user_data( $_POST['edit_profile_form'] );

  try {

    $user_info = \user\main::edit_profile( $GLOBALS['me']->ID, $pd );

    $GLOBALS['me']->Avatar = $user_info->avatar;

    $form .= '<div class="success">' . $LANG['profile_success'] . '</div>';

  }

  catch( Exception $e ){
    $form .= '<div class="error">' . $e->getMessage() . '</div>';
  }

  }

  $csrf = $_SESSION['edit_profile_csrf'] = \site\utils::str_random(12);

  $form .= '<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">
  <div class="form_field"><label for="edit_profile_form[username]">' . $LANG['form_name'] . ':</label> <div><input type="text" name="edit_profile_form[username]" id="edit_profile_form[username]" value="' . ( isset( $pd['username'] ) ? $pd['username'] : $GLOBALS['me']->Name ) . '" required /></div></div>
  <div class="form_field"><label for="edit_profile_form[email]">' . $LANG['form_email'] . ':</label> <div><input type="text" name="edit_profile_form[email]" id="edit_profile_form[email]" value="' . $GLOBALS['me']->Email . '" disabled /></div></div>
  <div class="form_field"><label for="edit_profile_form_avatar">' . $LANG['form_avatar'] . ':</label> <div><img src="' . user_avatar( $GLOBALS['me']->Avatar ) . '" alt="" class="form_user_avatar" style="max-width:80px;height:80px;" /> <input type="file" name="edit_profile_form_avatar" id="edit_profile_form_avatar" class="inputFile" />
  <label for="edit_profile_form_avatar" class="fileUpload"></label>
  <span>Note:* max width: 300px, max height: 300px.</span></div></div>
  <div class="form_field"><span>' . $LANG['form_subscriber'] . ':</span> <div><input type="checkbox" name="edit_profile_form[subscriber]" id="edit_profile_form[subscriber]" class="inputCheckbox" ' . ( isset( $pd['subscriber'] ) || $_SERVER['REQUEST_METHOD'] !== 'POST' && $GLOBALS['me']->is_subscribed ? 'checked ' : '' ) . '/> <label for="edit_profile_form[subscriber]">' . $LANG['msg_subscribe'] . '</label></div></div>
  <input type="hidden" name="edit_profile_form[csrf]" value="' . $csrf . '" />
  <button>' . $LANG['profile_button'] . '</button>
  </form>

  </div>';

  return $form;

} else return '<div class="info_form">' . $LANG['unavailable_form'] . '</div>';

}

/*

CHANGE PASSWORD FORM

*/

function change_password_form() {

global $LANG;

if( $GLOBALS['me'] ) {

  $form = '<div class="change_password_form other_form">';

  if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['change_password_form'] ) && \site\utils::check_csrf( $_POST['change_password_form']['csrf'], 'change_password_csrf' ) ) {

  $pd = \site\utils::validate_user_data( $_POST['change_password_form'] );

  try {

    \user\main::change_password( $GLOBALS['me']->ID, $pd );
    $form .= '<div class="success">' . $LANG['change_pwd_success'] . '</div>';

  }

  catch( Exception $e ){
    $form .= '<div class="error">' . $e->getMessage() . '</div>';
  }

  }

  $csrf = $_SESSION['change_password_csrf'] = \site\utils::str_random(12);

  $form .= '<form action="#" method="POST" autocomplete="off">
  <div class="form_field"><label for="change_password_form[old]">' . $LANG['change_pwd_form_old'] . ':</label> <div><input type="password" name="change_password_form[old]" id="change_password_form[old]" value="" required /></div></div>
  <div class="form_field"><label for="change_password_form[new]">' . $LANG['change_pwd_form_new'] . ':</label> <div><input type="password" name="change_password_form[new]" id="change_password_form[new]" value="" required /></div></div>
  <div class="form_field"><label for="change_password_form[new2]">' . $LANG['change_pwd_form_new2'] . ':</label> <div><input type="password" name="change_password_form[new2]" id="change_password_form[new2]" value="" required /></div></div>
  <input type="hidden" name="change_password_form[csrf]" value="' . $csrf . '" />
  <button>' . $LANG['change_pwd_button'] . '</button>
  </form>

  </div>';

  return $form;

} else return '<div class="info_form">' . $LANG['unavailable_form'] . '</div>';

}

/*

SUBMIT NEW COUPON FORM

*/

function submit_coupon_form( $auto_select = array( 'store' => '' ) ) {

global $LANG;

if( $GLOBALS['me'] ) {

if( $GLOBALS['me']->Stores > 0 ) {

  if( ! (boolean) \query\main::get_option( 'allow_coupons' ) ) {

    return '<div class="info_form">' . $LANG['submit_cou_not_allowed'] . '</div>';

  }

  $form = '<div class="submit_coupon_form other_form">';

  if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['submit_coupon_form'] ) && \site\utils::check_csrf( $_POST['submit_coupon_form']['csrf'], 'submit_coupon_csrf' ) ) {

  $pd = \site\utils::validate_user_data( $_POST['submit_coupon_form'] );

  try {

    \user\main::submit_coupon( $pd );
    $form .= '<div class="success">' . $LANG['submit_cou_success'] . '</div>';

    unset( $pd );

  }

  catch( Exception $e ){
    $form .= '<div class="error">' . $e->getMessage() . '</div>';
  }

  }

  $csrf = $_SESSION['submit_coupon_csrf'] = \site\utils::str_random(12);

  $form .= '<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">
  <div class="form_field"><label for="submit_coupon_form[store]">' . $LANG['submit_cou_addto'] . '</label>
  <div><select name="submit_coupon_form[store]" id="submit_coupon_form[store]" data-switch-store="">';
  foreach( stores_custom( array( 'user' => $GLOBALS['me']->ID, 'max' => 0 ) ) as $v )$form .= '<option value="' . $v->ID . '" isPhysical="' . $v->is_physical . '" sellOnline="' . $v->sellonline . '"' . ( ( !isset( $pd['store'] ) && !empty( $auto_select['store'] ) && ( $auto_select['store'] == $v->ID || $auto_select['store'] == $v->name ) ) || ( isset( $pd['store'] ) && $pd['store'] == $v->ID ) ? ' selected' : '' ) . '>' . $v->name . '</option>';
  $form .= '</select></div>
  </div>
  <div class="form_field"><label for="submit_coupon_form[category]">' . $LANG['form_category'] . '</label>
  <div><select name="submit_coupon_form[category]" id="submit_coupon_form[category]">';
  foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  $wcat = '<optgroup label="' . $cat['infos']->name . '">';
  $wcat .= '<option value="' . $cat['infos']->ID . '"' . ( isset( $pd['category'] ) && $pd['category']== $cat['infos']->ID ? ' selected' : '' ) . '>' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      $wcat .= '<option value="' . $subcat->ID . '"' . ( isset( $pd['category'] ) && $pd['category']== $cat['infos']->ID ? ' selected' : '' ) . '>' . $subcat->name . '</option>';
    }
  }
  $wcat .= '</optgroup>';
  $form .= $wcat;
  }
  $form .= '</select></div>
  </div>
  <div class="form_field"><label for="submit_coupon_form[name]">' . $LANG['form_name'] . ':</label> <div><input type="text" name="submit_coupon_form[name]" id="submit_coupon_form[name]" value="' . ( isset( $pd['name'] ) ? $pd['name'] : '' ) . '" maxlength="255" placeholder="' . $LANG['submit_cou_name_ph'] . '" required /></div></div>
  <div class="form_field" data-showSS="" style="display:none;"><label for="submit_coupon_form[type]">' . $LANG['form_type'] . ':</label>
  <div><select name="submit_coupon_form[type]" id="submit_coupon_form[type]" data-change-type="">';
  foreach( array( 0 => $LANG['dealnrprint'], 1 => $LANG['printhtml'], 2 => $LANG['printsource'] ) as $type_id => $type_name ) {
    $form .= '<option value="' . $type_id . '"' . ( $type_id === 0 ? ' selected' : '' ) . '>' . $type_name . '</option>';
  }
  $form .= '</select></div></div>

  <div class="form_field" data-source="" style="display:none;"><label for="submit_coupon_form_source">' . $LANG['form_source'] . ':</label> <div>
  <input type="file" name="submit_coupon_form_source" id="submit_coupon_form_source" value="" /></div></div>
  <div class="form_field" data-avbl-online="" style="display:none;"><span>' . $LANG['form_avabonline'] . ':</span><div>
  <input type="checkbox" name="submit_coupon_form[avbl_online]" id="submit_coupon_form[avbl_online]" data-is_online="" value="1" /> <label for="submit_coupon_form[avbl_online]"><span></span> ' . $LANG['coupons_avabonline'] . '</label></div></div>
  <div class="form_field" data-hideSS="" data-coupon-code=""><label for="submit_coupon_form[code]">' . $LANG['form_code'] . ':</label> <div><input type="text" name="submit_coupon_form[code]" id="submit_coupon_form[code]" value="' . ( isset( $pd['code'] ) ? $pd['code'] : '' ) . '" placeholder="' . $LANG['submit_cou_code_ph'] . '" /></div></div>
  <div class="form_field" data-hideSS="" data-coupon-url=""><label for="submit_coupon_form[url]">' . $LANG['form_coupon_url'] . ':</label> <div><input type="text" name="submit_coupon_form[url]" id="submit_coupon_form[url]" value="' . ( isset( $pd['url'] ) ? $pd['url'] : '' ) . '" placeholder="' . $LANG['submit_cou_url_ph'] . '" /></div></div>
  <div class="form_field"><label for="submit_coupon_form[description]">' . $LANG['form_description'] . ':</label> <div><textarea name="submit_coupon_form[description]" id="submit_coupon_form[description]" style="height:100px;">' . ( isset( $pd['description'] ) ? $pd['description'] : '' ) . '</textarea></div></div>
  <div class="form_field"><label for="submit_coupon_form_image">' . $LANG['form_image'] . ':</label> <div><input type="file" name="submit_coupon_form_image" id="submit_coupon_form_image" class="inputFile" /><label for="submit_coupon_form_image" class="fileUpload"></label></div></div>
  <div class="form_field"><label for="submit_coupon_form[tags]">' . $LANG['form_tags'] . ':</label> <div><input type="text" name="submit_coupon_form[tags]" id="submit_coupon_form[tags]" value="' . ( isset( $pd['tags'] ) ? $pd['tags'] : '' ) . '" /></div></div>
  <div class="form_field"><label for="submit_coupon_form[start]">' . $LANG['form_start_date'] . ':</label> <div><input type="date" name="submit_coupon_form[start]" id="submit_coupon_form[start]" value="' . ( isset( $pd['start'] ) ? $pd['start'] : '' ) . '" style="width:79%;margin-right:1%;" /><input type="time" name="submit_coupon_form[start_hour]" value="' . ( isset( $pd['start_hour'] ) ? $pd['start_hour'] : '00:00' ) . '" style="width:20%" /></div></div>
  <div class="form_field"><label for="submit_coupon_form[end]">' . $LANG['form_end_date'] . ':</label> <div><input type="date" name="submit_coupon_form[end]" id="submit_coupon_form[end]" value="' . ( isset( $pd['end'] ) ? $pd['end'] : '' ) . '" style="width: 79%;margin-right:1%;" /><input type="time" name="submit_coupon_form[end_hour]" value="' . ( isset( $pd['end_hour'] ) ? $pd['end_hour'] : '00:00' ) . '" style="width:20%" /></div></div>
  <input type="hidden" name="submit_coupon_form[csrf]" value="' . $csrf . '" />
  <button>' . $LANG['submit_cou_button'] . '</button>
  </form>

  </div>

  <script src="' . $GLOBALS['siteURL'] . PDIR . '/js/oncheck.js"></script>
  <script src="' . $GLOBALS['siteURL'] . PDIR . '/js/owner.js"></script>

  <script>
  $( document ).ready(function() {

    $( "select[data-switch-store]" ).switch_store_from_coupon( {onLoad: true} );
    $( "select[data-switch-store]" ).change_coupon_type();
    $( "input[data-is_online]" ).oncheck( {Elements: "[data-coupon-code],[data-coupon-url]"} );

  });
  </script>';

  return $form;

} else return '<div class="info_form">' . $LANG['unavailable_form2'] . '</div>';

} else return '<div class="info_form">' . $LANG['unavailable_form'] . '</div>';

}

/*

EDIT COUPON FORM

*/

function edit_coupon_form( $id ) {

global $LANG;

if( $GLOBALS['me'] ) {

if( $GLOBALS['me']->Stores > 0 ) {

$coupon = \query\main::item_infos( $id, array( 'nobb' => true ) );

  if( !\query\main::have_store( $coupon->storeID, $GLOBALS['me']->ID ) ) {

    return '<div class="info_form">' . $LANG['edit_cou_cant'] . '</div>';

  }

  $form = '<div class="edit_coupon_form other_form">';

  if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['edit_coupon_form'] ) && \site\utils::check_csrf( $_POST['edit_coupon_form']['csrf'], 'edit_coupon_csrf' ) ) {

  $pd = \site\utils::validate_user_data( $_POST['edit_coupon_form'] );

  try {

    \user\main::edit_coupon( $id, $pd );
    $form .= '<div class="success">' . $LANG['edit_cou_success'] . '</div>';

    // check again information about this item

    $coupon = \query\main::item_infos( $id, array( 'nobb' => true ) );

    unset( $pd );

  }

  catch( Exception $e ){
    $form .= '<div class="error">' . $e->getMessage() . '</div>';
  }

  }

  $csrf = $_SESSION['edit_coupon_csrf'] = \site\utils::str_random(12);

  $form .= '<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">
  <div class="form_field"><label for="edit_coupon_form[store]">' . $LANG['submit_cou_addto'] . ':</label>
  <div><select name="edit_coupon_form[store]" id="edit_coupon_form[store]" data-switch-store="">';
  foreach( stores_custom( array( 'user' => $GLOBALS['me']->ID, 'max' => 0 ) ) as $v )$form .= '<option value="' . $v->ID . '" isPhysical="' . $v->is_physical . '" sellOnline="' . $v->sellonline . '"' . ( ( !isset( $pd['store'] ) && $coupon->storeID == $v->ID ) || ( isset( $pd['store'] ) && $pd['store'] == $v->ID ) ? ' selected' : '' ) . '>' . $v->name . '</option>';
  $form .= '</select></div>
  </div>
  <div class="form_field"><label for="edit_coupon_form[category]">' . $LANG['form_category'] . '</label>
  <div><select name="edit_coupon_form[category]" id="edit_coupon_form[category]">';
  $category = isset( $pd['category'] ) ? $pd['category'] : $coupon->catID;
  foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  $wcat = '<optgroup label="' . $cat['infos']->name . '">';
  $wcat .= '<option value="' . $cat['infos']->ID . '"' . ( $category == $cat['infos']->ID ? ' selected' : '' ) . '>' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      $wcat .= '<option value="' . $subcat->ID . '"' . ( $category == $subcat->ID ? ' selected' : '' ) . '>' . $subcat->name . '</option>';
    }
  }
  $wcat .= '</optgroup>';
  $form .= $wcat;
  }
  $form .= '</select></div>
  </div>
  <div class="form_field"><label for="edit_coupon_form[name]">' . $LANG['form_name'] . ':</label> <div><input type="text" name="edit_coupon_form[name]" id="edit_coupon_form[name]" value="' . ( isset( $pd['name'] ) ? $pd['name'] : $coupon->title ) . '" maxlength="255" placeholder="' . $LANG['submit_cou_name_ph'] . '" required /></div></div>
  <div class="form_field" data-showSS=""' . ( !$coupon->store_is_physical ? ' style="display:none;"' : '' ) . '><label for="edit_coupon_form[type]">' . $LANG['form_type'] . ':</label>
  <div><select name="edit_coupon_form[type]" id="edit_coupon_form[type]" data-change-type="">';
  $type = 0;
  if( $coupon->is_printable ) {
    if( empty( $coupon->source ) ) {
      $type = 1;
    } else {
      $type = 2;
    }
  }
  foreach( array( 0 => $LANG['dealnrprint'], 1 => $LANG['printhtml'], 2 => $LANG['printsource'] ) as $type_id => $type_name ) {
    $form .= '<option value="' . $type_id . '"' . ( $type === $type_id ? ' selected' : '' ) . '>' . $type_name . '</option>';
  }
  $form .= '</select></div></div>
  <div class="form_field" data-source=""' . ( $type !== 2 ? ' style="display:none;"' : '' ) . '><label for="edit_coupon_form_source">' . $LANG['form_source'] . ':</label> <div>';
  if( $coupon->is_local_source ) {
  $form .= '<img src="' . $coupon->source . '" alt="" class="form_source_avatar" style="max-width:80px;height:80px;" />';
  }
  $form .= '<input type="file" name="edit_coupon_form_source" id="edit_coupon_form_source" value="" /></div></div>
  <div class="form_field" data-avbl-online=""' . ( $type !== 0 || ( $coupon->store_is_physical && !$coupon->store_sellonline ) || !$coupon->store_is_physical ? ' style="display: none;"' : '' ) . '><span>' . $LANG['form_avabonline'] . ':</span><div>
  <input type="checkbox" name="edit_coupon_form[avbl_online]" id="edit_coupon_form[avbl_online]" class="inputCheckbox" data-is_online="" value="1"' . ( $type === 0 && $coupon->is_available_online ? ' checked' : '' ) . ' /> <label for="edit_coupon_form[avbl_online]"><span></span> ' . $LANG['coupons_avabonline'] . '</label></div></div>
  <div class="form_field" data-hideSS="" data-coupon-code=""' . ( $type !== 0 || ( $coupon->store_is_physical && !$coupon->store_sellonline ) || !$coupon->is_available_online ? ' style="display: none;"' : '' ) . '><label for="edit_coupon_form[code]">' . $LANG['form_code'] . ':</label> <div><input type="text" name="edit_coupon_form[code]" id="edit_coupon_form[code]" value="' . ( isset( $pd['code'] ) ? $pd['code'] : $coupon->code ) . '" placeholder="' . $LANG['submit_cou_code_ph'] . '" /></div></div>
  <div class="form_field" data-hideSS="" data-coupon-url=""' . ( $type !== 0 || ( $coupon->store_is_physical && !$coupon->store_sellonline ) || !$coupon->is_available_online ? ' style="display: none;"' : '' ) . '><label for="edit_coupon_form[url]">' . $LANG['form_coupon_url'] . ':</label> <div><input type="text" name="edit_coupon_form[url]" id="edit_coupon_form[url]" value="' . ( isset( $pd['url'] ) ? $pd['url'] : $coupon->original_url ) . '" placeholder="' . $LANG['submit_cou_url_ph'] . '" /></div></div>
  <div class="form_field"><label for="edit_coupon_form[description]">' . $LANG['form_description'] . ':</label> <div><textarea name="edit_coupon_form[description]" id="edit_coupon_form[description]" style="height:100px;">' . ( isset( $pd['description'] ) ? $pd['description'] : $coupon->description ) . '</textarea></div></div>
  <div class="form_field"><label for="edit_coupon_form[tags]">' . $LANG['form_tags'] . ':</label> <div><input type="text" name="edit_coupon_form[tags]" id="edit_coupon_form[tags]" value="' . ( isset( $pd['tags'] ) ? $pd['tags'] : $coupon->tags ) . '" /></div></div>
  <div class="form_field"><label for="edit_coupon_form_image">' . $LANG['form_image'] . ':</label> <div>';
  if( !empty( $coupon->image ) ) {
    $form .= '<img src="' . $GLOBALS['siteURL'] . $coupon->image . '" alt="" style="width:100px;height:50px;" />';
  }
  $form .= '<input type="file" name="edit_coupon_form_image" id="edit_coupon_form_image" class="inputFile" /><label for="edit_coupon_form_image" class="fileUpload"></label></div></div>
  <div class="form_field"><label for="edit_coupon_form[start]">' . $LANG['form_start_date'] . ':</label> <div><input type="date" name="edit_coupon_form[start]" id="edit_coupon_form[start]" value="' . ( isset( $pd['start'] ) ? $pd['start'] : date( 'Y-m-d', strtotime( $coupon->start_date ) ) ) . '" style="width:79%;margin-right:1%;" /><input type="time" name="edit_coupon_form[start_hour]" value="' . ( isset( $pd['start_hour'] ) ? $pd['start_hour'] : date( 'H:i', strtotime( $coupon->start_date ) ) ) . '" style="width:20%;" /></div></div>
  <div class="form_field"><label for="edit_coupon_form[end]">' . $LANG['form_end_date'] . ':</label> <div><input type="date" name="edit_coupon_form[end]" id="edit_coupon_form[end]" value="' . ( isset( $pd['end'] ) ? $pd['end'] : date( 'Y-m-d', strtotime( $coupon->expiration_date ) ) ) . '" style="width:79%;margin-right:1%;" /><input type="time" name="edit_coupon_form[end_hour]" value="' . ( isset( $pd['end_hour'] ) ? $pd['end_hour'] : date( 'H:i', strtotime( $coupon->expiration_date ) ) ) . '" style="width:20%;" /></div></div>
  <input type="hidden" name="edit_coupon_form[csrf]" value="' . $csrf . '" />
  <button>' . $LANG['edit_cou_button'] . '</button>
  </form>

  </div>

  <script src="' . $GLOBALS['siteURL'] . PDIR . '/js/oncheck.js"></script>
  <script src="' . $GLOBALS['siteURL'] . PDIR . '/js/owner.js"></script>

  <script>
  $( document ).ready(function() {

    $( "select[data-switch-store]" ).switch_store_from_coupon();
    $( "select[data-switch-store]" ).change_coupon_type();
    $( "input[data-is_online]" ).oncheck( {Elements: "[data-coupon-code],[data-coupon-url]"} );

  });
  </script>';

  return $form;

} else return '<div class="info_form">' . $LANG['unavailable_form2'] . '</div>';

} else return '<div class="info_form">' . $LANG['unavailable_form'] . '</div>';

}

/*

SUBMIT NEW PRODUCT FORM

*/

function submit_product_form( $auto_select = array( 'store' => '' ) ) {

global $LANG;

if( $GLOBALS['me'] ) {

if( $GLOBALS['me']->Stores > 0 ) {

  if( ! (boolean) \query\main::get_option( 'allow_products' ) ) {

    return '<div class="info_form">' . $LANG['submit_prod_not_allowed'] . '</div>';

  }

  $form = '<div class="submit_product_form other_form">';

  if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['submit_product_form'] ) && \site\utils::check_csrf( $_POST['submit_product_form']['csrf'], 'submit_product_csrf' ) ) {

  $pd = \site\utils::validate_user_data( $_POST['submit_product_form'] );

  try {

    \user\main::submit_product( $pd );
    $form .= '<div class="success">' . $LANG['submit_cou_success'] . '</div>';

    unset( $pd );

  }

  catch( Exception $e ){
    $form .= '<div class="error">' . $e->getMessage() . '</div>';
  }

  }

  $csrf = $_SESSION['submit_product_csrf'] = \site\utils::str_random(12);

  $form .= '<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">
  <div class="form_field"><label for="submit_product_form[store]">' . $LANG['submit_prod_addto'] . '</label>
  <div><select name="submit_product_form[store]" id="submit_product_form[store]">';
  foreach( stores_custom( array( 'user' => $GLOBALS['me']->ID, 'max' => 0 ) ) as $v )$form .= '<option value="' . $v->ID . '"' . ( ( !isset( $pd['store'] ) && !empty( $auto_select['store'] ) && ( $auto_select['store'] == $v->ID || $auto_select['store'] == $v->name ) ) || ( isset( $pd['store'] ) && $pd['store'] == $v->ID ) ? ' selected' : '' ) . '>' . $v->name . '</option>';
  $form .= '</select></div>
  </div>
  <div class="form_field"><label for="submit_product_form[category]">' . $LANG['form_category'] . '</label>
  <div><select name="submit_product_form[category]" id="submit_product_form[category]">';
  foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  $wcat = '<optgroup label="' . $cat['infos']->name . '">';
  $wcat .= '<option value="' . $cat['infos']->ID . '"' . ( isset( $pd['category'] ) && $pd['category']== $cat['infos']->ID ? ' selected' : '' ) . '>' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      $wcat .= '<option value="' . $subcat->ID . '"' . ( isset( $pd['category'] ) && $pd['category']== $cat['infos']->ID ? ' selected' : '' ) . '>' . $subcat->name . '</option>';
    }
  }
  $wcat .= '</optgroup>';
  $form .= $wcat;
  }
  $form .= '</select></div>
  </div>
  <div class="form_field"><label for="submit_product_form[name]">' . $LANG['form_name'] . ':</label> <div><input type="text" name="submit_product_form[name]" id="submit_product_form[name]" value="' . ( isset( $pd['name'] ) ? $pd['name'] : '' ) . '" maxlength="255" placeholder="' . $LANG['submit_prod_name_ph'] . '" required /></div></div>
  <div class="form_field"><label for="submit_product_form[price]">' . $LANG['form_price'] . ':</label> <div><input type="text" name="submit_product_form[price]" id="submit_product_form[price]" value="' . ( isset( $pd['price'] ) ? $pd['price'] : '' ) . '" placeholder="' . $LANG['submit_prod_price_ph'] . '" /></div></div>
  <div class="form_field"><label for="submit_product_form[old_price]">' . $LANG['form_old_price'] . ':</label> <div><input type="text" name="submit_product_form[old_price]" id="submit_product_form[old_price]" value="' . ( isset( $pd['old_price'] ) ? $pd['old_price'] : '' ) . '" placeholder="' . $LANG['submit_prod_oldprice_ph'] . '" /></div></div>
  <div class="form_field"><label for="submit_product_form[currency]">' . $LANG['currency'] . ':</label> <div><input type="text" name="submit_product_form[currency]" id="submit_product_form[currency]" value="' . ( isset( $pd['currency'] ) ? $pd['currency'] : CURRENCY ) . '" /></div></div>
  <div class="form_field"><label for="submit_product_form[url]">' . $LANG['form_product_url'] . ':</label> <div><input type="text" name="submit_product_form[url]" id="submit_product_form[url]" value="' . ( isset( $pd['url'] ) ? $pd['url'] : '' ) . '" /></div></div>
  <div class="form_field"><label for="submit_product_form[description]">' . $LANG['form_description'] . ':</label> <div><textarea name="submit_product_form[description]" id="submit_product_form[description]" style="height:100px;">' . ( isset( $pd['description'] ) ? $pd['description'] : '' ) . '</textarea></div></div>
  <div class="form_field"><label for="submit_product_form[tags]">' . $LANG['form_tags'] . ':</label> <div><input type="text" name="submit_product_form[tags]" id="submit_product_form[tags]" value="' . ( isset( $pd['tags'] ) ? $pd['tags'] : '' ) . '" /></div></div>
  <div class="form_field"><label for="submit_product_form_image">' . $LANG['form_image'] . ':</label> <div><input type="file" name="submit_product_form_image" id="submit_product_form_image" class="inputFile" /><label for="submit_product_form_image" class="fileUpload"></label></div></div>
  <div class="form_field"><label for="submit_product_form[start]">' . $LANG['form_start_date'] . ':</label> <div><input type="date" name="submit_product_form[start]" id="submit_product_form[start]" value="' . ( isset( $pd['start'] ) ? $pd['start'] : '' ) . '" style="width:79%;margin-right:1%;" /><input type="time" name="submit_product_form[start_hour]" value="' . ( isset( $pd['start_hour'] ) ? $pd['start_hour'] : '00:00' ) . '" style="width:20%" /></div></div>
  <div class="form_field"><label for="submit_product_form[end]">' . $LANG['form_end_date'] . ':</label> <div><input type="date" name="submit_product_form[end]" id="submit_product_form[end]" value="' . ( isset( $pd['end'] ) ? $pd['end'] : '' ) . '" style="width:79%;margin-right:1%;" /><input type="time" name="submit_product_form[end_hour]" value="' . ( isset( $pd['end_hour'] ) ? $pd['end_hour'] : '00:00' ) . '" style="width:20%" /></div></div>
  <input type="hidden" name="submit_product_form[csrf]" value="' . $csrf . '" />
  <button>' . $LANG['submit_prod_button'] . '</button>
  </form>

  </div>';

  return $form;

} else return '<div class="info_form">' . $LANG['unavailable_form2'] . '</div>';

} else return '<div class="info_form">' . $LANG['unavailable_form'] . '</div>';

}

/*

EDIT PRODUCT FORM

*/

function edit_product_form( $id ) {

global $LANG;

if( $GLOBALS['me'] ) {

if( $GLOBALS['me']->Stores > 0 ) {

$product = \query\main::product_infos( $id, array( 'nobb' => true ) );

  if( !\query\main::have_store( $product->storeID, $GLOBALS['me']->ID ) ) {

    return '<div class="info_form">' . $LANG['edit_prod_cant'] . '</div>';

  }

  /* */
  $product_image = $product->image;

  $form = '<div class="edit_product_form other_form">';

  if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['edit_product_form'] ) && \site\utils::check_csrf( $_POST['edit_product_form']['csrf'], 'edit_product_csrf' ) ) {

  $pd = \site\utils::validate_user_data( $_POST['edit_product_form'] );

  try {

    $post_info = \user\main::edit_product( $id, $pd );
    $product_image = $post_info->image;

    $form .= '<div class="success">' . $LANG['edit_cou_success'] . '</div>';

  }

  catch( Exception $e ){
    $form .= '<div class="error">' . $e->getMessage() . '</div>';
  }

  }

  $csrf = $_SESSION['edit_product_csrf'] = \site\utils::str_random(12);

  $form .= '<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">
  <div class="form_field"><label for="edit_product_form[store]">' . $LANG['submit_prod_addto'] . ':</label>
  <div><select name="edit_product_form[store]" id="edit_product_form[store]">';
  foreach( stores_custom( array( 'user' => $GLOBALS['me']->ID, 'max' => 0 ) ) as $v )$form .= '<option value="' . $v->ID . '"' . ( ( !isset( $pd['store'] ) && $product->storeID == $v->ID ) || ( isset( $pd['store'] ) && $pd['store'] == $v->ID ) ? ' selected' : '' ) . '>' . $v->name . '</option>';
  $form .= '</select></div>
  </div>
  <div class="form_field"><label for="edit_product_form[category]">' . $LANG['form_category'] . '</label>
  <div><select name="edit_product_form[category]" id="edit_product_form[category]">';
  $category = isset( $pd['category'] ) ? $pd['category'] : $product->catID;
  foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  $wcat = '<optgroup label="' . $cat['infos']->name . '">';
  $wcat .= '<option value="' . $cat['infos']->ID . '"' . ( $category == $cat['infos']->ID ? ' selected' : '' ) . '>' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      $wcat .= '<option value="' . $subcat->ID . '"' . ( $category == $subcat->ID ? ' selected' : '' ) . '>' . $subcat->name . '</option>';
    }
  }
  $wcat .= '</optgroup>';
  $form .= $wcat;
  }
  $form .= '</select></div>
  </div>
  <div class="form_field"><label for="edit_product_form[name]">' . $LANG['form_name'] . ':</label> <div><input type="text" name="edit_product_form[name]" id="edit_product_form[name]" value="' . ( isset( $pd['name'] ) ? $pd['name'] : $product->title ) . '" placeholder="' . $LANG['submit_prod_name_ph'] . '" required /></div></div>
  <div class="form_field"><label for="edit_product_form[price]">' . $LANG['form_price'] . ':</label> <div><input type="text" name="edit_product_form[price]" id="edit_product_form[price]" value="' . ( isset( $pd['price'] ) ? $pd['price'] : ( empty( $product->price ) ? '' : $product->price ) ) . '" placeholder="' . $LANG['submit_prod_price_ph'] . '" /></div></div>
  <div class="form_field"><label for="edit_product_form[old_price]">' . $LANG['form_old_price'] . ':</label> <div><input type="text" name="edit_product_form[old_price]" id="edit_product_form[old_price]" value="' . ( isset( $pd['old_price'] ) ? $pd['old_price'] : ( empty( $product->old_price ) ? '' : $product->old_price ) ) . '" placeholder="' . $LANG['submit_prod_oldprice_ph'] . '" /></div></div>
  <div class="form_field"><label for="edit_product_form[currency]">' . $LANG['form_currency'] . ':</label> <div><input type="text" name="edit_product_form[currency]" id="edit_product_form[currency]" value="' . ( isset( $pd['currency'] ) ? $pd['currency'] : $product->currency ) . '" /></div></div>
  <div class="form_field"><label for="edit_product_form[url]">' . $LANG['form_product_url'] . ':</label> <div><input type="text" name="edit_product_form[url]" id="edit_product_form[url]" value="' . ( isset( $pd['url'] ) ? $pd['url'] : $product->url ) . '" placeholder="' . $LANG['submit_cou_url_ph'] . '" /></div></div>
  <div class="form_field"><label for="edit_product_form[description]">' . $LANG['form_description'] . ':</label> <div><textarea name="edit_product_form[description]" id="edit_product_form[description]" style="height:100px;">' . ( isset( $pd['description'] ) ? $pd['description'] : $product->description ) . '</textarea></div></div>
  <div class="form_field"><label for="edit_product_form[tags]">' . $LANG['form_tags'] . ':</label> <div><input type="text" name="edit_product_form[tags]" id="edit_product_form[tags]" value="' . ( isset( $pd['tags'] ) ? $pd['tags'] : $product->tags ) . '" /></div></div>
  <div class="form_field"><label for="edit_product_form_image">' . $LANG['form_image'] . ':</label> <div><img src="' . product_avatar( $product_image ) . '" alt="" style="width:90px;height:90px;" /> <input type="file" name="edit_product_form_image" id="edit_product_form_image" class="inputFile" /><label for="edit_product_form_image" class="fileUpload"></label></div></div>
  <div class="form_field"><label for="edit_product_form[start]">' . $LANG['form_start_date'] . ':</label> <div><input type="date" name="edit_product_form[start]" id="edit_product_form[start]" value="' . ( isset( $pd['start'] ) ? $pd['start'] : date( 'Y-m-d', strtotime( $product->start_date ) ) ) . '" style="width: 79%; margin-right: 1%;" /><input type="time" name="edit_product_form[start_hour]" value="' . ( isset( $pd['start_hour'] ) ? $pd['start_hour'] : date( 'H:i', strtotime( $product->start_date ) ) ) . '" style="width: 20%" /></div></div>
  <div class="form_field"><label for="edit_product_form[end]">' . $LANG['form_end_date'] . ':</label> <div><input type="date" name="edit_product_form[end]" id="edit_product_form[end]" value="' . ( isset( $pd['end'] ) ? $pd['end'] : date( 'Y-m-d', strtotime( $product->expiration_date ) ) ) . '" style="width: 79%; margin-right: 1%;" /><input type="time" name="edit_product_form[end_hour]" value="' . ( isset( $pd['end_hour'] ) ? $pd['end_hour'] : date( 'H:i', strtotime( $product->expiration_date ) ) ) . '" style="width: 20%" /></div></div>
  <input type="hidden" name="edit_product_form[csrf]" value="' . $csrf . '" />
  <button>' . $LANG['edit_prod_button'] . '</button>
  </form>

  </div>';

  return $form;

} else return '<div class="info_form">' . $LANG['unavailable_form2'] . '</div>';

} else return '<div class="info_form">' . $LANG['unavailable_form'] . '</div>';

}

/*

SUBMIT NEW STORE FORM

*/

function submit_store_form( $auto_select = array( 'store' => '' ) ) {

global $LANG;

if( $GLOBALS['me'] ) {

  if( ! (boolean) \query\main::get_option( 'allow_stores' ) ) {

    return '<div class="info_form">' . $LANG['submit_store_not_allowed'] . '</div>';

  }

  $form = '<div class="submit_store_form other_form">';

  if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['submit_store_form'] ) && \site\utils::check_csrf( $_POST['submit_store_form']['csrf'], 'submit_store_csrf' ) ) {

  $pd = \site\utils::validate_user_data( $_POST['submit_store_form'] );

  try {

    \user\main::submit_store( $GLOBALS['me']->ID, $pd );
    $form .= '<div class="success">' . $LANG['submit_store_success'] . '</div>';

    unset( $pd );

  }

  catch( Exception $e ){
    $form .= '<div class="error">' . $e->getMessage() . '</div>';
  }

  }

  $csrf = $_SESSION['submit_store_csrf'] = \site\utils::str_random(12);

  $form .= '<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">
  <div class="form_field"><label for="submit_store_form[category]">' . $LANG['form_category'] . '</label>
  <div><select name="submit_store_form[category]" id="submit_store_form[category]">';
  foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  $wcat = '<optgroup label="' . $cat['infos']->name . '">';
  $wcat .= '<option value="' . $cat['infos']->ID . '"' . ( isset( $pd['category'] ) && $pd['category']== $cat['infos']->ID ? ' selected' : '' ) . '>' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      $wcat .= '<option value="' . $subcat->ID . '"' . ( isset( $pd['category'] ) && $pd['category']== $cat['infos']->ID ? ' selected' : '' ) . '>' . $subcat->name . '</option>';
    }
  }
  $wcat .= '</optgroup>';
  $form .= $wcat;
  }
  $form .= '</select></div>
  </div>
  <div class="form_field"><label for="submit_store_form[name]">' . $LANG['form_name'] . ':</label> <div><input type="text" name="submit_store_form[name]" id="submit_store_form[name]" value="' . ( isset( $pd['name'] ) ? $pd['name'] : '' ) . '" placeholder="' . $LANG['submit_store_name_ph'] . '" required /></div></div>
  <div class="form_field"><span>' . $LANG['form_type'] . ':</span>
  <div><select name="submit_store_form[type]" data-switch-type="">';
  foreach( array( 0 => $LANG['onlinestore'], 1 => $LANG['physicalstore'] ) as $type_id => $type_msg ) {
    $form .= '<option value="' . $type_id . '">' . $type_msg . '</option>';
  }

  $form .= '</select>
  </div></div>

  <div class="form_field" data-hideSS="" style="display:none;"><span>' . $LANG['form_locations'] . ':</span>
  <div class="form_field-locations">';
  $form .= '<div>' . $LANG['msg_strcaselocal'] . '</div>';
  $form .= '</div></div>

  <div class="form_field" data-hideSS="" style="display: none;"><span>' . $LANG['form_hours'] . ':</span>
  <div class="form_field-hours"> <input name="submit_store_form[notb_hours]" type="checkbox" id="submit_store_form[notb_hours]" class="inputCheckbox" data-show-hours="" value="1" checked /> <label for="submit_store_form[notb_hours]"><span></span> ' . $LANG['msg_blankinfo'] . '</label>
  <ul data-store-hours="" style="display: none;">';
  $hours = array( '01:00', '01:15', '01:30', '01:45', '02:00', '02:15', '02:30', '02:45', '03:00', '03:15', '03:30', '03:45', '04:00', '04:15', '04:30', '04:45',
                  '05:00', '05:15', '05:30', '05:45', '06:00', '06:15', '06:30', '06:45', '07:00', '07:15', '07:30', '07:45', '08:00', '08:15', '08:30', '08:45',
                  '09:00', '09:15', '09:30', '09:45', '10:00', '10:15', '10:30', '11:45', '12:00', '12:15', '12:30', '12:45', '13:00', '13:15', '13:30', '13:45',
                  '14:00', '14:15', '14:30', '14:45', '15:00', '15:15', '15:30', '15:45', '16:00', '16:15', '16:30', '16:45', '17:00', '17:15', '17:30', '17:45',
                  '18:00', '18:15', '18:30', '18:45', '19:00', '19:15', '19:30', '19:45', '20:00', '20:15', '20:30', '20:45', '21:00', '21:15', '21:30', '21:45',
                  '22:00', '22:15', '22:30', '22:45', '23:00', '23:15', '23:30', '23:45', '24:00', '24:15', '24:30', '24:45');

  foreach( \site\utils::days_of_week() as $k => $v ) {
    $form .= '<li>

    <input name="submit_store_form[hours][' . $k . '][opened]" type="checkbox" value="yes" class="inputCheckbox" id="day_' . $k . '"' . ( isset( $store->hours[$k]['opened'] ) ? ' checked' : '' ) . ' /> <label for="day_' . $k . '">' . $v . '</label>
    <span>
    <select name="submit_store_form[hours][' . $k . '][from]">';
    foreach( $hours as $no ) {
      $form .= '<option value="' . $no . '"' . ( isset( $store->hours[$k]['from'] ) && $store->hours[$k]['from'] == $no ? ' selected' : '' ) . '>' . $no . '</option>';
    }
    $form .= '</select>
    <select name="submit_store_form[hours][' . $k . '][to]">';
    foreach( $hours as $no ) {
      $form .= '<option value="' . $no . '"' . ( isset( $store->hours[$k]['to'] ) && $store->hours[$k]['to'] == $no ? ' selected' : '' ) . '>' . $no . '</option>';
    }
    $form .= '</select>
    </span>

    </li>';
  }
  $form .= '</ul></div></div>

  <div class="form_field" data-hideSS="" style="display:none;"><span>' . $LANG['form_sell_online'] . ':</span><div class="form_field-sellonline"><input type="checkbox" id="submit_store_form[sellonline]" name="submit_store_form[sellonline]" value="1" class="inputCheckbox" checked /> <label for="submit_store_form[sellonline]"><span>' . $LANG['yes'] . '</span><span>' . $LANG['no'] . '</span></label></div></div>
  <div class="form_field"><label for="submit_store_form[url]">' . $LANG['form_store_url'] . ':</label> <div><input type="text" name="submit_store_form[url]" id="submit_store_form[url]" value="' . ( isset( $pd['url'] ) ? $pd['url'] : '' ) . '" placeholder="http://" /></div></div>
  <div class="form_field"><label for="submit_store_form[description]">' . $LANG['form_description'] . ':</label> <div><textarea name="submit_store_form[description]" id="submit_store_form[description]" style="height:100px;">' . ( isset( $pd['description'] ) ? $pd['description'] : '' ) . '</textarea></div></div>
  <div class="form_field"><label for="submit_store_form[tags]">' . $LANG['form_tags'] . ':</label> <div><input type="text" name="submit_store_form[tags]" id="submit_store_form[tags]" value="' . ( isset( $pd['tags'] ) ? $pd['tags'] : '' ) . '" /></div></div>
  <div class="form_field"><label for="submit_store_form_logo">' . $LANG['form_logo'] . ':</label> <div><input type="file" name="submit_store_form_logo" id="submit_store_form_logo" class="inputFile" /><label for="submit_store_form_logo" class="fileUpload"></label></div></div>
  <div class="form_field"><label for="submit_store_form[phone]">' . $LANG['phone_no'] . ':</label> <div><input type="text" name="submit_store_form[phone]" id="submit_store_form[phone]" value="' . ( isset( $pd['phone'] ) ? $pd['phone'] : '' ) . '" placeholder="(541) 754-3010" /></div></div>
  <input type="hidden" name="submit_store_form[csrf]" value="' . $csrf . '" />
  <button>' . $LANG['submit_store_button'] . '</button>
  </form>

  </div>

  <script src="' . $GLOBALS['siteURL'] . PDIR . '/js/oncheck.js"></script>
  <script src="' . $GLOBALS['siteURL'] . PDIR . '/js/owner.js"></script>

  <script>
  $( document ).ready(function() {

    $( "select[data-switch-type]" ).switch_store_type();
    $( "input[data-show-hours]" ).oncheck( {Elements: "[data-store-hours]"}, "unchecked" );

  });
  </script>';

  return $form;

} else return '<div class="info_form">' . $LANG['unavailable_form'] . '</div>';

}

/*

SUBMIT STORE FORM

*/

function edit_store_form( $id, $extra = array() ) {

global $LANG;

if( $GLOBALS['me'] ) {

if( $GLOBALS['me']->Stores > 0 ) {

$store = \query\main::store_infos( $id, array( 'nobb' => true ) );

  if( $store->userID !== $GLOBALS['me']->ID ) {

    return '<div class="info_form">' . $LANG['edit_store_cant'] . '</div>';

  }

  /* */

  $form = '<div class="edit_store_form other_form">';

  if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['edit_store_form'] ) && \site\utils::check_csrf( $_POST['edit_store_form']['csrf'], 'edit_store_csrf' ) ) {

  $pd = \site\utils::validate_user_data( $_POST['edit_store_form'] );

  try {

    \user\main::edit_store( $id, $pd );
    $form .= '<div class="success">' . $LANG['edit_store_success'] . '</div>';

    // check again information about this store

    $store = \query\main::store_infos( $id, array( 'nobb' => true ) );

    unset( $pd );


  }

  catch( Exception $e ){
    $form .= '<div class="error">' . $e->getMessage() . '</div>';
  }

  }

  $csrf = $_SESSION['edit_store_csrf'] = \site\utils::str_random(12);

  $form .= '<form action="#" method="POST" enctype="multipart/form-data" autocomplete="off">
  <div class="form_field"><label for="edit_store_form[category]">' . $LANG['form_category'] . '</label>
  <div><select name="edit_store_form[category]" id="edit_store_form[category]">';
  $category = isset( $pd['category'] ) ? $pd['category'] : $store->catID;
  foreach( \query\main::group_categories( array( 'max' => 0 ) ) as $cat ) {
  $wcat = '<optgroup label="' . $cat['infos']->name . '">';
  $wcat .= '<option value="' . $cat['infos']->ID . '"' . ( $category == $cat['infos']->ID ? ' selected' : '' ) . '>' . $cat['infos']->name . '</option>';
  if( isset( $cat['subcats'] ) ) {
    foreach( $cat['subcats'] as $subcat ) {
      $wcat .= '<option value="' . $subcat->ID . '"' . ( $category == $subcat->ID ? ' selected' : '' ) . '>' . $subcat->name . '</option>';
    }
  }
  $wcat .= '</optgroup>';
  $form .= $wcat;
  }
  $form .= '</select></div>
  </div>
  <div class="form_field"><label for="edit_store_form[name]">' . $LANG['form_name'] . ':</label> <div><input type="text" name="edit_store_form[name]" id="edit_store_form[name]" value="' . ( isset( $pd['name'] ) ? $pd['name'] : $store->name ) . '" placeholder="' . $LANG['edit_store_name_ph'] . '" required /></div></div>
  <div class="form_field"><span>' . $LANG['form_type'] . ':</span>
  <div><select name="edit_store_form[type]" data-switch-type="">';
  foreach( array( 0 => $LANG['onlinestore'], 1 => $LANG['physicalstore'] ) as $type_id => $type_msg ) {
    $form .= '<option value="' . $type_id . '"' . ( $type_id == 1 && !$store->is_physical ? '' : ' selected' ) . '>' . $type_msg . '</option>';
  }

  $form .= '</select>
  </div></div>

  <div class="form_field" data-hideSS=""' . ( !$store->is_physical ? ' style="display: none;"' : '' ) . '><span>' . $LANG['form_locations'] . ':</span>
  <div class="form_field-locations">';

  if( !$store->is_physical ) {
    $form .= '<div>' . $LANG['msg_physicalfirst'] . '</div>';
  } else {

  if( \query\locations::store_locations( array( 'store' => $store->ID ) ) ) {

  $form .= '<ul>';
  foreach( \query\locations::while_store_locations( array( 'max' => 0, 'store' => $store->ID ) ) as $loc ) {
    $form .= '<li>';
    if( isset( $extra['LOCATION_EDIT_LINK'] ) ) $form .= '<a href="' . str_replace( '%ID%', $loc->ID, $extra['LOCATION_EDIT_LINK'] ) . '">' . $LANG['edit'] . '</a>';
    if( isset( $extra['LOCATION_DELETE_LINK'] ) ) $form .= '<a href="' . str_replace( '%ID%', $loc->ID, $extra['LOCATION_DELETE_LINK'] ) . '">' . $LANG['delete'] . '</a>';

    $form .= implode( array_filter( array( $loc->zip, $loc->country, $loc->state, $loc->city, $loc->address ) ), ', ' ) . '</li>';
  }
  $form .= '</ul>';

  } else {
    $form .= '<div>' . $LANG['msg_no_locations'] . '</div>';
  }

  if( isset( $extra['LOCATION_ADD_LINK'] ) ) $form .= '<div><a href="' . $extra['LOCATION_ADD_LINK'] . '">' . $LANG['add'] . '</a></div>';

  }

  $form .= '</div></div>

  <div class="form_field" data-hideSS=""' . ( !$store->is_physical ? ' style="display: none;"' : '' ) . '><span>' . $LANG['form_hours'] . ':</span>
  <div class="form_field-hours"> <input name="edit_store_form[notb_hours]" type="checkbox" id="edit_store_form[notb_hours]" class="inputCheckbox" data-show-hours="" value="1"' . ( empty( $store->hours ) ? ' checked' : '' ) . ' /> <label for="edit_store_form[notb_hours]"><span></span> ' . $LANG['msg_blankinfo'] . '</label>
  <ul data-store-hours=""' . ( empty( $store->hours ) ? ' style="display: none;"' : '' ) . '>';
  $hours = array( '01:00', '01:15', '01:30', '01:45', '02:00', '02:15', '02:30', '02:45', '03:00', '03:15', '03:30', '03:45', '04:00', '04:15', '04:30', '04:45',
                  '05:00', '05:15', '05:30', '05:45', '06:00', '06:15', '06:30', '06:45', '07:00', '07:15', '07:30', '07:45', '08:00', '08:15', '08:30', '08:45',
                  '09:00', '09:15', '09:30', '09:45', '10:00', '10:15', '10:30', '11:45', '12:00', '12:15', '12:30', '12:45', '13:00', '13:15', '13:30', '13:45',
                  '14:00', '14:15', '14:30', '14:45', '15:00', '15:15', '15:30', '15:45', '16:00', '16:15', '16:30', '16:45', '17:00', '17:15', '17:30', '17:45',
                  '18:00', '18:15', '18:30', '18:45', '19:00', '19:15', '19:30', '19:45', '20:00', '20:15', '20:30', '20:45', '21:00', '21:15', '21:30', '21:45',
                  '22:00', '22:15', '22:30', '22:45', '23:00', '23:15', '23:30', '23:45', '24:00', '24:15', '24:30', '24:45');

  foreach( \site\utils::days_of_week() as $k => $v ) {
    $form .= '<li>

    <input name="edit_store_form[hours][' . $k . '][opened]" type="checkbox" value="yes" class="inputCheckbox" id="day_' . $k . '"' . ( isset( $store->hours[$k]['opened'] ) ? ' checked' : '' ) . ' /> <label for="day_' . $k . '">' . $v . '</label>
    <span>
    <select name="edit_store_form[hours][' . $k . '][from]">';
    foreach( $hours as $no ) {
      $form .= '<option value="' . $no . '"' . ( isset( $store->hours[$k]['from'] ) && $store->hours[$k]['from'] == $no ? ' selected' : '' ) . '>' . $no . '</option>';
    }
    $form .= '</select>
    <select name="edit_store_form[hours][' . $k . '][to]">';
    foreach( $hours as $no ) {
      $form .= '<option value="' . $no . '"' . ( isset( $store->hours[$k]['to'] ) && $store->hours[$k]['to'] == $no ? ' selected' : '' ) . '>' . $no . '</option>';
    }
    $form .= '</select>
    </span>

    </li>';
  }
  $form .= '</ul></div></div>

  <div class="form_field" data-hideSS=""' . ( !$store->is_physical ? ' style="display:none;"' : '' ) . '><span>' . $LANG['form_sell_online'] . ':</span><div class="form_field-sellonline"><input type="checkbox" id="edit_store_form[sellonline]" name="edit_store_form[sellonline]" value="1" class="inputCheckbox"' . ( $store->sellonline2 ? ' checked' : '' ) . ' /> <label for="edit_store_form[sellonline]"><span>' . $LANG['yes'] . '</span><span>' . $LANG['no'] . '</span></label></div></div>

  <div class="form_field"><label for="edit_store_form[url]">' . $LANG['form_store_url'] . ':</label> <div><input type="text" name="edit_store_form[url]" id="edit_store_form[url]" value="' . ( isset( $pd['url'] ) ? $pd['url'] : $store->url ) . '" placeholder="http://" /></div></div>
  <div class="form_field"><label for="edit_store_form[description]">' . $LANG['form_description'] . ':</label> <div><textarea name="edit_store_form[description]" id="edit_store_form[description]" style="height:100px;">' . ( isset( $pd['description'] ) ? $pd['description'] : $store->description ) . '</textarea></div></div>
  <div class="form_field"><label for="edit_store_form[tags]">' . $LANG['form_tags'] . ':</label> <div><input type="text" name="edit_store_form[tags]" id="edit_store_form[tags]" value="' . ( isset( $pd['tags'] ) ? $pd['tags'] : $store->tags ) . '" /></div></div>
  <div class="form_field"><label for="edit_store_form_logo">' . $LANG['form_logo'] . ':</label> <div><img src="' . store_avatar( $store->image ) . '" alt="" style="width:100px;height:50px;" /> <input type="file" name="edit_store_form_logo" id="edit_store_form_logo" class="inputFile" /><label for="edit_store_form_logo" class="fileUpload"></label></div></div>
  <div class="form_field"><label for="edit_store_form[phone]">' . $LANG['phone_no'] . ':</label> <div><input type="text" name="edit_store_form[phone]" id="edit_store_form[phone]" value="' . ( isset( $pd['phone'] ) ? $pd['phone'] : $store->phone_no ) . '" placeholder="(541) 754-3010" /></div></div>
  <input type="hidden" name="edit_store_form[csrf]" value="' . $csrf . '" />
  <button>' . $LANG['edit_store_button'] . '</button>
  </form>

  </div>

  <script src="' . $GLOBALS['siteURL'] . PDIR . '/js/oncheck.js"></script>
  <script src="' . $GLOBALS['siteURL'] . PDIR . '/js/owner.js"></script>

  <script>
  $( document ).ready(function() {

    $( "select[data-switch-type]" ).switch_store_type();
    $( "input[data-show-hours]" ).oncheck( {Elements: "[data-store-hours]"}, "unchecked" );

  });
  </script>';

  return $form;

} else return '<div class="info_form">' . $LANG['unavailable_form2'] . '</div>';

} else return '<div class="info_form">' . $LANG['unavailable_form'] . '</div>';

}

/*

SUBMIT LOCATION FOR STORE FORM

*/

function submit_store_location_form( $store = 0 ) {

global $LANG;

if( $GLOBALS['me'] ) {

if( $GLOBALS['me']->Stores > 0 ) {

  $form = '<div class="submit_store_location_form other_form">';

  if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['submit_store_loc_form'] ) && \site\utils::check_csrf( $_POST['submit_store_loc_form']['csrf'], 'submit_store_loc_csrf' ) ) {

  $pd = \site\utils::validate_user_data( $_POST['submit_store_loc_form'] );

  try {

    \user\main::submit_store_location( $pd );
    $form .= '<div class="success">' . $LANG['submit_store_loc_success'] . '</div>';

    unset( $pd );

  }

  catch( Exception $e ){
    $form .= '<div class="error">' . $e->getMessage() . '</div>';
  }

  }

  $csrf = $_SESSION['submit_store_loc_csrf'] = \site\utils::str_random(12);

  $form .= '<form action="#" method="POST" autocomplete="off">
  <div class="form_field"><label for="submit_store_loc_form[store]">' . $LANG['form_store'] . ':</label><div><select name="submit_store_loc_form[store]" id="submit_store_loc_form[store]">';
  foreach( \query\main::while_stores( array( 'max' => 0, 'user' => $GLOBALS['me']->ID, 'show' => 'physical' ) ) as $k => $v ) {
    $form .= '<option value="' . $v->ID . '"' . ( $store == $v->ID ? ' selected' : '' ) . '>' . $v->name . '</option>';
  }
  $form .= '</select></div></div>
  <div class="form_field"><label for="submit_store_loc_form[address]">' . $LANG['form_address'] . ':</label><div><input type="text" name="submit_store_loc_form[address]" id="submit_store_loc_form[address]" value="' . ( isset( $pd['address'] ) ? $pd['address'] : '' ) . '" required /></div></div>
  <div class="form_field"><label for="submit_store_loc_form[zip]">' . $LANG['loc_form_zip'] . ':</label><div><input type="text" name="submit_store_loc_form[zip]" id="submit_store_loc_form[zip]" value="' . ( isset( $pd['zip'] ) ? $pd['zip'] : '' ) . '" /></div></div>
  <div class="form_field"><label for="submit_store_loc_form[country]">' . $LANG['loc_form_country'] . ':</label><div><select name="submit_store_loc_form[country]" id="submit_store_loc_form[country]" data-search-country="">';
  $country = $state = 0;
  foreach( \query\locations::while_countries( array( 'max' => 0 ) ) as $k => $v ) {
    if( $k === 0 ) {
      $country = $v->ID;
    }
    $form .= '<option value="' . $v->ID . '">' . $v->name . '</option>';
  }
  $form .= '</select></div></div>
  <div class="form_field"><label for="submit_store_loc_form[state]">' . $LANG['loc_form_state'] . ':</label><div><select name="submit_store_loc_form[state]" id="submit_store_loc_form[state]" data-search-state="">';
  foreach( \query\locations::while_states( array( 'max' => 0, 'country' => $country ) ) as $k => $v ) {
    if( $k === 0 ) {
      $state = $v->ID;
    }
    $form .= '<option value="' . $v->ID . '">' . $v->name . '</option>';
  }
  $form .= '</select></div></div>';
  $form .= '<div class="form_field"><label for="submit_store_loc_form[city]">' . $LANG['loc_form_city'] . ':</label><div><select name="submit_store_loc_form[city]" id="submit_store_loc_form[city]" data-search-city="">';
  foreach( \query\locations::while_cities( array( 'max' => 0, 'state' => $state ) ) as $v ) {
    $form .= '<option value="' . $v->ID . '" data-lat="' . $v->lat . '" data-lng="' . $v->lng . '">' . $v->name . '</option>';
  }
  $form .= '</select></div></div>';
  if( ( $mapskey = \query\main::get_option( 'google_maps_key' ) ) && !empty( $mapskey ) ) {
    $form .= '<div class="form_field"><label>' . $LANG['form_map'] . ':</label><div id="map" style="height: 300px;"></div></div>';
  }
  $form .= '<input type="hidden" name="submit_store_loc_form[mapmarker]" value="39.82,-101.47" data-marker="" />
  <input type="hidden" name="submit_store_loc_form[csrf]" value="' . $csrf . '" />
  <button>' . $LANG['submit_store_loc_button'] . '</button>
  </form>

  </div>';

  if( !empty( $mapskey ) ) {

  ?>

  <script>

  var marker, map, newlatlng, deflat, deflng;

  deflat = 39.82;
  deflng = -101.47;

  function initMap() {
    map = new google.maps.Map(document.getElementById("map"), {
      zoom: 14,
      center: {lat: deflat, lng: deflng}
    });

    marker = new google.maps.Marker({
      map: map,
      draggable: true,
      position: {lat: deflat, lng: deflng}
    });
    marker.addListener("dragend", toggleBounce);
  }

  function toggleBounce(){
    $("input[data-marker]").val(this.getPosition());
  }

  function updateMarker(){
    var lat = $("select[data-search-city]").find("option:selected").attr("data-lat");
    var lng = $("select[data-search-city]").find("option:selected").attr("data-lng");
    newlatlng = new google.maps.LatLng(lat,lng);
    marker.setPosition(newlatlng);
    map.setCenter(newlatlng);
  }

  </script>

  <script async defer src="https://maps.googleapis.com/maps/api/js?key=<?php echo htmlspecialchars( $mapskey ); ?>&signed_in=true&callback=initMap"></script>

  <?php } ?>

  <script>

  $( document ).ready(function() {

  $( "select[data-search-country]" ).search_store_location( {SearchLocation: "<?php echo $GLOBALS['siteURL']; ?>"}, "country", function(){
  updateMarker();
  } );
  $( "select[data-search-state]" ).search_store_location( {SearchLocation: "<?php echo $GLOBALS['siteURL']; ?>"}, "state", function(){
  updateMarker();
  } );
  $( "select[data-search-city]" ).search_store_location( {SearchLocation: "<?php echo $GLOBALS['siteURL']; ?>"}, "city", function(){
  updateMarker();
  } );

  });

  </script>

  <script src="<?php echo $GLOBALS['siteURL'] . PDIR; ?>/js/search_location.js"></script>

  <?php

  return $form;

} else return '<div class="info_form">' . $LANG['unavailable_form2'] . '</div>';

} else return '<div class="info_form">' . $LANG['unavailable_form'] . '</div>';

}

/*

EDIT LOCATION FOR STORE FORM

*/

function edit_store_location_form( $id ) {

global $LANG;

if( $GLOBALS['me'] ) {

if( $GLOBALS['me']->Stores > 0 ) {

$location = \query\locations::store_location_infos( $id );

  if( !\query\main::have_store( $location->storeID, $GLOBALS['me']->ID ) ) {

    return '<div class="info_form">' . $LANG['edit_store_cant'] . '</div>';

  }

  $form = '<div class="submit_store_location_form other_form">';

  if( $_SERVER['REQUEST_METHOD'] == 'POST' && isset( $_POST['edit_store_loc_form'] ) && \site\utils::check_csrf( $_POST['edit_store_loc_form']['csrf'], 'edit_store_loc_csrf' ) ) {

  $pd = \site\utils::validate_user_data( $_POST['edit_store_loc_form'] );

  try {

    \user\main::edit_store_location( $id, $pd );
    $form .= '<div class="success">' . $LANG['edit_store_loc_success'] . '</div>';

    // check again information about this location

    $location = \query\locations::store_location_infos( $id );

    unset( $pd );

  }

  catch( Exception $e ){
    $form .= '<div class="error">' . $e->getMessage() . '</div>';
  }

  }

  $csrf = $_SESSION['edit_store_loc_csrf'] = \site\utils::str_random(12);

  $form .= '<form action="#" method="POST" autocomplete="off">
  <div class="form_field"><label for="edit_store_loc_form[store]">' . $LANG['form_store'] . ':</label><div><select name="edit_store_loc_form[store]" id="edit_store_loc_form[store]">';
  foreach( \query\main::while_stores( array( 'max' => 0, 'user' => $GLOBALS['me']->ID, 'show' => 'physical' ) ) as $k => $v ) {
    $form .= '<option value="' . $v->ID . '"' . ( $location->storeID == $v->ID ? ' selected' : '' ) . '>' . $v->name . '</option>';
  }
  $form .= '</select></div></div>
  <div class="form_field"><label for="edit_store_loc_form[address]">' . $LANG['form_address'] . ':</label><div><input type="text" name="edit_store_loc_form[address]" id="edit_store_loc_form[address]" value="' . ( isset( $pd['address'] ) ? $pd['address'] : $location->address ) . '" required /></div></div>
  <div class="form_field"><label for="edit_store_loc_form[zip]">' . $LANG['loc_form_zip'] . ':</label><div><input type="text" name="edit_store_loc_form[zip]" id="edit_store_loc_form[zip]" value="' . ( isset( $pd['zip'] ) ? $pd['zip'] : $location->zip ) . '" /></div></div>
  <div class="form_field"><label for="edit_store_loc_form[country]">' . $LANG['loc_form_country'] . ':</label><div><select name="edit_store_loc_form[country]" id="edit_store_loc_form[country]" data-search-country="">';
  foreach( \query\locations::while_countries( array( 'max' => 0 ) ) as $k => $v ) {
    $form .= '<option value="' . $v->ID . '"' . ( $location->countryID == $v->ID ? ' selected' : '' ) . '>' . $v->name . '</option>';
  }
  $form .= '</select></div></div>
  <div class="form_field"><label for="edit_store_loc_form[state]">' . $LANG['loc_form_state'] . ':</label><div><select name="edit_store_loc_form[state]" id="edit_store_loc_form[state]" data-search-state="">';
  foreach( \query\locations::while_states( array( 'max' => 0, 'country' => $location->countryID ) ) as $k => $v ) {
    $form .= '<option value="' . $v->ID . '"' . ( $location->stateID == $v->ID ? ' selected' : '' ) . '>' . $v->name . '</option>';
  }
  $form .= '</select></div></div>';
  $form .= '<div class="form_field"><label for="edit_store_loc_form[city]">' . $LANG['loc_form_city'] . ':</label><div><select name="edit_store_loc_form[city]" id="edit_store_loc_form[city]" data-search-city="">';
  foreach( \query\locations::while_cities( array( 'max' => 0, 'state' => $location->stateID ) ) as $v ) {
    $form .= '<option value="' . $v->ID . '" data-lat="' . $v->lat . '" data-lng="' . $v->lng . '"' . ( $location->cityID == $v->ID ? ' selected' : '' ) . '>' . $v->name . '</option>';
  }
  $form .= '</select></div></div>';
  if( ( $mapskey = \query\main::get_option( 'google_maps_key' ) ) && !empty( $mapskey ) ) {
    $form .= '<div class="form_field"><label>' . $LANG['form_map'] . ':</label><div id="map" style="height: 300px;"></div></div>';
  }
  $form .= '<input type="hidden" name="edit_store_loc_form[mapmarker]" value="' . $location->lat . ',' . $location->lng . '" data-lat="' . $location->lat . '" data-lng="' . $location->lng . '" data-marker="" />
  <input type="hidden" name="edit_store_loc_form[csrf]" value="' . $csrf . '" />
  <button>' . $LANG['edit_store_loc_button'] . '</button>
  </form>

  </div>';

  if( !empty( $mapskey ) ) {

  ?>

  <script>

  var marker, map, newlatlng, deflat, deflng;

  $( document ).ready(function() {

  deflat = parseFloat( $("input[data-marker]").attr("data-lat") );
  deflng = parseFloat( $("input[data-marker]").attr("data-lng") );

  });

  function initMap() {
    map = new google.maps.Map(document.getElementById("map"), {
      zoom: 14,
      center: {lat: deflat, lng: deflng}
    });

    marker = new google.maps.Marker({
      map: map,
      draggable: true,
      position: {lat: deflat, lng: deflng}
    });
    marker.addListener("dragend", toggleBounce);
  }

  function toggleBounce(){
    $("input[data-marker]").val(this.getPosition());
  }

  function updateMarker(){
    var lat = $("select[data-search-city]").find("option:selected").attr("data-lat");
    var lng = $("select[data-search-city]").find("option:selected").attr("data-lng");
    newlatlng = new google.maps.LatLng(lat,lng);
    marker.setPosition(newlatlng);
    map.setCenter(newlatlng);
  }

  </script>

  <script async defer src="https://maps.googleapis.com/maps/api/js?key=<?php echo htmlspecialchars( $mapskey ); ?>&signed_in=true&callback=initMap"></script>

  <?php } ?>

  <script>

  $( document ).ready(function() {

  $( "select[data-search-country]" ).search_store_location( {SearchLocation: "<?php echo $GLOBALS['siteURL']; ?>"}, "country", function(){
  updateMarker();
  } );
  $( "select[data-search-state]" ).search_store_location( {SearchLocation: "<?php echo $GLOBALS['siteURL']; ?>"}, "state", function(){
  updateMarker();
  } );
  $( "select[data-search-city]" ).search_store_location( {SearchLocation: "<?php echo $GLOBALS['siteURL']; ?>"}, "city", function(){
  updateMarker();
  } );

  });

  </script>

  <script src="<?php echo $GLOBALS['siteURL'] . PDIR; ?>/js/search_location.js"></script>

  <?php

  return $form;

} else return '<div class="info_form">' . $LANG['unavailable_form2'] . '</div>';

} else return '<div class="info_form">' . $LANG['unavailable_form'] . '</div>';

}