<?php

// wrong method
if( $_SERVER['REQUEST_METHOD'] !== 'POST' || !isset( $_POST['id'] ) || !isset( $_POST['vote'] ) ) {
  die;
}

$allow = (int) \query\main::get_option( 'allow_votes' );

// nobody can vote :)
if( $allow === 0 ) {
  echo json_encode( array( 'success' => false, 'rlogin' => false ) );
  die;
}

// this visitor can't vote
if( $allow === 2 && !$GLOBALS['me'] ) {
  echo json_encode( array( 'success' => false, 'rlogin' => true ) );
  die;
}

// wrong coupon id
if( !\query\main::item_exists( $_POST['id'] ) ) {
  echo json_encode( array( 'success' => false, 'rlogin' => false ) );
  die;
}

$item = \query\main::item_infos( $_POST['id'] );

$stmt = $db->stmt_init();
$stmt->prepare( "SELECT COUNT(*) FROM " . DB_TABLE_PREFIX . "coupon_votes WHERE coupon = ? AND ipaddr = ?" );

$IP = \site\utils::getIP();

$stmt->bind_param( "is", $_POST['id'], $IP );
$stmt->execute();
$stmt->bind_result( $count );
$stmt->fetch();

if( $count == 0 ) {

  $stmt->prepare( "INSERT INTO " . DB_TABLE_PREFIX . "coupon_votes (coupon, user, vote, ipaddr, date) VALUES (?, ?, ?, ?, NOW())" );

  $user = $GLOBALS['me'] ? $GLOBALS['me']->ID : 0;

  $stmt->bind_param( "iiis", $_POST['id'], $user, $_POST['vote'], $IP );

  if( $stmt->execute() ) {

    $stmt->prepare( "UPDATE " . DB_TABLE_PREFIX . "coupons SET votes = votes+1, votes_percent = ? WHERE id = ?" );

    $new_percent = ( $item->votes_percent * $item->votes + ( (boolean) $_POST['vote'] ? 100 : 0 ) ) / ( $item->votes + 1 );

    $stmt->bind_param( "di", $new_percent, $_POST['id'] );
    $stmt->execute();

    echo json_encode( array( 'success' => true ) );
    die;

  } else {

    $stmt->close();

    echo json_encode( array( 'success' => false, 'rlogin' => false ) );
    die;

  }

}

$stmt->close();

echo json_encode( array( 'success' => false, 'rlogin' => false ) );