<?php

function register_widgets() {
  $widgets['right'] = array('name' => 'Right Side Widgets', 'description' => 'Appears on the right side of the page.');
  return $widgets;
}

// do not delete this function, it is an important part of this theme
function theme_has_rewards() {
  return true;
}

// do not delete this function, it is an important part of this theme
function theme_has_products() {
  return true;
}

// switch theme
function switch_theme( $theme = '' ) {
  if( $theme === 'default' ) {
  setcookie( 'user-theme', '', strtotime( '-1 minute' ), '/' );
  } else if( file_exists( __DIR__ . '/style_' . $theme . '.css' ) ) {
    setcookie( 'user-theme', 'style_' . $theme, strtotime( '+2 months' ), '/' );
  }
}

// user theme
function user_theme() {
  if( isset( $_GET['switch_theme'] ) && $_GET['switch_theme'] !== 'default' && file_exists( __DIR__ . '/style_' . $_GET['switch_theme'] . '.css' ) ) {
    return 'style_' . $_GET['switch_theme'] . '.css';
  } else if( !isset( $_GET['switch_theme'] ) && isset( $_COOKIE['user-theme'] ) && file_exists( __DIR__ . '/' . $_COOKIE['user-theme'] . '.css' ) ) {
    return $_COOKIE['user-theme'] . '.css';
  }
  return 'style.css';
}