ALTER TABLE `categories` ADD `meta_keywords` text AFTER `meta_title`;
ALTER TABLE `categories` ADD `url_title` varchar(255) NOT NULL AFTER `description`;
ALTER TABLE `coupons` ADD `meta_keywords` text AFTER `meta_title`;
ALTER TABLE `coupons` ADD `url_title` varchar(255) NOT NULL AFTER `cashback`;
ALTER TABLE `coupons` ADD `printable` tinyint(1) NOT NULL DEFAULT 0 AFTER `exclusive`;
ALTER TABLE `coupons` ADD `available_online` tinyint(1) NOT NULL DEFAULT 1 AFTER `printable`;
ALTER TABLE `coupons` ADD `source` text AFTER `code`;
ALTER TABLE `products` ADD `meta_keywords` text AFTER `meta_title`;
ALTER TABLE `products` ADD `url_title` varchar(255) NOT NULL AFTER `cashback`;
ALTER TABLE `stores` ADD `meta_keywords` text AFTER `meta_title`;
ALTER TABLE `stores` ADD `url_title` varchar(255) NOT NULL AFTER `views`;
ALTER TABLE `stores` ADD `physical` tinyint(1) NOT NULL DEFAULT 0 AFTER `popular`;
ALTER TABLE `stores` ADD `hours` text AFTER `image`;
ALTER TABLE `stores` ADD `sellonline` tinyint(1) NOT NULL DEFAULT 1 AFTER `hours`;
ALTER TABLE `pages` ADD `meta_keywords` text AFTER `meta_title`;
ALTER TABLE `pages` ADD `url_title` varchar(255) NOT NULL AFTER `views`;

INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'feed_iexpp', 1);
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'login_captcha', 0);
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'register_captcha', 0);
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'contact_captcha', 0);
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'suggest_captcha', 0);
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'google_maps_key', '');
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'meta_coupon_keywords', '');
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'meta_product_keywords', '');
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'meta_store_keywords', '');
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'meta_reviews_keywords', '');
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'meta_category_keywords', '');
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'feedserver_auth', 'GET');
INSERT INTO `options` (`id`, `option_name`, `option_value`) VALUES (NULL, 'delete_old_products', 0);

-- --------------------------------------------------------

--
-- Table structure for table `cities`
--

CREATE TABLE IF NOT EXISTS `cities` (
`id` int(100) NOT NULL,
`user` int(10) NOT NULL DEFAULT '0',
`name` text,
`text` text,
`visible` tinyint(1) NOT NULL DEFAULT '0',
`views` bigint(20) NOT NULL DEFAULT '0',
`url_title` varchar(255) NOT NULL DEFAULT '0.00000000000000',
`meta_title` varchar(255) NOT NULL DEFAULT '0.00000000000000',
`meta_keywords` text,
`meta_desc` text,
`lastupdate_by` int(10) NOT NULL DEFAULT '0',
`lastupdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
`date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

--
-- Table structure for table `states`
--

CREATE TABLE IF NOT EXISTS `states` (
`id` int(100) NOT NULL,
`user` int(10) NOT NULL DEFAULT '0',
`name` varchar(255) NOT NULL,
`country` int(10) NOT NULL DEFAULT '0',
`visible` tinyint(1) NOT NULL DEFAULT '0',
`lat` double(20,14) NOT NULL DEFAULT '0.00000000000000',
`lng` double(20,14) NOT NULL DEFAULT '0.00000000000000',
`lastupdate_by` int(10) NOT NULL DEFAULT '0',
`lastupdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
`date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

--
-- Table structure for table `countries`
--

CREATE TABLE IF NOT EXISTS `countries` (
`id` int(100) NOT NULL,
`user` int(10) NOT NULL DEFAULT '0',
`name` varchar(255) NOT NULL,
`visible` tinyint(1) NOT NULL DEFAULT '0',
`lat` double(20,14) NOT NULL DEFAULT '0.00000000000000',
`lng` double(20,14) NOT NULL DEFAULT '0.00000000000000',
`lastupdate_by` int(10) NOT NULL DEFAULT '0',
`lastupdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
`date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

--
-- Table structure for table `store_locations`
--

CREATE TABLE IF NOT EXISTS `store_locations` (
`id` int(100) NOT NULL,
`user` int(10) NOT NULL DEFAULT '0',
`store` int(10) NOT NULL DEFAULT '0',
`country` varchar(255) NOT NULL,
`countryID` int(10) NOT NULL DEFAULT '0',
`state` varchar(255) NOT NULL,
`stateID` int(10) NOT NULL DEFAULT '0',
`city` varchar(255) NOT NULL,
`cityID` int(10) NOT NULL DEFAULT '0',
`zip` varchar(15) NOT NULL,
`address` varchar(255) NOT NULL,
`lat` double(20,14) NOT NULL DEFAULT '0.00000000000000',
`lng` double(20,14) NOT NULL DEFAULT '0.00000000000000',
`lastupdate_by` int(10) NOT NULL DEFAULT '0',
`lastupdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
`date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;