<div class="left">

<?php

if( $pagination = have_items_custom( array( 'show' => 'active,visible', 'max' => option('items_per_page') ) ) ) {

foreach( items_custom( array( 'show' => 'active,visible', 'orderby' => 'date desc' ) ) as $item ) {

echo '<article class="array_item">

<div class="table">

<div class="left">
<img src="' . store_avatar( ( !empty( $item->image2 ) ? $item->image2 : store_avatar( $item->store_img ) ) ) . '" alt="">
<span class="rating"><span style="width:' . ( $item->stars * 16 ) . 'px;"></span></span>
<a href="' . $item->store_reviews_link . '">' . $item->reviews . ' reviews</a>
<div class="voting"><a href="#" class="tooltip" title="It doesn\'t work !" data-cid="' . $item->ID . '" data-vote="0"></a>' . coupon_votes( $item->votes_percent, $item->votes ) . '<a href="#" class="tooltip" title="It works !" data-cid="' . $item->ID . '" data-vote="1"></a></div>
</div>

<div class="right">
<a href="' . $item->link . '" class="title">' . ( !empty( $item->cashback ) ? '<span class="tooltip reward" title="Great! Use it and you\'ll receive ' . $item->cashback . ' points.">' . $item->cashback . '</span> ' : '' ) . ( $item->is_verified ? '<span class="tooltip verified" title="This coupon has been verified on ' . date( dateFormat(), strtotime( $item->last_check ) ) . '"></span>' : '' ) . $item->title . '</a>
Coupons for <a href="' . $item->store_link . '">' . $item->store_name . '</a>
<div class="description">' . ( !empty( $item->description ) ? nl2br( $item->description ) : 'no description' ) . '</div>

<ul class="details">
<li><span>Available Online:</span> <b>' . ( $item->is_available_online ? 'Yes' : 'No' ) . '</b></li>
<li><span>Coupon Added:</span> <b>' . timeago( strtotime( $item->date ), 'seconds' ) . ' ago</b></li>';
if( $item->is_expired ) echo '<li><span>Expired on:</span> <b class="expired">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else if( ! $item->is_started ) echo '<li><span>Starts on:</span> <b class="notstarted">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
else echo '<li><span>Expiration:</span> <b class="active">' . date( dateFormat(), strtotime( $item->expiration_date ) ) . '</b></li>';
echo '</ul>

<div class="links">
<a href="' . $item->link . '" class="btn">View Coupon</a>
<a href="#" class="more_details">More details</a>
<a href="#" class="share">Share</a>
</div>

</div>

</div>

<div class="share-coupon">

Share on social networks or copy the link and share anywhere:

<div class="shareto">

<ul>
<li class="tooltip share-fb" title="Share this on Facebook"><a href="#" onclick="openwindow(\'https://www.facebook.com/sharer/sharer.php?u=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-tw" title="Share this on Twitter"><a href="#" onclick="openwindow(\'https://twitter.com/home?status=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-go" title="Share this on Google+"><a href="#" onclick="openwindow(\'https://plus.google.com/share?url=' . $item->link . '\', 500, 500, \'yes\');"></a></li>
<li class="tooltip share-li" title="Share this on Linkedin"><a href="#" onclick="openwindow(\'https://www.linkedin.com/shareArticle?mini=true&amp;url=' . $item->link . '&amp;title=' . $item->title . '&amp;summary=&amp;source=\', 500, 500, \'yes\');"></a></li>
</ul>

<input type="text" value="' . $item->link . '" onclick="$(this).select();" />

</div>

</div>

</article>';

}

echo '<a href="' . tlink( 'tpage/coupons' ) . '" class="btn" style="display:block;">View all coupons &#8594;</a>';

}

?>

</div>

<div class="right">

<?php show_widgets( 'right' ); ?>

</div>