<?php

namespace site;

/** */

class smilies {

/*

List of smilies

*/

public static function smilies() {

  $loc = $GLOBALS['siteURL'] . MISCDIR . '/smilies/';
  return array(
  ':angry:' => $loc . 'angry.png',
  ':h:' => $loc . 'heart.png',
  ':hb:' => $loc . 'broken-heart.png',
  ':confused:' => $loc . 'confused.png',
  ':cry:' => $loc . 'cry.png',
  ':dizzy:' => $loc . 'dizzy.png',
  ':happy:' => $loc . 'happy.png',
  ':laugh:' => $loc . 'laugh.png',
  ':lol:' => $loc . 'lol.png',
  ':neutral:' => $loc . 'neutral.png',
  ':sad:' => $loc . 'sad.png',
  ':shock:' => $loc . 'shock.png',
  ':smile:' => $loc . 'smile.png',
  ':tongue:' => $loc . 'tongue.png',
  ':wink:' => $loc . 'wink.png'
  );

}

/*

Use BB Codes with smilies

*/

public static function BBcode( $text = '', $use = true, $autolinks = false ) {

  $text = htmlspecialchars( $text );
  $words = self::smilies();

  if( $autolinks ) {

  // make links clickable
  $text = preg_replace( '/((www|http:\/\/)[^ ]+)/', '<a href="\1">\1</a>', $text );

  }

  if( $use ) {

  // add smilies
  $text = preg_replace_callback( '/:[a-z]+:/', function( $match ) use ( $words ) {
  if( isset( $words[$match[0]] ) )
    return ( '<img src="' . $words[$match[0]] . '" alt="' . $match[0] . '" />' );
  else
    return( $match[0] );
  }, $text );

  }

  // remove empty rows
  $text = preg_replace( '/([\r\n\r\n]+)/', "\r\n\r\n", $text);

  return $text;

}

}