<?php

require DIR . '/' . UPDIR . '/Stripe/stripe-php/init.php';

/** */

class Payment_Gateway {

/*

AMOUNT TO BE PAID

*/

public $total;

/*

PAYMENT DESCRIPTION

*/

public $description;

/*

CREDIT CARD TYPE

*/

public $card_type;

/*

CREDIT CARD FIRST NAME

*/

public $card_fname;

/*

CREDIT CARD LAST NAME

*/

public $card_lname;

/*

CREDIT CARD NUMBER

*/

public $card_number;

/*

CREDIT CARD EXPIRATON MONTH

*/

public $card_month;

/*

CREDIT CARD EXPIRATON YER

*/

public $card_year;

/*

CREDIT CARD CVV

*/

public $card_cvv;

/*

ITEMS

*/

public $items;

/*

Construct class

*/

function __construct() {

  $this->stripe = array(
    'secret_key'      => ( (boolean) \query\main::get_option( 'stripe_mode' ) ? \query\main::get_option( 'stripe_demo_key' ) : \query\main::get_option( 'stripe_key' ) ),
    'publishable_key' => ( (boolean) \query\main::get_option( 'stripe_mode' ) ? \query\main::get_option( 'stripe_demo_pubkey' ) : \query\main::get_option( 'stripe_pubkey' ) ),
  );

  \Stripe\Stripe::setApiKey( $this->stripe['secret_key'] );

}

public function do_credit_card() {

  return true;

}

public function credit_card() {

  try {

  $Card = array( 'name' => $this->card_fname . ' ' . $this->card_lname, 'number' => $this->card_number, 'exp_month' => $this->card_month, 'exp_year' => $this->card_year, 'cvc' => $this->card_cvv );
  $charge = \Stripe\Charge::create( array( 'card' => $Card, 'amount' => (int) ( $this->total * 100 ), 'currency' => CURRENCY, 'description' => $this->description ) );

  return array( 'id' => $charge->id, 'total' => $this->total , 'items' => $this->items, 'details' => $this->description, 'state' => $charge->status );

  } catch ( Exception $e ) {

  throw new \Exception( 'Stripe error: ' . $e->getMessage() );

  }

}

}